2009-03-24  Seth Vidal <skvidal@fedoraproject.org>

	* yum.spec, yum/__init__.py: 3.2.22

2009-03-23  Seth Vidal <skvidal@fedoraproject.org>

	* yum/yumRepo.py: set copy_local=1 for yum repos to make sure
	file:/// pkgs aren't accidentally unlinked. This means we'll be
	making a temp copy of file:// url pkgs to the cache dir but it also
	keeps us from removing files incorrectly when using file:// urls
	mixed with http:// or ftp:// urls. - this fixes
	https://bugzilla.redhat.com/show_bug.cgi?id=491523

2009-03-23  James Antill <james@and.org>

	* yummain.py: Be defensive against weird lines in /proc/*/status, BZ
	491482

2009-03-19  James Antill <james@and.org>

	* yum/repos.py: Revert " Really fix the leak due to
	gpg_import_func."  This reverts commit
	3fd8ca8835044f859fa9556b2425307289a3f9b4.  Wait until post 3.2.22 to
	add this.

2009-03-19  James Antill <james@and.org>

	* test/yum-leak-test.py: Update leak tester so we can more easily
	see the leaks

2009-03-19  James Antill <james@and.org>

	* yum/repos.py:  Really fix the leak due to gpg_import_func.  *hates python GC*

2009-03-17  Seth Vidal <skvidal@fedoraproject.org>

	* yum/__init__.py: move around the error output so if someone
	specifies a pkg they don't have installed but do have an update for
	(i386->i586 update path, for example) then it won't output a
	confusing message.

2009-03-16  Seth Vidal <skvidal@fedoraproject.org>

	* yum/__init__.py: remove the added line from
	c0c64db26fed2634fd02b3e51c2537bce4f75a7f

2009-03-16  Seth Vidal <skvidal@fedoraproject.org>

	* yum/__init__.py: revert part of
	c0c64db26fed2634fd02b3e51c2537bce4f75a7f - check to see if the
	installroot+reposdir is present before using it - otherwise don't
	prepent the installroot

2009-03-16  Tim Lauridsen <tim@naboo.local>

	* yum/depsolve.py: fixed typo (rhbz #490277)

2009-03-13  Seth Vidal <skvidal@fedoraproject.org>

	* yum/__init__.py: - make sure we add the conditionals properly when we first
	selectgroup() - when we deselectGroup() make sure we clean up the
	conditionally-added pkgs

2009-03-13  Tim Lauridsen <tim@naboo.local>

	* yum/packages.py: Add a FakeSack to FakeRepository

2009-03-12  James Antill <james@and.org>

	* yum/__init__.py: Let notting do yum install '/usr/bin/*'

2009-03-12  Seth Vidal <skvidal@fedoraproject.org>

	Merge branch 'yum-3_2_X' of
	ssh://yum.baseurl.org/srv/projects/yum/git/yum into yum-3_2_X  *
	'yum-3_2_X' of ssh://yum.baseurl.org/srv/projects/yum/git/yum:
	Speedup RepoConf.iterkeys() as we call it "a lot" - 20% speedup
	Convert to RawConfigParser from iniparse, as we don't use %blah
	5-10%   Remove exceptions from options processing, saves 5-10% noop


2009-03-12  Seth Vidal <skvidal@fedoraproject.org>

	* rpmUtils/arch.py, yum/__init__.py, yum/depsolve.py,
	yum/rpmsack.py, yum/sqlitesack.py: depsolving catch to fix 488224
	unicode handling catch to fix 487912

2009-03-11  James Antill <james@and.org>

	* yum/config.py: Speedup RepoConf.iterkeys() as we call it "a lot" -
	20% speedup

2009-03-11  James Antill <james@and.org>

	* yum/__init__.py:  Convert to RawConfigParser from iniparse, as we don't use %blah
	 5-10% noop speedup.  Also don't double test repodirs, minor
	 speedup.

2009-03-11  James Antill <james@and.org>

	* yum/config.py: Remove exceptions from options processing, saves
	5-10% noop

2009-03-10  James Antill <james@and.org>

	* yumcommands.py: Allow non-root users to makecache on their
	/var/tmp cachedirs

2009-03-10  Seth Vidal <skvidal@fedoraproject.org>

	* yum/packages.py: make sure gpg-pubkeys show up as 'noarch' not
	None

2009-03-09  Tim Lauridsen <tim@naboo.local>

	* utils.py: Setup the repos in doUtilYumSetup (this time to the
	right branch :) )

2009-03-09  Seth Vidal <skvidal@fedoraproject.org>

	* yum/misc.py: clean up some garbage from
	get_running_kernel_version_release

2009-03-09  James Antill <james@and.org>

	* yum/__init__.py: We don't want to create .conf inside __del__ as
	bad things happen

2009-03-09  James Antill <james@and.org>

	* yum/sqlitesack.py: Make querytype nicer for Seth :)

2009-03-06  Ville Skyttä <ville.skytta@iki.fi>

	* yum/sqlitesack.py: Use = instead of GLOB when possible in
	_buildPkgObjList().

2009-03-06  Ville Skyttä <ville.skytta@iki.fi>

	* yum/sqlitesack.py: SQL-escape patterns only once in
	_buildPkgObjList().

2009-03-08  James Antill <james@and.org>

	* yum/misc.py: u isn't defined when we get TypeError in unique now,
	fixes BZ#489208

2009-03-06  Milos Komarcevic <miloskomarcevic@netscape.net>

	* yum/__init__.py, yum/i18n.py: Add infrastructure for N_() aka.
	ngettext, no msgs changed

2009-03-06  Seth Vidal <skvidal@fedoraproject.org>

	* yum/config.py: remove glibc from default exactarch list b/c we're
	doing the glibc i386->glibc i586 thing quite a bit :(

2009-03-06  Seth Vidal <skvidal@fedoraproject.org>

	* yummain.py: bring my favorite command up to current standards

2009-03-06  James Antill <james@and.org>

	* yum/__init__.py, yum/logginglevels.py: Add preconf variables for
	syslog stuff, add syslog_device

2009-03-05  James Antill <james@and.org>

	* yummain.py: Add Seth's favourite command to find rpm problems

2009-03-05  James Antill <james@and.org>

	* yum/__init__.py: Do a full conflict check for skip broken
	resolveDeps()

2009-03-06  Seth Vidal <skvidal@fedoraproject.org>

	* yum/rpmtrans.py: fixup txmbr/pkg

2009-03-06  Seth Vidal <skvidal@fedoraproject.org>

	* yum/rpmtrans.py: scripterrors can happen in cleanups, too. this is
	a fix for bug #488994

2009-03-06  Seth Vidal <skvidal@fedoraproject.org>

	* po/it.po: apply italian translation from mario_santagiuliana
	(mario at marionline.it) rh bug #488954

2009-03-06  Tim Lauridsen <tim@naboo.local>

	* yum/__init__.py: Make skipbroken remove other available arch
	packages from pkgSack, when a package is removed from the
	transaction on singlelib system (rhbz #488224)

2009-03-05  James Antill <james@and.org>

	* yum/__init__.py, yum/depsolve.py:  If we do resolveDeps() a second time, then if we failed make sure
	 we do a full check the second time through. Otherwise we'll miss
	 conflicts unless we get new ones.

2009-03-03  James Antill <james@and.org>

	* yum/i18n.py: Fix highlighting on len(msg) == width lines

2009-03-03  Seth Vidal <skvidal@fedoraproject.org>

	* yum/__init__.py: get rid of the regex entirely. Either it is 3
	items or it is 1 item

2009-03-03  Seth Vidal <skvidal@fedoraproject.org>

	* yum/packages.py: - revert change to verifyLocalPkg - no package should NOT have
	checksum data - make sure that local pkgs have checksum data
	generated properly - FIXME - eventually destroy returnIdSum() as it
	is frelling stupid

2009-03-03  Seth Vidal <skvidal@fedoraproject.org>

	* yum/__init__.py: make sure the 'check for versioned dep' regex is
	accurate in the face of prco names with ='s in them.

2009-03-02  James Antill <james@and.org>

	* docs/yum.conf.5, yum/yumRepo.py: Add hack for mirrorlist to treat
	as metalink, for anaconda

2009-03-02  James Antill <james@and.org>

	* yum/misc.py, yum/packages.py: Add misc.re_primary_dirname and use
	misc.re_* for _return_primary_dirs/_files

2009-03-02  Ville Skytt? <ville.skytta@iki.fi>

	* yum/packageSack.py: Speed up returnLeafNodes(), edited by James
	Antill.

2009-03-01  James Antill <james@and.org>

	* yummain.py: Output a message about ways forward, when depsolving
	fails

2009-02-27  James Antill <james@and.org>

	* yum/packages.py: Fix verifyLocalPkg() to handle pkgs with no
	checksum data

2009-02-26  James Antill <james@and.org>

	* yum/sqlitesack.py: Make sure the changelog comes out in the
	correct date order

2009-02-26  Seth Vidal <skvidal@fedoraproject.org>

	* shell.py: add '-' to identchars for the shell parseline()
	function. Makes check-update, among other things, work correctly
	closes rh bug https://bugzilla.redhat.com/show_bug.cgi?id=487517

2009-02-26  Tim Lauridsen <timlau@fedoraproject.org>

	* po/pt_BR.po: Added updated pt_BR translation by Igor Pires Soares


2009-02-25  Tim Lauridsen <timlau@fedoraproject.org>

	* po/de.po: Updated german translation by Dominik Sandjaja

2009-02-24  Seth Vidal <skvidal@fedoraproject.org>

	* yum/__init__.py: make sure if a reinstall of a pkg cannot happen
	that we remove the removal of that package from the transaction set.


2009-02-24  Seth Vidal <skvidal@fedoraproject.org>

	Merge branch 'yum-3_2_X' of
	ssh://yum.baseurl.org/srv/projects/yum/git/yum into yum-3_2_X  *
	'yum-3_2_X' of ssh://yum.baseurl.org/srv/projects/yum/git/yum:   Fix
	for bad merge fix in rpmtrans script errors   Sort the repos/sacks,
	so they are used in the same order   Skip ftp URLs for hosts we have
	http URLs for, in "simple" mode   Move rpmUtils.updates.debug out of
	verbose and into debug

2009-02-24  Seth Vidal <skvidal@fedoraproject.org>

	* po/sv.po: add swedish translation from Göran Uddeborg <goeran at
	uddeborg.se>

2009-02-24  James Antill <james@and.org>

	* yum/rpmtrans.py: Fix for bad merge fix in rpmtrans script errors

2009-02-24  Seth Vidal <skvidal@fedoraproject.org>

	* yum/rpmtrans.py: for rh bug #484729 - rpm transaction api change.
	make sure we are a little more specific as to which piece of the 'h'
	object we are getting.

2009-02-24  James Antill <james@and.org>

	* yum/packageSack.py, yum/repos.py, yum/yumRepo.py: Sort the
	repos/sacks, so they are used in the same order

2009-02-23  James Antill <james@and.org>

	* yum/metalink.py: Skip ftp URLs for hosts we have http URLs for, in
	"simple" mode

2009-02-18  James Antill <james@and.org>

	* yum/__init__.py: Move rpmUtils.updates.debug out of verbose and
	into debug

2009-02-23  Seth Vidal <skvidal@fedoraproject.org>

	* yum/misc.py: make sure reuse doesn't accidentally stumble over
	another dir

2009-02-23  Seth Vidal <skvidal@fedoraproject.org>

	* yum/misc.py: add option to getCacheDir() to allow you to turn off
	the cachedir reuse feature

2009-02-23  Seth Vidal <skvidal@fedoraproject.org>

	* yum/packages.py: remove has_key use since it is dead in python 3.0


2009-02-23  Seth Vidal <skvidal@fedoraproject.org>

	* yum/constants.py, yum/packages.py: fix up yum's package object
	verify() to work with non md5 filedigests.

2009-02-23  Seth Vidal <skvidal@fedoraproject.org>

	Merge branch 'yum-3_2_X' of
	ssh://yum.baseurl.org/srv/projects/yum/git/yum into yum-3_2_X  *
	'yum-3_2_X' of ssh://yum.baseurl.org/srv/projects/yum/git/yum:   Add
	documentation for color_update_* and color_list_*_reinstall   Fix
	which line gets sorted in list updates   And do the update
	highlighting for obsoletes   Do the "yum update" colours for list
	updates   Add whizbang colorization to update, to show which pkgs
	are on disk   Add reinstall colour, now we display them

2009-02-23  Seth Vidal <skvidal@fedoraproject.org>

	* yum/yumRepo.py: if metadata is formed oddly - then we traceback
	b/c the url is Not None but also 'scheme' doesn't exist yet. This is
	a situation with "valid" but odd metadata where we have: <location
	base="" href="somepkg.rpm">

2009-02-18  James Antill <james@and.org>

	* docs/yum.conf.5, yumcommands.py: Add documentation for
	color_update_* and color_list_*_reinstall

2009-02-17  James Antill <james@and.org>

	* yumcommands.py: Fix which line gets sorted in list updates

2009-02-17  James Antill <james@and.org>

	* output.py: And do the update highlighting for obsoletes

2009-02-17  James Antill <james@and.org>

	* yumcommands.py: Do the "yum update" colours for list updates

2009-02-17  James Antill <james@and.org>

	* output.py, yum/config.py: Add whizbang colorization to update, to
	show which pkgs are on disk

2009-02-12  James Antill <james@and.org>

	* yum/config.py, yumcommands.py: Add reinstall colour, now we
	display them

2009-02-17  Seth Vidal <skvidal@fedoraproject.org>

	* yum/rpmsack.py: add auto_close option (defaulting to false) for
	access to the rpmdb/ts.

2009-02-16  Seth Vidal <skvidal@fedoraproject.org>

	* yum/__init__.py: drop rpmdb cached data before posttrans runs so
	we're not holding onto any index info that isn't going to
	necessarily work.

2009-02-16  Seth Vidal <skvidal@fedoraproject.org>

	* yum/rpmtrans.py: fixup a merge failure

2009-02-13  Seth Vidal <skvidal@fedoraproject.org>

	Merge branch 'yum-3_2_X' of
	ssh://yum.baseurl.org/srv/projects/yum/git/yum into yum-3_2_X  *
	'yum-3_2_X' of ssh://yum.baseurl.org/srv/projects/yum/git/yum:
	Don't traceback when rpm gives us a bad tagname, BZ 485221   Sort
	pkgs in --version   Use user cache dirs. instead of going
	cache-only, BZ 460782  Conflicts: 	yum/rpmtrans.py

2009-02-12  James Antill <james@and.org>

	* yum/rpmtrans.py: Don't traceback when rpm gives us a bad tagname,
	BZ 485221

2009-02-12  Seth Vidal <skvidal@fedoraproject.org>

	* yum/rpmtrans.py: fix for rh bug #485221 make sure the type of
	'bytes' is an int for passing into the hdr dict.

2009-02-10  James Antill <james@and.org>

	* cli.py: Sort pkgs in --version

2009-02-10  James Antill <james@and.org>

	* cli.py: Use user cache dirs. instead of going cache-only, BZ
	460782

2009-02-09  Seth Vidal <skvidal@fedoraproject.org>

	Merge branch 'yum-3_2_X' of
	ssh://yum.baseurl.org/srv/projects/yum/git/yum into yum-3_2_X  *
	'yum-3_2_X' of ssh://yum.baseurl.org/srv/projects/yum/git/yum:   Fix
	for BZ 484739, process obsoletes on older pkgs when newer is
	installed   Test cases for BZ 484739   Fixes for testbase classes

2009-02-09  Seth Vidal <skvidal@fedoraproject.org>

	* cli.py: spelling fix from tmz - yum bug #39

2009-02-09  James Antill <james@and.org>

	* yum/depsolve.py: Fix for BZ 484739, process obsoletes on older
	pkgs when newer is installed

2009-02-09  James Antill <james@and.org>

	* test/simpleupdatetests.py: Test cases for BZ 484739

2009-02-09  James Antill <james@and.org>

	* test/testbase.py: Fixes for testbase classes

2009-02-09  Seth Vidal <skvidal@fedoraproject.org>

	* yum/packages.py: add two more to_unicodes for url and packager as
	per mbonnet's suggestion

2009-02-09  James Antill <james@and.org>

	* yum/yumRepo.py: Don't consider repomd.xml current if metalink.xml
	doesn't exist

2009-02-06  James Antill <james@and.org>

	* output.py: Allow "two" to be translated, trac#34

2009-02-07  Tim Lauridsen <timlau@fedoraproject.org>

	* po/de.po: just another updated germen translation by Fabian

2009-02-05  Seth Vidal <skvidal@fedoraproject.org>

	Merge branch 'yum-3_2_X' of
	ssh://yum.baseurl.org/srv/projects/yum/git/yum into yum-3_2_X  *
	'yum-3_2_X' of ssh://yum.baseurl.org/srv/projects/yum/git/yum:   Fix
	circular reference due to bound YumBase instance method   Add test
	for leaking YumBase objects   Move some output out of -v, -d 6 to -d
	7   Show groupid in verbose mode of groupinfo

2009-02-05  Seth Vidal <skvidal@fedoraproject.org>

	* yum/packages.py: add some to_unicodes() for summary and
	description for not entirely clear reasons to make mergerepo not
	break on some pkgs

2009-02-04  James Antill <james@and.org>

	* yum/repos.py: Fix circular reference due to bound YumBase instance
	method

2009-02-04  James Antill <james@and.org>

	* test/yum-leak-test.py: Add test for leaking YumBase objects

2009-02-04  James Antill <james@and.org>

	* cli.py, yum/__init__.py, yum/plugins.py: Move some output out of
	-v, -d 6 to -d 7

2009-02-04  James Antill <james@and.org>

	* output.py: Show groupid in verbose mode of groupinfo

2009-02-03  Seth Vidal <skvidal@fedoraproject.org>

	Merge branch 'yum-3_2_X' of
	ssh://yum.baseurl.org/srv/projects/yum/git/yum into yum-3_2_X  *
	'yum-3_2_X' of ssh://yum.baseurl.org/srv/projects/yum/git/yum:   Fix
	testcase to not use the same object in multiple repos.   Test cases
	for RHBZ 483633, perl updates   Give the FakePackages a pkgKey
	Have the base returnPackages follow the patterns API guarantees
	Run all 3 testKernelInstall tests   Look at the arch properly for no
	reqPo in compare_providers

2009-02-03  Seth Vidal <skvidal@fedoraproject.org>

	* yum/packages.py: make sure yumHeaderPackages have a
	returnChecksums implemented and that they populate self._checksums
	properly

2009-02-03  Seth Vidal <skvidal@fedoraproject.org>

	* yum/sqlitesack.py: fix to work on rhel5 sqlite errors, apparently
	:(

2009-02-02  James Antill <james@and.org>

	* test/simpleupdatetests.py: Fix testcase to not use the same object
	in multiple repos.

2009-02-02  James Antill <james@and.org>

	* test/simpleupdatetests.py: Test cases for RHBZ 483633, perl
	updates

2009-02-02  James Antill <james@and.org>

	* test/testbase.py: Give the FakePackages a pkgKey

2009-02-02  James Antill <james@and.org>

	* yum/packageSack.py: Have the base returnPackages follow the
	patterns API guarantees

2009-02-02  James Antill <james@and.org>

	* test/operationstests.py: Run all 3 testKernelInstall tests

2009-02-02  James Antill <james@and.org>

	* yum/depsolve.py: Look at the arch properly for no reqPo in
	compare_providers

2009-02-02  James Antill <james@and.org>

	* yum/__init__.py, yum/yumRepo.py: Make all the directory attrs
	properties that auto. do the setup

2009-02-02  James Antill <james@and.org>

	* yum/__init__.py: Remove warning for install of unavailable and
	installed pkg (RHBZ 480402)

2009-02-02  Seth Vidal <skvidal@fedoraproject.org>

	* po/ca.po, po/pt_BR.po: translation updates: Brazilian from Igor
	Pires Soares Catalan from Xavier Conde

2009-01-30  James Antill <james@and.org>

	* yum/yumRepo.py:  Try and get "preload" the MD from multiple places, so we have a
	 much better chance of actually getting it.  Also add "preload" for
	 packages.

2009-01-30  James Antill <james@and.org>

	* yum/misc.py: Fixup the sha256 vs. sha1 default to be done once at
	import time

2009-01-28  James Antill <james@and.org>

	* yummain.py: Add check for /proc/stat too, on lock info.

2009-01-28  Seth Vidal <skvidal@fedoraproject.org>

	* yum/packages.py: for compatibility make sure PackageEVR objects
	also have 'version' and 'release' attributes

2009-01-27  James Antill <james@and.org>

	* yum/__init__.py: Add in compatibility for people using _getConfig


2009-01-26  James Antill <james@and.org>

	* yum/config.py: Merge the 6h metadata expire value from rawhide

2009-01-26  James Antill <james@and.org>

	* yum/__init__.py: Don't call total download cb if we had errors

2009-01-26  Seth Vidal <skvidal@fedoraproject.org>

	* yum/packages.py: make sha256 the default checksum type

2009-01-24  Ville Skyttä <ville.skytta@iki.fi>

	* rpmUtils/__init__.py: Make RpmUtilsError output prettier.

2009-01-23  Seth Vidal <skvidal@fedoraproject.org>

	* rpmUtils/miscutils.py: and back we go :(

2009-01-23  Seth Vidal <skvidal@fedoraproject.org>

	* rpmUtils/arch.py: arm arch fixes from Alexander Kanevskiy.

2009-01-23  James Antill <james@and.org>

	* yum/__init__.py, yum/misc.py, yum/plugins.py: Sort glob data where
	it can affect what happens

2009-01-23  Seth Vidal <skvidal@fedoraproject.org>

	* rpmUtils/miscutils.py: slightly backwards, there :(

2009-01-23  Seth Vidal <skvidal@fedoraproject.org>

	* rpmUtils/miscutils.py: make sure we explicitly check if SOURCERPM
	is 1 not just defined.

2009-01-21  Ville Skyttä <ville.skytta@iki.fi>

	* rpmUtils/miscutils.py: Trivial cleanup to rangeCompare calling
	compareEVR.

2009-01-21  Ville Skyttä <ville.skytta@iki.fi>

	* rpmUtils/miscutils.py: Set arch to 'src' for source packages in
	pkgTupleFromHeader().

2009-01-21  Ville Skyttä <ville.skytta@iki.fi>

	* rpmUtils/arch.py: getBestArchFromList() micro-optimization.

2009-01-21  Ville Skyttä <ville.skytta@iki.fi>

	* yum/misc.py: Use set instead of dict in misc.unique() for a small
	speedup.

2009-01-22  Seth Vidal <skvidal@fedoraproject.org>

	* yum/misc.py: if sha256 is unavailable as a checksum, fail over to
	sha1. -for python 2.4fun

2009-01-21  Seth Vidal <skvidal@fedoraproject.org>

	* yum/__init__.py: apply patch from Ville Skyttä to use
	compare_providers for bestpackagefromlist, too closed rh bug: 460777


2009-01-21  Seth Vidal <skvidal@fedoraproject.org>

	* output.py, yum/constants.py, yum/rpmtrans.py,
	yum/transactioninfo.py: - apply patches from Panu from rhbug 477849 - reports cpio, and
	other transaction failures correctly now (for rpm 4.6)

2009-01-19  James Antill <james@and.org>

	Merge branch 'show-locker-task-data' into yum-3_2_X  *
	show-locker-task-data:   Show task info. when we don't get the lock


2009-01-19  James Antill <james@and.org>

	Merge branch 'changelog-fix' into yum-3_2_X  * changelog-fix:
	Fix changelog for same day sorting

2009-01-19  James Antill <james@and.org>

	Merge preconf branch and enable/disable plugins change to
	utils.py

2009-01-19  James Antill <james@and.org>

	Merge branch 'speed' into yum-3_2_X  * speed:   Don't limit obs
	to the newest pkgs, as we can minimally update (also speedup)   Do
	some minor speedups for updates processing   Add specific pkg == pkg
	functions, for speed (no need to call into librpm)

2009-01-19  James Antill <james@and.org>

	* cli.py: Output listTransaction in quiet mode when assumeyes isn't
	on

2009-01-19  Seth Vidal <skvidal@fedoraproject.org>

	Merge branch 'yum-3_2_X' of
	ssh://yum.baseurl.org/srv/projects/yum/git/yum into yum-3_2_X  *
	'yum-3_2_X' of ssh://yum.baseurl.org/srv/projects/yum/git/yum:
	updated German translation Fabian Affolter   Don't get repomd.xml
	from disabled repos, as that haven't been setup   Count pkgs
	properly, hopefully, when we try to download 2 at once   Add
	conflicts to model 479889, installing both is the rttd   Test case
	for BZ 479889, multiple obsoleters   Fix 11hr make check regression
	that Seth did, with duplicate installs ... ha!   Use misc.unlink_f
	instead of os.unlink for most everything.   Add unlink_f() to misc.
	so we don't need try/except junk everywhere   Use errno.EACCES
	instead of 13

2009-01-19  Seth Vidal <skvidal@fedoraproject.org>

	* docs/yum.8: add reinstall to docs

2009-01-17  Tim Lauridsen <timlau@fedoraproject.org>

	* po/de.po: updated German translation Fabian Affolter

2009-01-14  James Antill <james@and.org>

	* yumcommands.py: Don't get repomd.xml from disabled repos, as that
	haven't been setup

2009-01-13  James Antill <james@and.org>

	* yum/__init__.py: Count pkgs properly, hopefully, when we try to
	download 2 at once

2009-01-13  James Antill <james@and.org>

	* test/simpleobsoletestests.py: Add conflicts to model 479889,
	installing both is the rttd

2009-01-13  James Antill <james@and.org>

	* test/simpleobsoletestests.py: Test case for BZ 479889, multiple
	obsoleters

2009-01-13  James Antill <james@and.org>

	* yum/__init__.py: Fix 11hr make check regression that Seth did,
	with duplicate installs ... ha!

2009-01-11  James Antill <james@and.org>

	* yum/__init__.py, yum/rpmtrans.py, yum/yumRepo.py: Use
	misc.unlink_f instead of os.unlink for most everything.

2009-01-11  James Antill <james@and.org>

	* yum/misc.py: Add unlink_f() to misc. so we don't need try/except
	junk everywhere

2009-01-11  James Antill <james@and.org>

	* yum/yumRepo.py: Use errno.EACCES instead of 13

2009-01-08  James Antill <james@and.org>

	Merge commit 'd7088b8836c91d11301c53af8ed912c4bfbad4c7' into
	yum-3_2_X  * commit 'd7088b8836c91d11301c53af8ed912c4bfbad4c7':
	Only output the "setting up X command" once, per. yb ... rm extra
	install msg   Can't assign a property, and keep the property
	behaviuor, so don't do that

2009-01-07  James Antill <james@and.org>

	* yum/update_md.py:  Sprinkle magic unicode pixie dust so str(UpdateMetadata()) kinda
	 works, and print UpdateMetadata() does work (test function).

2009-01-07  Seth Vidal <skvidal@fedoraproject.org>

	* ChangeLog: merge changelog

2009-01-07  Seth Vidal <skvidal@fedoraproject.org>

	* yum.spec, yum/__init__.py: mark as 3.2.21

2009-01-07  Seth Vidal <skvidal@fedoraproject.org>

	* docs/yum.8: fix some confusing ambiguity in the 'update' command
	docs

2009-01-06  Seth Vidal <skvidal@fedoraproject.org>

	Merge branch 'yum-3_2_X' of
	ssh://yum.baseurl.org/srv/projects/yum/git/yum into yum-3_2_X  *
	'yum-3_2_X' of ssh://yum.baseurl.org/srv/projects/yum/git/yum: (22
	commits)   Fix canonArch using test cases for .i386   Testcase for
	multiple packags with the same conflict.   Add comments about the
	installed provider (postfix) fix.   After fixing a conflict, restart
	as we might have N pkgs conflicting on one   Remove the rpm code
	enter/leave lines, because notting hates us   If a provider is
	installed, prefer it (adds huge comment), fixes BZ 472756   Sort the
	_unresolvedMembers set as we turn it into a list, because just   Add
	tests to show the hard to find postfix problem, bug BZ 472756
	Remove temp. change to test obs. processing (not added, so now
	broken)   Don't let location_base (and probably others) convert from
	None to ''   Remove debugging msg   Get the "updating for deps" text
	correct   Use getObsoletersTuples() where that's what we wanted.
	Add getObsoletersTuples() for searching based on the obsoleter   Fix
	the testcase for gnome-packagekit, PackageKit and pirut   Fix tab
	vs. spaces crack, so stupid python is happy   Work around "empty"
	deescriptions as we do for summaries, picasa needs this   Remove
	"not" in test for strings   Add tests for .so dep. problems
	Understand unicode strings for comps/repoMD   ...

2009-01-06  Seth Vidal <skvidal@fedoraproject.org>

	* yum/__init__.py: fix for
	https://bugzilla.redhat.com/show_bug.cgi?id=478880 - make sure when
	we are checking to see if what we're installing is newer than the
	most recent item, not newer than any item.

2009-01-05  James Antill <james@and.org>

	* test/depsolvetests.py, test/simpleupdatetests.py: Fix canonArch
	using test cases for .i386

2009-01-05  James Antill <james@and.org>

	* test/simpleobsoletestests.py: Testcase for multiple packags with
	the same conflict.

2009-01-04  James Antill <james@and.org>

	* yum/depsolve.py:  Add comments about the installed provider (postfix) fix.  Add
	 comment about the fact we do install() directly.

2009-01-04  James Antill <james@and.org>

	* yum/depsolve.py:  After fixing a conflict, restart as we might have N pkgs
	 conflicting on one pkg. Fixes RHBZ 478748.

2009-01-02  James Antill <james@and.org>

	* cli.py: Remove the rpm code enter/leave lines, because notting
	hates us

2009-01-02  James Antill <james@and.org>

	* yum/depsolve.py: If a provider is installed, prefer it (adds huge
	comment), fixes BZ 472756

2009-01-02  James Antill <james@and.org>

	* yum/transactioninfo.py:  Sort the _unresolvedMembers set as we turn it into a list, because
	 just turning it into a list makes it different on .i386 and .x86_64
	 which is _very_ confusing.  Add some comments for the
	 insanity/weirdness.

2009-01-02  James Antill <james@and.org>

	* test/simpleobsoletestests.py: Add tests to show the hard to find
	postfix problem, bug BZ 472756

2009-01-02  James Antill <james@and.org>

	* test/depsolvetests.py: Remove temp. change to test obs. processing
	(not added, so now broken)

2008-12-11  James Antill <james@and.org>

	* cli.py, yumcommands.py: Only output the "setting up X command"
	once, per. yb ... rm extra install msg

2008-12-09  James Antill <james@and.org>

	* output.py: Can't assign a property, and keep the property
	behaviuor, so don't do that

2008-12-23  James Antill <james@and.org>

	* yum/sqlitesack.py: Don't let location_base (and probably others)
	convert from None to ''

2008-12-23  James Antill <james@and.org>

	* yum/__init__.py: Remove debugging msg

2008-12-23  James Antill <james@and.org>

	* yum/depsolve.py, yum/transactioninfo.py: Get the "updating for
	deps" text correct

2008-12-23  James Antill <james@and.org>

	* yum/__init__.py:  Use getObsoletersTuples() where that's what we wanted.  Don't pass
	 arch (it's an or test -- bad monkey), as name will work now we are
	 using the right selector.  This fixes:
	 testUpdate_so_req_diff_arch().

2008-12-23  James Antill <james@and.org>

	* rpmUtils/updates.py:  Add getObsoletersTuples() for searching based on the obsoleter
	 add comments for WTF the difference is between
	 getObsoletesTuples and    getObsoletesList (same prefix, different
	 selector == bad monkey)

2008-12-23  James Antill <james@and.org>

	* test/depsolvetests.py: Fix the testcase for gnome-packagekit,
	PackageKit and pirut

2008-12-22  James Antill <james@and.org>

	* yum/packages.py: Fix changelog for same day sorting

2008-12-22  James Antill <james@and.org>

	* yum/parser.py: Fix tab vs. spaces crack, so stupid python is happy


2008-12-22  James Antill <james@and.org>

	* yum/packages.py, yum/sqlitesack.py: Work around "empty"
	deescriptions as we do for summaries, picasa needs this

2008-12-22  James Antill <james@and.org>

	* yum/comps.py, yum/repoMDObject.py: Remove "not" in test for
	strings

2008-12-22  James Antill <james@and.org>

	* test/depsolvetests.py: Add tests for .so dep. problems

2008-12-19  James Antill <james@and.org>

	* yum/comps.py, yum/repoMDObject.py: Understand unicode strings for
	comps/repoMD

2008-12-17  James Antill <james@and.org>

	* yum/i18n.py: Deal with blank lines after lists

2008-12-17  James Antill <james@and.org>

	* yum/i18n.py: Do even more tests on utf8_text_wrap() and tweak the
	output a bit

2008-12-16  Seth Vidal <skvidal@fedoraproject.org>

	* yum/__init__.py: add in the oldpackage filter if we get into a
	place where we're going to install a package but it is not newer
	than something we have installed.

2008-12-16  Seth Vidal <skvidal@fedoraproject.org>

	* yum/parser.py: add Patch from Andreas Rogge to allow the same file
	to be included in multiple places, provided it isn't included twice
	under the same stanza

2008-12-16  Seth Vidal <skvidal@fedoraproject.org>

	Merge branch 'yum-3_2_X' of
	ssh://yum.baseurl.org/srv/projects/yum/git/yum into yum-3_2_X  *
	'yum-3_2_X' of ssh://yum.baseurl.org/srv/projects/yum/git/yum:
	pt_BR translation updates by Igor Pires Soares   Add o as list
	option, for FEDORA-2008-9779 among others   Use our utf8/non-broken,
	textwrap, for yum info-security   Use our utf8/non-broken, textwrap,
	for yum info   Add textwrap.wrap/fill ... as the core versions are
	broken in various ways   Stop skip-broken from looping in weird
	cases

2008-12-16  Seth Vidal <skvidal@fedoraproject.org>

	* yum/Errors.py, yum/i18n.py, yum/misc.py: to make exception
	reporting work on python 2.6. thanks to Ignacio Vazquez for finding
	the specific problem. closes rh bug #475633

2008-12-16  Tim Lauridsen <timlau@fedoraproject.org>

	* po/pt_BR.po: pt_BR translation updates by Igor Pires Soares

2008-12-15  James Antill <james@and.org>

	* yum/i18n.py: Add o as list option, for FEDORA-2008-9779 among
	others

2008-12-15  James Antill <james@and.org>

	* yum/update_md.py: Use our utf8/non-broken, textwrap, for yum
	info-security

2008-12-15  James Antill <james@and.org>

	* output.py: Use our utf8/non-broken, textwrap, for yum info

2008-12-15  James Antill <james@and.org>

	* yum/i18n.py: Add textwrap.wrap/fill ... as the core versions are
	broken in various ways

2008-12-11  tla@dk.ibm.com <tla@tlaws.local>

	* yum/__init__.py: Stop skip-broken from looping in weird cases

2008-12-08  James Antill <james@and.org>

	* output.py: Sync format_number with urlgrabber

2008-12-07  James Antill <james@and.org>

	* yum/__init__.py: Only get the updates tuples when we'll use them

2008-12-07  James Antill <james@and.org>

	* test/simpleupdatetests.py: Add "update *" to the bad-multi-install
	tests

2008-12-07  James Antill <james@and.org>

	* yum/__init__.py: Always look for available pkgs, on pattern
	updates

2008-12-07  James Antill <james@and.org>

	* yum/__init__.py: Don't do the package updates by hand, just call
	into ourself

2008-12-07  James Antill <james@and.org>

	* test/testbase.py: Add showdupesfromrepos so "maybe you meant"
	works when called from testcases

2008-12-07  James Antill <james@and.org>

	* test/simpleupdatetests.py:  Add some test cases to try and trigger the searchPkgTuple()[0]
	 problems.   ... didn't succeed, but found weird multiple pkgs
	 installed edge cases.  Also made noarch => arch update follow the
	 same behaviour as install would.

2008-12-07  James Antill <james@and.org>

	* yum/sqlitesack.py: Fix the e.message warnings from 2.6.x

2008-12-04  James Antill <james@and.org>

	* docs/yum.8, docs/yum.conf.5, yum/config.py: Change the default for
	obsoletes to be true, and tweaks docs.

2008-12-04  James Antill <james@and.org>

	* rpmUtils/updates.py: Always have an obsoletes dict, so we can
	always call getObsoletesTuples() etc.

2008-12-04  James Antill <james@and.org>

	* cli.py: Make "yum update /usr/bin/yum" not produce the weird msg
	when no updates

2008-12-04  Seth Vidal <skvidal@fedoraproject.org>

	* yum/__init__.py: - check if a requested install pkg is obsoleted before we check if
	it is already installed fixes rh bug #474514 - allow provides-based
	updating just like remove and install have.

2008-12-02  James Antill <james@and.org>

	* yum/packages.py: Work around for the crazy rpm package summaries
	bug, BZ 473239

2008-12-01  James Antill <james@and.org>

	* output.py: Make lastmsg a unicode string so we can do == tests,
	fixes Fedora BZ 473328

2008-12-01  James Antill <james@and.org>

	* yum/pgpmsg.py: Use "hashlib" directly in pgpmsg, so we don't have
	cross deps.

2008-12-01  James Antill <james@and.org>

	* yum/misc.py, yum/pgpmsg.py: Simple fix for python-2.6, remove
	sha/md5 imports from pgpmsg

2008-11-30  James Antill <james@and.org>

	* yum/__init__.py: Don't limit obs to the newest pkgs, as we can
	minimally update (also speedup)

2008-11-30  James Antill <james@and.org>

	* rpmUtils/updates.py: Do some minor speedups for updates processing


2008-11-30  James Antill <james@and.org>

	* yum/packages.py: Add specific pkg == pkg functions, for speed (no
	need to call into librpm)

2008-11-30  James Antill <james@and.org>

	* yum/metalink.py: Fix the protocol attribute to use the "std"
	attribute name

2008-11-25  James Antill <james@and.org>

	* yum/Errors.py, yum/__init__.py, yummain.py: Show task info. when
	we don't get the lock

2008-11-25  James Antill <james@and.org>

	* cli.py: When showing dups, also show "reinstall dups"

2008-11-22  Tim Lauridsen <timlau@fedoraproject.org>

	* po/de.po: updated German translation by Fabian Affolter

2008-11-22  Tim Lauridsen <timlau@fedoraproject.org>

	* po/pl.po, yum/update_md.py: updated Polish translation by Piotr
	Drąg

2008-11-21  James Antill <james@and.org>

	* cli.py, yum/config.py: Fix the color config. option to work the
	same as the --color cmd line opt.

2008-11-21  James Antill <james@and.org>

	* docs/yum.conf.5: Add documentation for all the color* config.
	options

2008-11-21  James Antill <james@and.org>

	* docs/yum.8: Add documentation for the --color option

2008-11-21  James Antill <james@and.org>

	* output.py: Minor opt. for no highlighting

2008-11-21  James Antill <james@and.org>

	* output.py: Use highlighting config. in groupinfo -v

2008-11-20  James Antill <james@and.org>

	* output.py, yum/config.py: Fix search highlighting to ignore case,
	allow configurable highlight

2008-11-20  James Antill <james@and.org>

	* cli.py, output.py, yum/config.py, yum/i18n.py, yumcommands.py:  Make list color programable, so Seth can have blink :).  Allow
	 color to be turned off/on al. la. GNU cmd line (plus .conf).  Add
	 hilight data for fmtColumns().  Add prefix/suffix arguments for
	 utf8_width_fill().

2008-11-20  James Antill <james@and.org>

	* yum/sqlitesack.py: Use to_utf8 for changelog data

2008-11-20  James Antill <james@and.org>

	* output.py: Deal with utf8 in licenses! Given it's there just shoot
	everything with it

2008-11-20  James Antill <james@and.org>

	* cli.py: Add sections for entering/leaving rpm code

2008-11-20  James Antill <james@and.org>

	* output.py: Use utf8_width for fmtSection

2008-11-20  James Antill <james@and.org>

	* cli.py, output.py, yumcommands.py:  Allow _highlight() to do colour and other modes.  Extra whizbang
	 highlighting:    . Show installed "extra" packages in bold red.
	 . Show installed "newer than available" packages in bold yellow.
	 . Show installed "update available" packages in bold.    . Show
	 available "old" packages in dim cyan.    . Show available "newest"
	 packages in bold blue.   ...it's still mostly blank, and all seem
	 to be visible when they are used,      on white and black
	 backgrounds.  Do highlighting for "list available".

2008-11-20  James Antill <james@and.org>

	* yum/__init__.py: Add reinstall_available and old_available do
	doPkgLists

2008-11-18  James Antill <james@and.org>

	* yumcommands.py: Do dynamic repolist columns, always output the id
	and num, chop name

2008-11-18  James Antill <james@and.org>

	* output.py: Add repo back into search -v

2008-11-18  James Antill <james@and.org>

	* cli.py, yumcommands.py: Do the update pkg highlighting for "yum
	list install", turn off when no bold

2008-11-18  Seth Vidal <skvidal@fedoraproject.org>

	Merge branch 'yum-3_2_X' of
	ssh://yum.baseurl.org/srv/projects/yum/git/yum into yum-3_2_X  *
	'yum-3_2_X' of ssh://yum.baseurl.org/srv/projects/yum/git/yum:
	Test cases for kernel/kernel-xen obsoletes   Remove debug lines, fix
	"yum update foo" where foo is obsolseted by an update   Add test
	case and fix for 471736, same as 470440 but for update not install
	Cleanup the repomd.xml.asc files with the metadata   Only try
	importing the repo key, if the sig verify failed (like pkgs).

2008-11-18  Seth Vidal <skvidal@fedoraproject.org>

	* yum/yumRepo.py: yes, umm, if you do need to get headers for some
	crack reason (like checking for potential file conflicts) then you
	need to make the header dir.

2008-11-17  James Antill <james@and.org>

	* test/simpleobsoletestests.py: Test cases for kernel/kernel-xen
	obsoletes

2008-11-15  James Antill <james@and.org>

	* test/simpleobsoletestests.py, yum/__init__.py: Remove debug lines,
	fix "yum update foo" where foo is obsolseted by an update

2008-11-15  James Antill <james@and.org>

	* test/simpleobsoletestests.py, yum/__init__.py: Add test case and
	fix for 471736, same as 470440 but for update not install

2008-11-14  James Antill <james@and.org>

	* yum/__init__.py: Cleanup the repomd.xml.asc files with the
	metadata

2008-11-14  James Antill <james@and.org>

	* yum/yumRepo.py: Only try importing the repo key, if the sig verify
	failed (like pkgs).

2008-11-13  James Antill <james@and.org>

	* yum/metalink.py: Catch XML parse exceptions and convert to
	MetaLinkRepoErrorParseFail

2008-11-12  James Antill <james@and.org>

	* shell.py: Explain "repo list" better in shell command help

2008-11-13  Seth Vidal <skvidal@fedoraproject.org>

	* cli.py, docs/yum.conf.5, yum/__init__.py, yum/config.py: add
	bugtracker_url as a config option - for when we tell someone to file
	a bug rh bug #471164

2008-11-12  James Antill <james@and.org>

	* yum/yumRepo.py: Allow re-adding deleted keys

2008-11-11  James Antill <james@and.org>

	* yum/yumRepo.py:  Revert the previous attempt to fix repomd.xml verification failing
	 Use download to tempfile + rename.   This means even if someone
	 pulls the plug after the download, but before the   failure, we'll
	 still not have a bad repomd.xml file there.

2008-11-11  James Antill <james@and.org>

	* yum/yumRepo.py: If anything bad happens with the repomd.xml
	checking, delete it for safety

2008-11-11  James Antill <james@and.org>

	Merge branch 'yum-3_2_X' of
	ssh://yum.baseurl.org/srv/projects/yum/git/yum into yum-3_2_X  *
	'yum-3_2_X' of ssh://yum.baseurl.org/srv/projects/yum/git/yum:
	make skip-broken handle a case where foo.x86_64 is skipped, and the
	foo.i386 is pulled in instead (rhbz #470291)   handle obsoleted
	txmbr without obsoleting txmbr in skip-broken   add tsInfo debug
	messages to output in broken tests

2008-11-11  James Antill <james@and.org>

	* utils.py: Obey enable/disable plugins for yumdownloader etc. ...
	fixes bug 470936

2008-11-11  Tim Lauridsen <timlau@fedoraproject.org>

	* test/skipbroken-tests.py, yum/__init__.py: make skip-broken handle
	a case where foo.x86_64 is skipped, and the foo.i386 is pulled in
	instead (rhbz #470291)

2008-11-10  James Antill <james@and.org>

	* cli.py, yum/__init__.py: Allow arguments to grouplist to only show
	a subset of groups

2008-11-09  Tim Lauridsen <timlau@fedoraproject.org>

	* yum/__init__.py: handle obsoleted txmbr without obsoleting txmbr
	in skip-broken

2008-11-09  Tim Lauridsen <timlau@fedoraproject.org>

	* test/testbase.py: add tsInfo debug messages to output in broken
	tests

2008-11-07  James Antill <james@and.org>

	* test/simpleobsoletestests.py: Fix typo which stopped a testcase
	from running

2008-11-07  James Antill <james@and.org>

	* test/simpleobsoletestests.py: Test multi. obsoletes for install

2008-11-07  James Antill <james@and.org>

	* test/simpleobsoletestests.py: Add testcase for install obsoleters


2008-11-07  Seth Vidal <skvidal@fedoraproject.org>

	* yum/__init__.py: make sure we mark as obsoleted pkgs when we do an
	install. closes rh bug 470440

2008-11-07  Seth Vidal <skvidal@fedoraproject.org>

	* shell.py: minor modification to make the error message be more
	accurate

2008-11-06  James Antill <james@and.org>

	* yum/yumRepo.py: Only eat the exception if it's ENOENT

2008-11-06  James Antill <james@and.org>

	* yum/yumRepo.py: Don't die if we haven't downloaded anything before
	we get the URLGrabError

2008-11-04  James Antill <james@and.org>

	* yum/comps.py: Minor comment copy/paste fix, group => category

2008-11-06  Tim Lauridsen <timlau@fedoraproject.org>

	* po/ca.po: updated catalan translation Xavier Conde

2008-11-04  Seth Vidal <skvidal@fedoraproject.org>

	Merge branch 'yum-3_2_X' of
	ssh://yum.baseurl.org/srv/projects/yum/git/yum into yum-3_2_X  *
	'yum-3_2_X' of ssh://yum.baseurl.org/srv/projects/yum/git/yum:   Add
	bigger doc comments to utf8_width_chop and utf8_width_full
	check-update -v lists obsoleted pkgs too, related to 462999

2008-11-04  Seth Vidal <skvidal@fedoraproject.org>

	* yum/comps.py: make sure the bools in the xml output of groups are
	lowercase b/c relaxng is fairly retarded.

2008-11-03  James Antill <james@and.org>

	* yum/i18n.py: Add bigger doc comments to utf8_width_chop and
	utf8_width_full

2008-11-03  James Antill <james@and.org>

	* yumcommands.py: check-update -v lists obsoleted pkgs too, related
	to 462999

2008-11-02  James Antill <james@and.org>

	* yum/i18n.py: Fix stupid typo in port of utf8_width, all 2 pair
	sequences were seen as bad

2008-11-02  James Antill <james@and.org>

	* yumcommands.py: Make the width of enabled/disable in repolist,
	correct for i18n

2008-11-02  James Antill <james@and.org>

	* po/zh_CN.po: Space the info output for po/zh_CN, to prove we can
	make non-en look good

2008-11-02  James Antill <james@and.org>

	* yumcommands.py: Use utf8_width_fill for repolist

2008-11-01  Tim Lauridsen <timlau@fedoraproject.org>

	* yum/__init__.py: better skip-broken transaction debug data (-d7)

2008-11-01  Tim Lauridsen <timlau@fedoraproject.org>

	* po/sr.po, po/sr@latin.po: Updated Serbian translations by Milos
	Komarcevic

2008-11-01  Tim Lauridsen <timlau@fedoraproject.org>

	* po/pt_BR.po: Updated Brazilian Portuguese translation by Igor
	Pires Soares

2008-11-01  Tim Lauridsen <timlau@fedoraproject.org>

	* po/nb.po: added updated Norsk translation by Kjartan Maraas

2008-11-01  Tim Lauridsen <timlau@fedoraproject.org>

	Merge branch 'yum-3_2_X' of
	ssh://yum.baseurl.org/srv/projects/yum/git/yum into yum-3_2_X

2008-11-01  Tim Lauridsen <timlau@fedoraproject.org>

	* yum/__init__.py: add some extra skip-broken debug output and minor
	cleanups

2008-11-01  James Antill <james@and.org>

	* output.py: Fix the total download line to use utf8_width_fill too


2008-10-31  James Antill <james@and.org>

	* yum/plugins.py: Fix "Loaded plugins" line to use correct utf8
	widths

2008-10-31  James Antill <james@and.org>

	* output.py: Fix fmtKeyValFill, fmtColumns and progress to work with
	correct utf8 widths

2008-10-31  James Antill <james@and.org>

	* yum/i18n.py: Add utf8_width chop/fill as helper functions for
	printing utf8 stuff

2008-10-31  James Antill <james@and.org>

	* yum/i18n.py: Add testing code for utf8_width

2008-10-29  James Antill <james@and.org>

	* yum/i18n.py: Add utf8_width to i18n, so we can do progress bars
	etc. well

2008-10-31  Tim Lauridsen <timlau@fedoraproject.org>

	* test/skipbroken-tests.py, yum/__init__.py: * Added an extra depsolve on the result transaction after
	skip-broken has ripped out the disty stuff, to make sure that
	allready depsolved packages, not has been broken by the skipped
	package. * Added a check for missing TS_OBSOLETED members, this
	problem occours if multiple packages are obsoleting the same
	packages and one of these get skipped. (rhbz# 468785) (It is totally
	DIRTY HACK, but need for now)

2008-10-31  Tim Lauridsen <timlau@fedoraproject.org>

	* test/skipbroken-tests.py: Added testcase to show the skipbroken
	problem in rhbz #468785

2008-10-30  Tim Lauridsen <timlau@fedoraproject.org>

	* yum/__init__.py: Extra skip-broken debug info

2008-10-29  Tim Lauridsen <timlau@fedoraproject.org>

	* test/skipbroken-tests.py, yum/__init__.py: make skip-broken better
	and solve the latest added test case

2008-10-29  Tim Lauridsen <timlau@fedoraproject.org>

	* test/skipbroken-tests.py: added a failing skip-broken test case
	there reproduces the case in rhbz #468394 and others

2008-10-29  Tim Lauridsen <timlau@fedoraproject.org>

	* test/skipbroken-tests.py: added a skipbroken test case

2008-10-29  Tim Lauridsen <timlau@fedoraproject.org>

	* test/testbase.py: make at FakeRpmDB class to use as self.rpmdb
	when doing unit tests, because PackageSack dont always behave the
	same as RPMDBSack, so it can break skipbroken tests using
	unversioned lib requests

2008-10-29  Tim Lauridsen <timlau@fedoraproject.org>

	* test/skipbroken-tests.py, test/testbase.py: Added depsolve
	callbacks to skipbroken tests, to get better output if a test fails


2008-10-28  Tim Lauridsen <timlau@fedoraproject.org>

	* test/skipbroken-tests.py: remove failing skip-broken test and add
	FIXME note the the working one, it causes to much confusion when
	testing the skipbroken code

2008-10-28  James Antill <james@and.org>

	* output.py: Merge the txmbr and po loops in listTransaction, code
	tidy up

2008-10-27  James Antill <james@and.org>

	* output.py: Iterate skipped_packages properly as they are pos not
	txmbrs, fixes BZ 468785

2008-10-27  Seth Vidal <skvidal@fedoraproject.org>

	* ChangeLog: merge changelog

2008-10-27  Seth Vidal <skvidal@fedoraproject.org>

	* yum.spec, yum/__init__.py: mark as 3.2.20

2008-10-27  James Antill <james@and.org>

	* yum/depsolve.py: Allow rm only trans. but allow later install too


2008-10-27  James Antill <james@and.org>

	* yum/depsolve.py: Add the pkgSack to the transaction, if we have a
	remove followed by an install

2008-10-27  James Antill <james@and.org>

	* test/simpleupdatetests.py: Test update which requires specific
	version, but not a later one

2008-10-27  James Antill <james@and.org>

	* output.py: Underflow for utf8 width in progressbar, too

2008-10-27  James Antill <james@and.org>

	* output.py: Workaround not having a real width() method for utf8

2008-10-27  James Antill <james@and.org>

	* output.py: Limit terminal width to 20 chars, do the right thing
	for serial console

2008-10-27  James Antill <james@and.org>

	* yum/__init__.py: combat => compat, typos in comments

2008-10-27  Tim Lauridsen <timlau@fedoraproject.org>

	* test/skipbroken-tests.py: Added note to skip-broken test case

2008-10-27  Tim Lauridsen <timlau@fedoraproject.org>

	* output.py, yum/__init__.py: Added skipped packages to transaction
	overview

2008-10-27  Tim Lauridsen <timlau@fedoraproject.org>

	* yum/__init__.py: more skipbroken debug output, show what packages
	there gets pulled out of the transaction

2008-10-27  Tim Lauridsen <timlau@fedoraproject.org>

	* yum/__init__.py: make the packages skipped by skip-broken public,
	so it can be accessed from the outside. it make it posible to add
	the skipped packages to the transaction results etc.

2008-10-27  Tim Lauridsen <timlau@fedoraproject.org>

	* yum/__init__.py: - Added extra skip-broken debug output, so we better can see what is
	going on - don't remove the same package from pkgSack & up more than
	once - make sure that the compat arch packages get removed from the
	pkgSack & up   too and not just from the transaction, else they can
	get pulled in again   in the next depsolve loop.

2008-10-27  Tim Lauridsen <timlau@fedoraproject.org>

	* po/pl.po: updated Polish translation by Piotr Drąg

2008-10-27  James Antill <james@and.org>

	* yum/__init__.py: Check if the package has appeared before we try
	and download it, bug 468401

2008-10-26  Tim Lauridsen <timlau@fedoraproject.org>

	* po/de.po: updated german translation by   Fabian Affolter

2008-10-26  Tim Lauridsen <timlau@fedoraproject.org>

	* po/pl.po: updated Polish translation by Piotr Drąg

2008-10-25  James Antill <james@and.org>

	* yum/__init__.py: Add proxy/etc. config. to gpgkey downloads, fixes
	Fedora BZ 445336

2008-10-22  James Antill <james@and.org>

	* docs/yum.8: Add documentation on install @grp

2008-10-24  Seth Vidal <skvidal@fedoraproject.org>

	* yum/__init__.py: comment about allowdowngrade/downgrade in general


2008-10-24  James Antill <james@and.org>

	* cli.py, utils.py, yum/__init__.py: Add preconf, so we can remove
	doConfigSetup etc.

2008-10-24  James Antill <james@and.org>

	Merge branch 'yum-3_2_X' of
	ssh://yum.baseurl.org/srv/projects/yum/git/yum into yum-3_2_X  *
	'yum-3_2_X' of ssh://yum.baseurl.org/srv/projects/yum/git/yum:   fix
	installed size being wrong for metadata/local pkgs

2008-10-24  Seth Vidal <skvidal@fedoraproject.org>

	* yum/packages.py: fix installed size being wrong for metadata/local
	pkgs

2008-10-22  James Antill <james@and.org>

	* docs/yum.8: Add documentation on install @grp

2008-10-22  James Antill <james@and.org>

	* yum/yumRepo.py: Change fixed_repoid to timestamp_check, to make it
	more obvious wtf it does :)

2008-10-22  James Antill <james@and.org>

	* yum/yumRepo.py:  Add a fixed_repoid attribute, which tells us if we can do timestamp
	 checks on the repo. etc. -- fixes the repodiff/repoquery problems
	 where you have a single repoid that referrs to a bunch of different
	 repos.   When using metalink, check to see if we already have the
	 latest repomd.xml and if so don't re-download

2008-10-21  James Antill <james@and.org>

	* yumcommands.py: Show revision/tags in repolist -v

2008-10-21  James Antill <james@and.org>

	* yum/repoMDObject.py: Parse out revision and tags from repomd.xml

2008-10-21  James Antill <james@and.org>

	* yumcommands.py: Add metalink to repolist -v

2008-10-21  James Antill <james@and.org>

	* yum/yumRepo.py, yumcommands.py: Fix baseurl output in repolist -v,
	when we've got a new mirrorlist/metalink

2008-10-20  James Antill <james@and.org>

	* yum/yumRepo.py: Use the metadata index name, and not the filename
	for the progress output

2008-10-20  James Antill <james@and.org>

	* yum/config.py: Revert kernel-firmware addition to default
	installonly

2008-10-19  James Antill <james@and.org>

	* yum/config.py: Add kernel-firmware to the kernel pkgs list, bug
	467628

2008-10-19  Tim Lauridsen <timlau@fedoraproject.org>

	* po/POTFILES.skip: Added POTFILES.skip with pygettext.py, to avoid
	warning in translate system (rhbz# 467413)

2008-10-19  Tim Lauridsen <timlau@fedoraproject.org>

	* po/ca.po: added updated catalan translation by Xavier Conde

2008-10-19  Tim Lauridsen <timlau@fedoraproject.org>

	* po/POTFILES.in, po/ca.po, po/da.po, po/de.po, po/fr.po, po/it.po,
	po/pt_BR.po, po/sr.po, po/sr@latin.po, po/zh_CN.po: rebuild
	POTFILES.in and *.po files

2008-10-17  James Antill <james@and.org>

	* yum/__init__.py: Allow yum-complete-transaction to turn off the
	unfinished transactions check

2008-10-17  James Antill <james@and.org>

	* yum/__init__.py: Fix typo in unfinished transactions msg

2008-10-17  Seth Vidal <skvidal@fedoraproject.org>

	* yum/update_md.py: add xml() method for UpdateMetadata and
	UpdateNotice objects to push back out xml from these objects

2008-10-17  David Cantrell <dcantrell@redhat.com>

	* cli.py: Allow sys.argv to be overridden by "clever" callers, fixes
	bug 465653

2008-10-17  James Antill <james@and.org>

	* cli.py: Don't show the 3.0.x provides warning for full path names


2008-10-17  James Antill <james@and.org>

	* yum/yumRepo.py: Catch repo/mirror errors as w3ell as urlgrabber
	errors, if we can revert

2008-10-15  James Antill <james@and.org>

	* output.py:  Use terminal_width_cached() in YumTerm, if available, for dynamic
	 widths.  Make progressbar and YumCliRPMCallBack._makefmt dynamicaly
	 wide.   Use the pkgname in YumCliRPMCallBack._makefmt, to get
	 better output.

2008-10-15  Seth Vidal <skvidal@fedoraproject.org>

	* yum/packages.py: magic combination of to_unicode and to_utf8:
	to_unicode makes the string combination happy coming out of the
	sqlite to_utf8 makes the string happy going into the gzip'd xml.
	LOVE LOVE LOVE

2008-10-14  James Antill <james@and.org>

	* output.py: Cleanup the post transaction text

2008-10-14  James Antill <james@and.org>

	* yum/__init__.py: Don't explicitly list metalink.xml for cleanup,
	as it's got by *.xml filter

2008-10-14  Seth Vidal <skvidal@fedoraproject.org>

	Merge branch 'yum-3_2_X' of
	ssh://yum.baseurl.org/srv/projects/yum/git/yum into yum-3_2_X  *
	'yum-3_2_X' of ssh://yum.baseurl.org/srv/projects/yum/git/yum:
	Don't output progress for rpm callbacks when in -e 0 -d 0   Fix
	unicode exceptions in reinstall, bug 466838   Fix another unicode
	problem, locale.format("%d", ...) in cs_CZ   Add documentation for
	metalink   Undeprecate metadataCurrent(), and use it for
	metalink.xml and repomd.xml   Add metalink config. option to each
	repo.   Fix metalink exceptions, and make it easier to use for
	yumRepo   Cleanup metalink data   Add length/checksums to the RepoMD
	object   Expand on checksum() to allow multiple checksums over a
	single file   Give a nicer message when filelists contains pkgKeys
	primary doesn't

2008-10-14  Seth Vidal <skvidal@fedoraproject.org>

	* yum/packages.py, yum/sqlitesack.py: some minor changes to how we
	output the xml - to, theoretically, solve the
	unicode/random-encoding problems.

2008-10-14  James Antill <james@and.org>

	* output.py: Don't output progress for rpm callbacks when in -e 0 -d
	0

2008-10-13  James Antill <james@and.org>

	* yumcommands.py: Fix unicode exceptions in reinstall, bug 466838

2008-10-08  James Antill <james@and.org>

	* yumcommands.py: Fix another unicode problem, locale.format("%d",
	...) in cs_CZ

2008-10-06  James Antill <james@and.org>

	* docs/yum.conf.5: Add documentation for metalink

2008-10-04  James Antill <james@and.org>

	* yum/yumRepo.py:  Undeprecate metadataCurrent(), and use it for metalink.xml and
	 repomd.xml    We can't have a newer repomd.xml than we have a
	 metalink file, or it fails.   Download/use metalink data if it's
	 configured.    It overrides mirrorlist, so you can use both for
	 older versions of yum    Check repomd.xml against metalink data, if
	 we have it.      Failover to next mirror, if it fails (like
	 repomd.xml gpg signing).

2008-10-04  James Antill <james@and.org>

	* yum/config.py: Add metalink config. option to each repo.

2008-10-04  James Antill <james@and.org>

	* yum/metalink.py: Fix metalink exceptions, and make it easier to
	use for yumRepo

2008-10-04  James Antill <james@and.org>

	* yum/__init__.py: Cleanup metalink data

2008-10-04  James Antill <james@and.org>

	* yum/repoMDObject.py: Add length/checksums to the RepoMD object

2008-10-04  James Antill <james@and.org>

	* yum/misc.py: Expand on checksum() to allow multiple checksums over
	a single file

2008-10-04  James Antill <james@and.org>

	* yum/repoMDObject.py, yum/sqlitesack.py: Give a nicer message when
	filelists contains pkgKeys primary doesn't

2008-10-02  James Antill <james@and.org>

	* cli.py: Expand the "Maybe you meant" messages for update/remove

2008-10-01  James Antill <james@and.org>

	* yum/plugins.py: Do a simple try/except on the plugin load_module,
	dtops 464920 going critical

2008-09-29  Seth Vidal <skvidal@fedoraproject.org>

	* yum.spec: change spec file url to yum.baseurl.org

2008-09-27  Jeff Seltren <jeff@osuosl.org>

	* docs/yum.conf.5: Fix typos in man pages, bug 447588

2008-09-24  Tim Lauridsen <timlau@fedoraproject.org>

	* po/fr.po: Updated French translation by Michael Ughetto

2008-09-23  James Antill <james@and.org>

	* yum/rpmtrans.py:  Protect I/O calls within RPMTransaction itself, due to rpm insane
	 mode.  Try and cleanup if they trigger, so we don't have half a
	 transaction saved in the log files.

2008-09-23  James Antill <james@and.org>

	* yum/rpmtrans.py:  Wrap all calls to the display callbacks within the rpm transaction.
	 The problem here is that rpm gets _very_ unhappy if exceptions
	 happen in any of the code it calls during the transaction, and can
	 basically destroy the system (stopping the install phase but doing
	 the cleanup phase).   This doesn't 100% protect us, as we can still
	 have errors in our code but it'll protect against anything in the
	 callbacks.

2008-09-22  James Antill <james@and.org>

	* output.py: Use ui_name and ui_description in displayPkgsInGroups

2008-09-22  James Antill <james@and.org>

	* yum/comps.py: Add ui_description for ease of use

2008-09-22  James Antill <james@and.org>

	* yum/__init__.py: Have doGroupLists returned "user sorted data"

2008-09-22  James Antill <james@and.org>

	* yumcommands.py: Do the Remove only TS thing for GroupRemove

2008-09-22  James Antill <james@and.org>

	* cli.py: Fix the sorting of grouplist to obey display_order, just
	use the group cmp

2008-09-22  James Antill <james@and.org>

	* yum/comps.py:  Add return_categories() to comps object.  Add
	 nameByLang/descriptionByLang to category objects.  Add ui_name to
	 groups/categories, using the current locale's name.  Add __cmp__
	 function to group/categories.

2008-09-22  James Antill <james@and.org>

	* yum/misc.py: Minor fix to get_my_lang_code, no need to import
	locale as it already is

2008-09-20  James Antill <james@and.org>

	* yumcommands.py: Dynamically size check-update using the "list
	updates" code

2008-09-20  Seth Vidal <skvidal@fedoraproject.org>

	Merge branch 'yum-3_2_X' of
	ssh://login.linux.duke.edu/home/groups/yum/git/yum into yum-3_2_X  *
	'yum-3_2_X' of ssh://login.linux.duke.edu/home/groups/yum/git/yum:
	groups are already sorted, so sort the contents. Makes comps stable.
	Use sys.exit instead of exit as it's not a keyword in python.

2008-09-20  Seth Vidal <skvidal@fedoraproject.org>

	* rpmUtils/arch.py: make sure noarch is added to all the
	freaky-deaky arches

2008-09-19  James Antill <james@and.org>

	* yum/comps.py: groups are already sorted, so sort the contents.
	Makes comps stable.

2008-09-18  James Antill <james@and.org>

	* rpmUtils/miscutils.py:  Use sys.exit instead of exit as it's not a keyword in python.
	 causes a traceback if interupt_handler isn't setup (spacewalk/etc.)


2008-09-18  Seth Vidal <skvidal@fedoraproject.org>

	Merge branch 'yum-3_2_X' of
	ssh://login.linux.duke.edu/home/groups/yum/git/yum into yum-3_2_X  *
	'yum-3_2_X' of ssh://login.linux.duke.edu/home/groups/yum/git/yum:
	remove extra spaces in indent   Include the indent in the column
	calculation for groupinfo -v   Use calcColumns for groupinfo -v,
	per. group. Tidy up group section printing   Create a calcColumns()
	from the work in listTransaction.   Dynamically size the width for
	the Loaded plugins message, if possible

2008-09-18  Seth Vidal <skvidal@fedoraproject.org>

	* Makefile: limit the changelog to 3.2.0 and up

2008-09-17  Tim Lauridsen <timlau@fedoraproject.org>

	* yum/yumRepo.py: remove extra spaces in indent

2008-09-16  James Antill <james@and.org>

	* output.py: Include the indent in the column calculation for
	groupinfo -v

2008-09-16  James Antill <james@and.org>

	* output.py: Use calcColumns for groupinfo -v, per. group. Tidy up
	group section printing

2008-09-15  James Antill <james@and.org>

	* output.py, yumcommands.py:  Create a calcColumns() from the work in listTransaction.  Call
	 calcColumns() from the list command.  Tweak the APIs used to pass
	 the column data down to simpleList().  Make simpleList etc. work
	 based on fmtColumns().  Tweak the output format for list obsoletes.


2008-09-15  James Antill <james@and.org>

	Merge branch 'yum-3_2_X' of
	ssh://login.linux.duke.edu/home/groups/yum/git/yum into yum-3_2_X  *
	'yum-3_2_X' of ssh://login.linux.duke.edu/home/groups/yum/git/yum:
	- add crazy utf8 conversion routine for outputting xml for metadata


2008-09-15  Seth Vidal <skvidal@fedoraproject.org>

	Merge branch 'yum-3_2_X' of
	ssh://login.linux.duke.edu/home/groups/yum/git/yum into yum-3_2_X  *
	'yum-3_2_X' of ssh://login.linux.duke.edu/home/groups/yum/git/yum:
	Make sure we get two packages with the same nevra, but different
	pkgKey's   Fix the testcases to not die due to missing persistdir
	Speedup for includepkgs, use a set for main in test   Don't use
	parsePacakges where just returnPackages() dtrt. now   Make
	rpmdb.returnPackages dtrt. like sqlitesack, always doing the
	minimization   Patterns max constant change, adding
	PATTERNS_INDEXED_MAX and comments.

2008-09-15  Seth Vidal <skvidal@fedoraproject.org>

	* yum/misc.py: - add crazy utf8 conversion routine for outputting xml for metadata
	- if/when non-utf8 filenames/metadata content becomes good and
	illegal then   we should be able to clean this all out

2008-09-15  James Antill <james@and.org>

	* yum/plugins.py: Dynamically size the width for the Loaded plugins
	message, if possible

2008-09-12  James Antill <james@and.org>

	* yum/sqlitesack.py: Make sure we get two packages with the same
	nevra, but different pkgKey's

2008-09-12  James Antill <james@and.org>

	* test/testbase.py: Fix the testcases to not die due to missing
	persistdir

2008-09-12  James Antill <james@and.org>

	* yum/__init__.py: Speedup for includepkgs, use a set for main in
	test

2008-09-12  James Antill <james@and.org>

	* yum/__init__.py: Don't use parsePacakges where just
	returnPackages() dtrt. now

2008-09-12  James Antill <james@and.org>

	* yum/rpmsack.py: Make rpmdb.returnPackages dtrt. like sqlitesack,
	always doing the minimization

2008-09-11  James Antill <james@and.org>

	* yum/constants.py, yum/sqlitesack.py:  Patterns max constant change, adding PATTERNS_INDEXED_MAX and
	 comments.  Also dtrt. wrt. large returnPackages() pattern lists
	 (using parsePackages instead of returning everything).   Testing
	 done with:   time yum ls $(perl -e 'print "python-urlgrabber " x
	 8')   time yum ls $(perl -e 'print "ustr " x 128')  ...the last two
	 are stupidly fast still, due to the index on name so they get a
	 different limit.   Also tested:   time yum search $(perl -e 'print
	 "ustr " x 14')  ...but that doesn't seem affected, as it grows
	 linearly but takes even longer in python. And:   time yum groupinfo
	 -v \*  ...but that seems to be just as fast when PATTERNS_*MAX is
	 low and thus. requires multiple SQL queries.

2008-09-11  Seth Vidal <skvidal@fedoraproject.org>

	* yum/__init__.py: emit a warning and pause for 3s when there are
	unfinished transactions hanging about

2008-09-11  Seth Vidal <skvidal@fedoraproject.org>

	* po/de.po, yum/rpmsack.py: - check in new german translation - correct a docstring

2008-09-07  James Antill <james@and.org>

	* output.py: Use self.verbose_logger.log instead of print for
	download_callback_total_cb

2008-09-04  James Antill <james@and.org>

	* yum/__init__.py: Fix stupid python syntax error in previous commit


2008-09-04  James Antill <james@and.org>

	* yum/__init__.py: Only return a single package name on provide
	based installs, bug 460783

2008-09-02  James Antill <james@and.org>

	* test/depsolvetests.py: Add some test cases, including weird
	behaviuor for inst_require_obsoletes

2008-09-02  James Antill <james@and.org>

	* cli.py, yum/__init__.py, yum/depsolve.py, yum/rpmsack.py,
	yumcommands.py: Allow yum to create "remove only" transactions, use
	it for rm cmd: bug 240821

2008-08-29  Seth Vidal <skvidal@fedoraproject.org>

	* yum/misc.py: make sure we do a fulle search for name.arch
	separations, too - so if a . is present, search the whole shooting
	match, not just the name.

2008-08-28  Tim Lauridsen <timlau@fedoraproject.org>

	* yum/config.py: Restore Standard ConfigParser compatibility to
	config.py

2008-08-28  Tim Lauridsen <tilau@tlaws.ibm.com>

	* Makefile, test/skipbroken-tests.py: Added test-skipbroken make
	target and some extra testcases

2008-08-27  James Antill <james@and.org>

	* yum/sqlitesack.py: Fix typo for arch excludes for obsolete tuples
	fix

2008-08-27  James Antill <james@and.org>

	* yum/sqlitesack.py: Do arch excludes for obsolete tuples

2008-08-26  James Antill <james@and.org>

	* yum.spec: Fixup the License to be the same as Fedora

2008-08-26  Seth Vidal <skvidal@fedoraproject.org>

	* ChangeLog: merge changelog

2008-08-26  Seth Vidal <skvidal@fedoraproject.org>

	Merge branch 'yum-3_2_X' of
	ssh://login.linux.duke.edu/home/groups/yum/git/yum into yum-3_2_X  *
	'yum-3_2_X' of ssh://login.linux.duke.edu/home/groups/yum/git/yum:
	Set the close on exec flag. for the transaction-done file, bug
	460098

2008-08-26  Seth Vidal <skvidal@fedoraproject.org>

	* yum.spec, yum/__init__.py, yum/comps.py: - make group* commands default to case insensitive like they used to
	- mark as 3.2.19

2008-08-26  James Antill <james@and.org>

	* yum/rpmtrans.py: Set the close on exec flag. for the
	transaction-done file, bug 460098

2008-08-25  James Antill <james@and.org>

	* yum/__init__.py: Auto unlock when YumBase is destroyed, hopefully
	better dtrt. behaviour

2008-08-25  Seth Vidal <skvidal@fedoraproject.org>

	* yumcommands.py: add parens to make the or'd case for checkGPGKey
	be tied together.

2008-08-24  James Antill <james@and.org>

	* yum/__init__.py: Make list extras a lot faster, ~5x speedup here

2008-08-24  James Antill <james@and.org>

	* output.py, yumcommands.py: Fix listPkgs() so we don't highlight
	with old packages using showduplicates

2008-08-22  James Antill <james@and.org>

	* output.py: Give gpgkeys a noarch arch. in listTransaction()

2008-08-22  James Antill <james@and.org>

	* output.py: Add fmtColumns(), just move of code from
	listTransaction so we can reuse

2008-08-22  James Antill <james@and.org>

	* test/check-po-yes-no.py: do to_utf8 for check-po-yes-no error
	reporting

2008-08-22  James Antill <james@and.org>

	* yum/__init__.py: Don't allow an installed repo.

2008-08-21  James Antill <james@and.org>

	* shell.py: Make "echo repo list | yum shell" show just enabled,
	like "yum repolist"

2008-08-21  James Antill <james@and.org>

	* shell.py:  Setup the normal repos. if we are enabling a new one. Fixes bug
	 459654

2008-08-19  James Antill <james@and.org>

	* yum/sqlitesack.py: Use a list comprehension instead of map, mildly
	more readable

2008-08-19  James Antill <james@and.org>

	* yum/sqlitesack.py:  Fix LIKE SQL queries with [] in the input.   Eg. yum list
	 yum[!a]3.2.17[!a]2.fc9   Needs to match yum-3.2.17-2.fc9   Yes,
	 it's a crazy corner case ... yes, it's a simplish fix to dtwt.

2008-08-19  James Antill <james@and.org>

	* yum/misc.py: Add [] to set of wildcards

2008-08-18  James Antill <james@and.org>

	* yum/sqlitesack.py: Really do the API compat. fix for
	excludeArchs() now, not just make it work

2008-08-18  James Antill <james@and.org>

	* yum/sqlitesack.py:  Minor API fixup for arch_allowed.   now compatible with old
	 behaviour if you don't call excludeArch()   or you call it twice
	 with different args. (crack)

2008-08-18  James Antill <james@and.org>

	* yum/misc.py: Fix re_full_search_needed()

2008-08-18  James Antill <james@and.org>

	* cli.py: Suggest installed pkgs too, in "maybe you meant" output

2008-08-18  James Antill <james@and.org>

	* yum/yumRepo.py:  Skip checksumming old downloaded .sqlite files, we still check when
	 we download them. Note that this _used_ to be needed before atomic
	 MD because we might have an old DBMD file lying around ... that
	 cannot be true anymore, unless the user does it via. cp. And it's
	 costing is ~25% for simple operations.  Note because of the
	 historical behaviour I added skip_old_DBMD_check to turn this
	 on/off, if we are super paranoid we _might_ want to have it off by
	 default but on in yumcli?

2008-08-18  James Antill <james@and.org>

	* yum/misc.py, yum/sqlitesack.py:  If we can get away with searching just the name field, do that as
	 it's indexed so is basically as fast as searchNames().   This
	 "fails" on terms like "python-*" ... but so what.   Saves about 0.1
	 seconds on my machine (which is ~10% now).

2008-08-18  James Antill <james@and.org>

	* yum/sqlitesack.py:  We don't want to do a single "search for all packages with a bad
	 arch" SQL search because "normally" there are no bad arches.  So we
	 move to looking at the arch. at pkg load time, a la exclude by
	 pkgKey.   This saves about .2 seconds on my machine.

2008-08-18  James Antill <james@and.org>

	* yum/config.py: Don't walk each config. option in populate(), .1 -
	.2 opt.

2008-08-16  Tim Lauridsen <tim@hoth.local>

	* po/zh_CN.po: Added chinese translation by lijiansheng

2008-08-14  James Antill <james@and.org>

	* output.py: Fix stupid missing line from _group_names2aipkgs
	conversion

2008-08-14  James Antill <james@and.org>

	* cli.py: Add comments about the previous bug, and better long term.
	fix

2008-08-14  James Antill <james@and.org>

	* cli.py: Fix "full" available list by using parsePackages, bug
	459076

2008-08-13  James Antill <james@and.org>

	* yum/metalink.py:  First attempt at a parser for the new MirrorManager MetaLink
	 output.  Anyone relying on this API atm. is liable for a free
	 stabbing.   This just parses the data into a usable form, hooking
	 it into yumRepos is not done, neither is the metalink= [urls] repo.
	 config. variable.

2008-08-13  Seth Vidal <skvidal@fedoraproject.org>

	Merge branch 'yum-3_2_X' of
	ssh://login.linux.duke.edu/home/groups/yum/git/yum into yum-3_2_X  *
	'yum-3_2_X' of ssh://login.linux.duke.edu/home/groups/yum/git/yum:
	Delete some old, misleading, comments in returnPkgLists   Add
	highlighting to packages which have updates in list commands,
	Minor extra fixes for non-existant args. in doPackageLists, these
	are only

2008-08-13  Seth Vidal <skvidal@fedoraproject.org>

	* yum/packages.py: merge over the bits from createrepo to let us
	dump xml data from YumLocalPackage objects

2008-08-13  James Antill <james@and.org>

	* cli.py: Delete some old, misleading, comments in returnPkgLists

2008-08-13  James Antill <james@and.org>

	* output.py, yumcommands.py:  Add highlighting to packages which have updates in list commands,
	 like list/info/groupinfo. Add some helper functions.  This makes it
	 more obvious what is "available to install" and what is "available
	 to update".   We also only do the processiing when we have the
	 installed+available this is a feature.

2008-08-12  James Antill <james@and.org>

	* yum/__init__.py:  Minor extra fixes for non-existant args. in doPackageLists, these
	 are only really noticable from the API.

2008-08-12  Seth Vidal <skvidal@fedoraproject.org>

	Merge branch 'yum-3_2_X' of
	ssh://login.linux.duke.edu/home/groups/yum/git/yum into yum-3_2_X  *
	'yum-3_2_X' of ssh://login.linux.duke.edu/home/groups/yum/git/yum:
	Dynamically balance the field widths in listTransaction().   Tweak
	output of the transaction, helps RHEL a lot due to long repoids

2008-08-12  Seth Vidal <skvidal@fedoraproject.org>

	* yum/__init__.py, yum/transactioninfo.py: fix for the conditional
	pkgs installing too much but this time in an API-compliant way :)

2008-08-11  James Antill <james@and.org>

	* output.py:  Dynamically balance the field widths in listTransaction().   We try
	 and make as many lines as possible not "overflow"   Also when they
	 do overflow, it's slightly better to do so on the left.   This
	 helps the weird cases like long package names or long evr's a lot.
	 Also RHEL with it's 30+ character repoid's.   This is a lot of code
	 to print the transaction now, _but_ it's always the same code path
	 so if it works once it should always do so. Of course, in theory,
	 it's possible for it to look worse than before.

2008-08-11  James Antill <james@and.org>

	* output.py: Tweak output of the transaction, helps RHEL a lot due
	to long repoids

2008-08-11  Seth Vidal <skvidal@fedoraproject.org>

	* yum/__init__.py, yum/repos.py, yum/yumRepo.py: - when we delete a repo from our repos object, also close it - when
	we add_enable_repo make sure we call setup on it, too, just to make
	sure we get the dirs and caches setup - when _resetSack is called
	just set _sack to None not sack

2008-08-11  James Antill <james@and.org>

	* test/depsolvetests.py, yum/__init__.py: Turn on fix for
	test_min_up_and_dep[12] and add fix for test_min_up_and_dep3

2008-08-11  James Antill <james@and.org>

	* output.py: Tweak listTransaction() output so columns are always
	aligned

2008-08-11  James Antill <james@and.org>

	* yum/__init__.py:  Remove two FIXME's:  . Print better messages (and don't error) for
	 install'ing things already installed but unavailable.  . Put a
	 deprecation warning in getInstalledPackageObject()

2008-08-10  James Antill <james@and.org>

	* yum/__init__.py: Fix yum install foo.src.rpm (bug 458589)

2008-08-10  James Antill <james@and.org>

	* yum/misc.py, yummain.py: Create helper function setup_locale() to
	work around broken python unicode

2008-08-09  James Antill <james@and.org>

	* test/depsolvetests.py, yum/depsolve.py: Add
	test_multi_inst_dep[45] and tweak the comments for _sort_reqs

2008-08-09  James Antill <james@and.org>

	* test/depsolvetests.py, yum/depsolve.py: Shared lib. deps sorted
	after pkg. deps., solves test_multi_inst_dep3, 443459

2008-08-09  James Antill <james@and.org>

	* yum/depsolve.py: Sort the requires, so we handle things like BZ
	443459 and test_multi_inst_dep*

2008-08-08  James Antill <james@and.org>

	* test/depsolvetests.py: Add a testcase where pkgA has deps. on an
	older available version of pkgB

2008-08-08  Seth Vidal <skvidal@fedoraproject.org>

	Merge branch 'yum-3_2_X' of
	ssh://login.linux.duke.edu/home/groups/yum/git/yum into yum-3_2_X  *
	'yum-3_2_X' of ssh://login.linux.duke.edu/home/groups/yum/git/yum:
	Add test for no pygpgme, and give useful error message   Fail
	valid_detached_sig if gpgme isn't installed   Fix ts used for
	rpm-4.5.90-0.git8461.1 gpg key importing   Fix copy&paste typo with
	syslogFacilityMap, and fix YumBase.doLoggingSetup   Move syslog
	configs. to StatupConfig, act on them in logging. use LOG_DAEMON
	Another unicode => to_unicode, hopefully fixes 447504

2008-08-08  Seth Vidal <skvidal@fedoraproject.org>

	* yum/packages.py: minor clean up to make sure when re-assemble the
	remote path we also make sure basepath isn't stupid for urljoin()

2008-08-08  James Antill <james@and.org>

	* yum/yumRepo.py: Add test for no pygpgme, and give useful error
	message

2008-08-08  James Antill <james@and.org>

	* yum/misc.py: Fail valid_detached_sig if gpgme isn't installed

2008-08-08  James Antill <james@and.org>

	* yum/__init__.py: Fix ts used for rpm-4.5.90-0.git8461.1 gpg key
	importing

2008-08-07  James Antill <james@and.org>

	* yum/__init__.py, yum/logginglevels.py: Fix copy&paste typo with
	syslogFacilityMap, and fix YumBase.doLoggingSetup

2008-08-07  James Antill <james@and.org>

	* yum/__init__.py, yum/config.py, yum/logginglevels.py:  Move syslog configs. to StatupConfig, act on them in logging. use
	 LOG_DAEMON   Fixes: bug 450949

2008-08-07  James Antill <james@and.org>

	* yummain.py: Another unicode => to_unicode, hopefully fixes 447504


2008-08-07  James Antill <james@and.org>

	* yum/__init__.py: Don't fail list cmd for packages which are
	installed but not in any repos.

2008-08-07  Seth Vidal <skvidal@fedoraproject.org>

	* ChangeLog: merge changelog

2008-08-07  Seth Vidal <skvidal@fedoraproject.org>

	* yum.spec, yum/__init__.py: mark as 3.2.18

2008-08-06  Seth Vidal <skvidal@fedoraproject.org>

	* yum/__init__.py, yum/depsolve.py, yum/transactioninfo.py: make
	sure conditional pkg installs pass through install() just like
	anything else should

2008-08-06  James Antill <james@and.org>

	* yum/__init__.py: Add @group cmd line support to
	install/update/remove

2008-08-06  Seth Vidal <skvidal@fedoraproject.org>

	* docs/yum.conf.5: check in docs for repo_gpgcheck

2008-08-06  James Antill <james@and.org>

	* yum/__init__.py: Work well with unicode in repo names, repolist
	etc.

2008-08-06  James Antill <james@and.org>

	* cli.py, shell.py, yum/__init__.py, yum/config.py, yum/yumRepo.py,
	yumcommands.py: Change gpgcheck again, back to two Bool options --
	repo_gpgcheck is the new one

2008-08-06  James Antill <james@and.org>

	* cli.py, output.py, yum/__init__.py: Remove the prints out of
	__init__ and into. output.py

2008-08-06  James Antill <james@and.org>

	* test/depsolvetests.py, yum/__init__.py: Add almost working
	test_min_up_and_dep fix, but turn it off

2008-08-06  James Antill <james@and.org>

	* yum/yumRepo.py: Make repo. gpgcheck test work again until we
	change it back to two bools

2008-08-06  James Antill <james@and.org>

	* test/depsolvetests.py, yum/__init__.py: Fix
	testMultiPkgVersions[45] and don't break anything else

2008-08-06  Seth Vidal <skvidal@fedoraproject.org>

	* yum/__init__.py, yum/yumRepo.py: clean up output garbage and
	behavior when user will not allow gpg key import to repo-local
	pubrin

2008-08-06  Seth Vidal <skvidal@fedoraproject.org>

	Merge branch 'yum-3_2_X' of
	ssh://login.linux.duke.edu/home/groups/yum/git/yum into yum-3_2_X  *
	'yum-3_2_X' of ssh://login.linux.duke.edu/home/groups/yum/git/yum:
	Add failing test case for non-latest update/install with dep. --
	update fails   Don't display download count if 1 pkg to download
	Don't display download total if <= 1 pkgs downloaded   Return []
	instead of None in named get_notices, to match non-named path
	Return the get_applicable_notices() result in the right order
	(descending)   Don't show ppc packages on .i386 in
	UpdateNotice.__str__   Fix bad format string in UpdateNotice.__str__
	Add get_applicable_notices() call to UpdateMetadata class   Fix
	UpdateNotice.__str__ when it's None, add name only lookups for
	notices   Add total download stats. line   Don't give up if
	PATTERNS_MAX reached, just do the operation multiple times   Make
	gpgcheck true/false work again   Remove the assoc. of
	gpgcheck=1/true meaning gpgcheck=all   Give more info. when we fail
	the disk space checks

2008-08-06  Seth Vidal <skvidal@fedoraproject.org>

	* cli.py, output.py, yum/__init__.py, yum/misc.py, yum/repos.py,
	yum/yumRepo.py: merge changes for repomd.xml signature checking and
	key import

2008-08-05  James Antill <james@and.org>

	* test/depsolvetests.py: Add failing test case for non-latest
	update/install with dep. -- update fails

2008-08-05  James Antill <james@and.org>

	* yum/__init__.py: Don't display download count if 1 pkg to download


2008-08-05  James Antill <james@and.org>

	* yum/__init__.py: Don't display download total if <= 1 pkgs
	downloaded

2008-08-05  James Antill <james@and.org>

	* yum/update_md.py: Return [] instead of None in named get_notices,
	to match non-named path

2008-08-04  James Antill <james@and.org>

	* yum/update_md.py: Return the get_applicable_notices() result in
	the right order (descending)

2008-08-04  James Antill <james@and.org>

	* yum/update_md.py:  Don't show ppc packages on .i386 in UpdateNotice.__str__

2008-08-01  James Antill <james@and.org>

	* yum/update_md.py: Fix bad format string in UpdateNotice.__str__

2008-08-01  James Antill <james@and.org>

	* yum/update_md.py: Add get_applicable_notices() call to
	UpdateMetadata class

2008-07-31  James Antill <james@and.org>

	* yum/update_md.py: Fix UpdateNotice.__str__ when it's None, add
	name only lookups for notices

2008-07-31  James Antill <james@and.org>

	* yum/__init__.py: Add total download stats. line

2008-07-29  James Antill <james@and.org>

	* yum/misc.py, yum/sqlitesack.py: Don't give up if PATTERNS_MAX
	reached, just do the operation multiple times

2008-07-29  James Antill <james@and.org>

	* yum/config.py: Make gpgcheck true/false work again

2008-07-28  James Antill <james@and.org>

	* cli.py, yum/__init__.py, yum/config.py: Remove the assoc. of
	gpgcheck=1/true meaning gpgcheck=all

2008-07-28  James Antill <james@and.org>

	* yum/__init__.py: Give more info. when we fail the disk space
	checks

2008-07-27  James Antill <james@and.org>

	* cli.py, yum/__init__.py, yum/plugins.py: Add --enableplugin option


2008-07-27  James Antill <james@and.org>

	* yum/packageSack.py: Minor cleanup for obsoletes processing

2008-07-25  James Antill <james@and.org>

	* cli.py: Remove debugging code, I accidentally committed *sighs*

2008-07-25  James Antill <james@and.org>

	* cli.py, yum/config.py: Fix typo in CaselessSelectionOption.parse()


2008-07-25  James Antill <james@and.org>

	* shell.py, yum/__init__.py, yum/config.py, yumcommands.py:  Use the mapper for gpgcheck false/true, and tidy up the using code.


2008-07-25  James Antill <james@and.org>

	* yum/config.py: Use repo instead of repository as the canonical
	option name for gpgcheck

2008-07-25  James Antill <james@and.org>

	* cli.py, shell.py, yum/__init__.py, yum/config.py, yumcommands.py: 
	Convert the gpgcheck option to have all the options for repomd.xml
	signing

2008-07-24  James Antill <james@and.org>

	* cli.py: Give nicer messages when we can't find things due to case
	sensitivity

2008-07-24  James Antill <james@and.org>

	* yum/sqlitesack.py: Return the correct thing for skipped
	matchPackageNames, eg. 'yum update blah'

2008-07-24  James Antill <james@and.org>

	* yumcommands.py:  Output header again in repolist (logger's output nothing on errors,
	 is weird).  Allow extra patterns to match sub-sets of repos.  Add
	 more stats. to repolist -v, updated/size/etc.

2008-07-23  James Antill <james@and.org>

	* yum/depsolve.py: And fix _prco_req2req after the cleanup, testing
	is good

2008-07-23  James Antill <james@and.org>

	* yum/depsolve.py: Minor reuse of code for prco requirement to
	internal requirements conversion

2008-07-23  James Antill <james@and.org>

	* yum/depsolve.py: If we still have the requirement we are upgrading
	out of, try again

2008-07-22  James Antill <james@and.org>

	* yum/misc.py: Fix for python-2.4.z, as it has no hashlib

2008-07-22  James Antill <james@and.org>

	* output.py: Change function name from simpleNevraList to Envra, as
	that's what it outputs

2008-07-22  James Antill <james@and.org>

	* yum/misc.py: Move to using hashlib directly in checksum, also add
	sha256/sha512 options

2008-07-22  James Antill <james@and.org>

	Merge branch 'yum-3_2_X' of
	ssh://login.linux.duke.edu/home/groups/yum/git/yum into yum-3_2_X  *
	'yum-3_2_X' of ssh://login.linux.duke.edu/home/groups/yum/git/yum:
	add a __version_info__ tuple of ints derived from __version__   Add
	parameters to selectGroup()   new german translation updates from
	Fabian Affolter   silence the "No package matched to remove" lines
	during groupremove operations.

2008-07-22  James Antill <james@and.org>

	Merge branch 'repo-sacks' into yum-3_2_X  * repo-sacks:   Don't
	create sacks for repos that we don't care about

2008-06-11  James Antill <james@and.org>

	* yum/depsolve.py:  Try and solve the 666 requires on a single package problem, the
	 kernel people want to try this for ABI stuff (each symbol is a
	 provides).

2008-07-22  James Antill <james@and.org>

	Merge conflict

2008-07-22  Seth Vidal <skvidal@fedoraproject.org>

	* yum/__init__.py: add a __version_info__ tuple of ints derived from
	__version__

2008-07-22  Seth Vidal <skvidal@fedoraproject.org>

	* yum/__init__.py: Add parameters to selectGroup()
	group_package_types=List - overrides self.conf.group_package_types
	enable_group_conditionals=Bool - overrides
	self.conf.enable_group_conditionals

2008-07-22  Seth Vidal <skvidal@fedoraproject.org>

	* po/de.po: new german translation updates from Fabian Affolter

2008-07-21  Seth Vidal <skvidal@fedoraproject.org>

	* yum/__init__.py: silence the "No package matched to remove" lines
	during groupremove operations.

2008-07-20  James Antill <james@and.org>

	* yum/misc.py: Make 'import gpgme' less fatal ... it isn't required,
	yet

2008-07-20  James Antill <james@and.org>

	* yum/sqlitesack.py:  Add _skip_all paths to a bunch more functions, some of them do
	 _all_excludes processing anyway ... but make sure.

2008-07-20  James Antill <james@and.org>

	* yum/sqlitesack.py: Merge skip_all code paths into a helper
	function

2008-07-20  James Antill <james@and.org>

	* yum/sqlitesack.py: Add skip_all path to searchNames(), minor speed
	up

2008-07-20  James Antill <james@and.org>

	* yum/constants.py, yum/sqlitesack.py:  Add PATTERNS_MAX path to searchNames(), so large groups work.  Bump
	 PATTERNS_MAX to be larger.  Divide usage of PATTERNS_AMX by the
	 number of fields per. pattern.

2008-07-20  James Antill <james@and.org>

	* output.py:  Add simpleNevraList() which is like simpleList() but uses nevra
	 instead of na and evr  Add _group_names2pkgs as a template for
	 usage of .searchNames() (for PK, etc.)  Add verbose mode to
	 groupinfo, to output pkgs in simpleNevraList() format which uses
	 the above.

2008-07-19  Seth Vidal <skvidal@fedoraproject.org>

	Merge branch 'yum-3_2_X' of
	ssh://login.linux.duke.edu/home/groups/yum/git/yum into yum-3_2_X  *
	'yum-3_2_X' of ssh://login.linux.duke.edu/home/groups/yum/git/yum:
	Don't do SQL escaping combined on each SQL field   Make error
	reporting work with python-2.4.z, dito. SQL escaping.   Tweak
	provides warning message to be quiet on anything with a * in it
	Conflicts:  	yum/sqlitesack.py

2008-07-19  Seth Vidal <skvidal@fedoraproject.org>

	* yum/sqlitesack.py: make yum list \*.noarch work again for repos.
	Pattern was being escaped multipled times due to for loop for the
	'field' option. moved the escaping around to avoid that problem.

2008-07-18  James Antill <james@and.org>

	* yum/sqlitesack.py: Don't do SQL escaping combined on each SQL
	field

2008-07-18  James Antill <james@and.org>

	* yum/sqlitesack.py: Make error reporting work with python-2.4.z,
	dito. SQL escaping.

2008-07-17  James Antill <james@and.org>

	* cli.py: Tweak provides warning message to be quiet on anything
	with a * in it

2008-07-18  Seth Vidal <skvidal@fedoraproject.org>

	* yum/comps.py: - add add_group and add_category methods to comps object - add a \n
	to make xml() output look better

2008-07-18  Seth Vidal <skvidal@fedoraproject.org>

	* output.py: fix unicode traceback due to str() call on exception
	which was already unicode :(

2008-07-16  Seth Vidal <skvidal@fedoraproject.org>

	* cli.py, yum/__init__.py, yummain.py: return non-zero exit code if
	the rpm transaction has semi-fatal scriptlet failures. adds a fake
	resultobject returned from runTransaction() so that any future
	extensions we add can be bolted onto the object.
	resultobject.return_code is the important attribute

2008-07-16  Seth Vidal <skvidal@fedoraproject.org>

	* cli.py, yum/__init__.py: - make cli.updatePkgs() call YumBase.update() for most everything
	<-- watch this for interaction regressions - closes rh bug #455301 -
	add add_enable_repo method to YumBase to facilitate adding repos by
	baseurl/mirrorlist easily

2008-07-16  tla@dk.ibm.com <tla@naboo.local>

	* po/ca.po: Added Catalan translation by Xavier Conde

2008-07-15  James Antill <james@and.org>

	* yum/repoMDObject.py, yum/yumRepo.py:  Add RepoMD.timestamp attribute, for mirrormanager etc.  Defined as
	 the biggest/newest timestamp within a data section.    Use this as
	 the canonical timestamp in the repomd checking, and tweak the error
	 message.

2008-07-14  Seth Vidal <skvidal@fedoraproject.org>

	Merge branch 'yum-3_2_X' of
	ssh://login.linux.duke.edu/home/groups/yum/git/yum into yum-3_2_X  *
	'yum-3_2_X' of ssh://login.linux.duke.edu/home/groups/yum/git/yum:
	Fix available comparison in "all" mode, use new .ver*() methods

2008-07-14  Seth Vidal <skvidal@fedoraproject.org>

	* yum/misc.py, yum/packages.py, yum/sqlitesack.py: move the
	xml-generating-bits into yum proper - out of createrepo

2008-07-10  James Antill <james@and.org>

	* yum/__init__.py: Fix available comparison in "all" mode, use new
	.ver*() methods

2008-07-10  Seth Vidal <skvidal@fedoraproject.org>

	* yum/depsolve.py: make sure the reqpo exists before we compare it

2008-07-08  Seth Vidal <skvidal@fedoraproject.org>

	* ChangeLog: changelog merge

2008-07-08  Seth Vidal <skvidal@fedoraproject.org>

	* yum.spec, yum/__init__.py: mark as 3.2.17

2008-07-08  James Antill <james@and.org>

	* yum/yumRepo.py: And fix the second call to readMirrorList, for the
	new return

2008-07-08  James Antill <james@and.org>

	* yum/yumRepo.py: Another fix for the simple mirrorlist change, pass
	full file contents to write

2008-07-08  James Antill <james@and.org>

	* yum/depsolve.py: Use getBestArch instead of getCanonArch, when
	comnparing providers, helps ppc64

2008-07-07  James Antill <james@and.org>

	* yum/depsolve.py: Fix rpmdb.contains(pkg.pkgtup) typo, *pkg.pkgtup
	works but po=pkg is nicer

2008-07-07  James Antill <james@and.org>

	* yum/yumRepo.py: Don't die if the mirrorlist download fails, and we
	have an old one around.

2008-07-06  James Antill <james@and.org>

	* test/depsolvetests.py, test/simpleupdatetests.py, yum/__init__.py:  When we are updating from foo.noarch to foo.i386/foo.x86_64 ...
	 then sort the available pkgs by ._compare_providers(). This does
	 the consistently corrct thing.  Also tweak the unittests to use
	 os.uname()[-1] instead of rpmutils.getBestArch().   make check now
	 passes on .i386 and .x86_64 ... wooo!

2008-07-06  James Antill <james@and.org>

	* yum/depsolve.py: Do much faster pkgtup lookup, when checking if
	"req" providers are installed

2008-07-06  James Antill <james@and.org>

	* yum/packageSack.py: Fix the "make check" failures where empty
	sacks call returnNewestByName()

2008-07-06  James Antill <james@and.org>

	* cli.py, yum/__init__.py, yum/depsolve.py, yum/misc.py,
	yum/packageSack.py: Convert .EVR usage to .ver* ... stop
	making/destroying objects all the time.

2008-07-06  James Antill <james@and.org>

	* yum/__init__.py, yum/packageSack.py: Move from comparing version
	data in pkgs with __cmp__ to using verCMP/etc.

2008-07-06  James Antill <james@and.org>

	* yum/__init__.py: Unicode fix for GPG key imports, bug#454163

2008-07-04  James Antill <james@and.org>

	* yum/packages.py: Add versioned only comparison functions to the
	base package object

2008-07-03  James Antill <james@and.org>

	* yum/__init__.py, yum/sqlitesack.py: Do real SQLite escaping, if
	required. Fixes search and list % _ usage

2008-07-03  James Antill <james@and.org>

	* yum/sqlitesack.py: Brown paper bag bug, typo in _packageByKeyData
	*sighs*

2008-07-03  James Antill <james@and.org>

	* yum/sqlitesack.py: Add an arg. so _sql_pkgKey2po can use Data,
	convert some callers to use it.

2008-07-03  James Antill <james@and.org>

	* yum/sqlitesack.py: Add helper function to do self._packageByKey
	without the SQL lookup

2008-07-03  James Antill <james@and.org>

	* yum/__init__.py, yum/packageSack.py, yum/sqlitesack.py: Add
	ignore_case with patterns argument, to fix commands (eg. list)

2008-07-03  Seth Vidal <skvidal@fedoraproject.org>

	Merge branch 'yum-3_2_X' of
	ssh://login.linux.duke.edu/home/groups/yum/git/yum into yum-3_2_X  *
	'yum-3_2_X' of ssh://login.linux.duke.edu/home/groups/yum/git/yum:
	Fix doPackageLists() and rpmdb.returnPackages() to have ignore_case
	option.   Tidy up extra --version output, add rpm/etc. packages we
	dep. on

2008-07-03  Seth Vidal <skvidal@fedoraproject.org>

	* yum/packageSack.py, yum/rpmsack.py, yum/sqlitesack.py: implement
	searchNames() to let you quickly do exact name matches of multiple
	names.

2008-07-01  James Antill <james@and.org>

	* cli.py, yum/__init__.py, yum/rpmsack.py: Fix doPackageLists() and
	rpmdb.returnPackages() to have ignore_case option.

2008-07-01  James Antill <james@and.org>

	* cli.py: Tidy up extra --version output, add rpm/etc. packages we
	dep. on

2008-06-30  James Antill <james@and.org>

	* cli.py: Add installed yum info. to --version

2008-06-30  James Antill <james@and.org>

	* output.py:  Use normal packaging sorting in simpleList()

2008-06-25  Tim Lauridsen <tla@rasmil.dk>

	* test/misc-tests.py, test/skipbroken-tests.py: Add a testcase for
	the libBCD case studie, just for the fun of it

2008-06-24  James Antill <james@and.org>

	* yum/__init__.py: Make sure we only consider the newest names,
	among all the arch varients

2008-06-24  James Antill <james@and.org>

	* yum/packageSack.py:  Fix packagesNewestByName() to use comparePoEVR as pkg.__cmp__ uses
	 .arch info.    thus we'd only get one pkg from the alph sorted
	 arch.    kind of a weird interface, not quite the "same" as
	 packageNewestByNameArch()

2008-06-24  James Antill <james@and.org>

	* yum/__init__.py: Allow noarch packages when in
	multilib_policy=best

2008-06-23  Florian Festi <ffesti@redhat.com>

	* cli.py: Fix unicode traceback If error message contains non UTF-8
	characters yum bails out in this line May be this should (also) be
	fixed in the rpmlib Python bindings.

2008-06-20  Seth Vidal <skvidal@fedoraproject.org>

	* yum/yumRepo.py: make sure url's end in '/' otherwise our
	urlparse.urljoin() won't be correct

2008-06-16  James Antill <james@and.org>

	* yum/__init__.py: Re-align the total progress after each download,
	in case of errors+no-size

2008-06-13  Seth Vidal <skvidal@fedoraproject.org>

	* yum/__init__.py: make the logging call correct for 3.2.X

2008-06-13  Seth Vidal <skvidal@fedoraproject.org>

	* yum/__init__.py: make sure we don't accidentally install any
	incompatible architectures (especially things like local-install src
	rpms)

2008-06-12  Jeremy Katz <katzj@redhat.com>

	* yum/__init__.py: Give a nicer error message if there are no groups
	configured (#446613)

2008-06-12  Jeremy Katz <katzj@redhat.com>

	* yummain.py: Log formatters use localized bits, but logs should use
	C locale (#433091)

2008-06-12  James Antill <james@and.org>

	* output.py: rm extra space

2008-06-11  James Antill <james@and.org>

	* yum/packageSack.py: Fix seth's fix, of my fix, ... :)

2008-06-11  James Antill <james@and.org>

	* output.py:  More merges from the logging branch.    Fix the "yum list
	 php-pear-Str*" problem.   Do the specspo. lookup/encoding for
	 verbose matchcallback.   Minor UI tweak for verbose matchcallback.


2008-06-11  James Antill <james@and.org>

	* output.py: Add times to verbose info. -- hand merge from logging
	branch

2008-06-11  Seth Vidal <skvidal@fedoraproject.org>

	* yum/config.py: commit comment correction for config.py from Kulbir
	Saini

2008-06-11  James Antill <james@and.org>

	* cli.py: Try and fix bug#450826

2008-06-11  James Antill <james@and.org>

	* yum/packages.py: Use sets for lookup on large prco tuples

2008-06-10  Seth Vidal <skvidal@fedoraproject.org>

	* yum/packageSack.py: make sure the exceptions for 'no packages
	found' continue to be true

2008-06-09  Seth Vidal <skvidal@fedoraproject.org>

	Merge branch 'yum-3_2_X' of
	ssh://login1.linux.duke.edu/home/groups/yum/git/yum into yum-3_2_X
	* 'yum-3_2_X' of
	ssh://login1.linux.duke.edu/home/groups/yum/git/yum:    Fix provides
	output, to have highlights and make it always "verbose".   updated
	de translation by Jochen Schmitt   The postresolve hook should run
	after the installonlyn magic.

2008-06-09  Seth Vidal <skvidal@fedoraproject.org>

	* yum/__init__.py, yum/misc.py, yum/pgpmsg.py: make gpg key
	importing support muleiple keys per file

2008-06-06  James Antill <james@and.org>

	* cli.py, output.py, yum/__init__.py:  Fix provides output, to have highlights and make it always
	 "verbose".  Give warning about old behaviour when nothing matches.


2008-06-06  Tim Lauridsen <tla@rasmil.dk>

	* po/de.po: updated de translation by Jochen Schmitt

2008-06-03  Jack Neely <jjneely@ncsu.edu>

	* yum/__init__.py: The postresolve hook should run after the
	installonlyn magic.

2008-06-03  Tim Lauridsen <tla@rasmil.dk>

	* yum/config.py, yum/yumRepo.py: make
	repo.enable/disablePersistant() dont messup the repo files by
	replacing  etc. (rhbz# 446098)

2008-06-02  James Antill <james@and.org>

	* cli.py: Give the --showduplicates output for provides, as that's
	how it's calc'd.

2008-06-02  James Antill <james@and.org>

	* README: Add text for git diff, to make sure we don't have HEAD
	merges

2008-06-02  James Antill <james@and.org>

	* README.API_CHANGES, rpmUtils/miscutils.py, test/depsolvetests.py,
	test/operationstests.py, test/packagetests.py,
	test/simpleobsoletestests.py, test/simpleupdatetests.py,
	test/skipbroken-tests.py, test/testbase.py, yum/__init__.py,
	yum/depsolve.py, yum/packageSack.py, yum/packages.py,
	yum/rpmsack.py, yum/sqlitesack.py: Revert "Merge branch 'master' of
	ssh://login.linux.duke.edu/home/groups/yum/git/yum"  This reverts
	commit 7bf7ce04f34b0fa1540b02de70d696675864efc3.   Another stupid
	HEAD => 3.2.x branch merge. *hates SCMs for a while*

2008-06-02  James Antill <james@and.org>

	* yum/sqlitesack.py: Revert "Remove old excluded mechanism from
	SqliteSack"  This reverts commit
	4a7acc768e4b466fe23c09435a2beff963461ecb.   This shouldn't be on the
	stable branch.

2008-05-31  James Antill <james@and.org>

	* yum/sqlitesack.py: Allow searches with ' in them (need to escape
	other chars?). bug#240606

2008-05-31  James Antill <james@and.org>

	* yum/__init__.py: We want to keep other arches in the
	multilib_policy=all case. bug#449056

2008-05-30  Seth Vidal <skvidal@fedoraproject.org>

	Merge branch 'yum-3_2_X' of
	ssh://login1.linux.duke.edu/home/groups/yum/git/yum into yum-3_2_X
	* 'yum-3_2_X' of
	ssh://login1.linux.duke.edu/home/groups/yum/git/yum:   Allow
	non-obs. looping installs too :)   Work around mutual obs. looping
	insanity   update sr & sr@latin translation by Igor Miletic   Fix
	i18n for y/N prompt and sr_RS.utf8 locale, also allow y/N if no
	overlap   Fix -y config. option in man page: bug#447305   Allow -c
	URL to work again   commit and/or match from HEAD back to 3.2.X
	mention the branch name specifically   label as 3.2.X branch

2008-05-30  Seth Vidal <skvidal@fedoraproject.org>

	* docs/yum.8, docs/yum.conf.5: man page patch to close #446587

2008-05-27  James Antill <james@and.org>

	* output.py: Fix i18n for y/N prompt and sr_RS.utf8 locale, also
	allow y/N if no overlap

2008-05-16  Seth Vidal <skvidal@fedoraproject.org>

	* README: mention the branch name specifically

2008-05-16  Seth Vidal <skvidal@fedoraproject.org>

	* README: label as 3.2.X branch

2008-05-29  James Antill <james@and.org>

	* yum/__init__.py: Allow non-obs. looping installs too :)

2008-05-28  James Antill <james@and.org>

	* yum/__init__.py: Work around mutual obs. looping insanity

2008-05-27  Tim Lauridsen <timlau@fedoraproject.org>

	* po/sr.po, po/sr@latin.po: update sr & sr@latin translation by Igor
	Miletic

2008-05-27  James Antill <james@and.org>

	* output.py: Fix i18n for y/N prompt and sr_RS.utf8 locale, also
	allow y/N if no overlap

2008-05-27  James Antill <james@and.org>

	Merge branch 'master' of
	ssh://login.linux.duke.edu/home/groups/yum/git/yum  * 'master' of
	ssh://login.linux.duke.edu/home/groups/yum/git/yum:   update sr &
	sr@latin translation by Igor Miletic   Remove old excluded mechanism
	from SqliteSack

2008-05-27  Tim Lauridsen <timlau@fedoraproject.org>

	* po/sr.po, po/sr@latin.po: update sr & sr@latin translation by Igor
	Miletic

2007-12-13  Florian Festi <ffesti@redhat.com>

	* yum/sqlitesack.py: Remove old excluded mechanism from SqliteSack

2008-05-26  James Antill <james@and.org>

	Merge branch 'master' of
	ssh://login.linux.duke.edu/home/groups/yum/git/yum  * 'master' of
	ssh://login.linux.duke.edu/home/groups/yum/git/yum:   Fix flag
	conversion in YumHeaderPackage._populatePrco()   Use already known
	txmbr when resolving installed pkgs problems   Restart .check* every
	time the tsInfo got modified to only resolve problems that still
	exist   Make Depsolve.check* generators instead of returning lists
	Make sure rpm.RPMSENSE_* int constants are used as flags in PRCOs.
	Fix code merge error in RpmSack._getPRCO   PackageSack API cleanup
	Remove Depsolve.whatProvides

2008-05-26  Florian Festi <ffesti@redhat.com>

	* yum/packages.py: Fix flag conversion in
	YumHeaderPackage._populatePrco() broken in
	febe35eee130212380e5688bd119f19a032d74fc

2008-02-13  Florian Festi <ffesti@redhat.com>

	* yum/depsolve.py: Use already known txmbr when resolving installed
	pkgs problems

2008-02-18  Florian Festi <ffesti@redhat.com>

	* yum/depsolve.py: Restart .check* every time the tsInfo got
	modified to only resolve problems that still exist

2008-02-18  Florian Festi <ffesti@redhat.com>

	* yum/depsolve.py: Make Depsolve.check* generators instead of
	returning lists

2008-05-23  Florian Festi <ffesti@redhat.com>

	* rpmUtils/miscutils.py, test/depsolvetests.py,
	test/operationstests.py, test/packagetests.py,
	test/simpleobsoletestests.py, test/simpleupdatetests.py,
	test/skipbroken-tests.py, test/testbase.py, yum/depsolve.py,
	yum/packages.py, yum/sqlitesack.py: Make sure rpm.RPMSENSE_* int
	constants are used as flags in PRCOs. Added short hand constants to
	testbase Adjusted the test cases

2008-05-26  Florian Festi <ffesti@redhat.com>

	* yum/rpmsack.py: Fix code merge error in RpmSack._getPRCO  Thanks
	to Terje Røsten for testing and reporting.

2008-05-23  James Antill <james@and.org>

	* yum/depsolve.py: Minor bit rot, pointed out by Jay Soffian

2008-05-23  Florian Festi <ffesti@redhat.com>

	* README.API_CHANGES, yum/packageSack.py, yum/rpmsack.py,
	yum/sqlitesack.py: PackageSack API cleanup Removed
	PackagesSack.search(Provides|Requires|Conflicts|Obsoletes)
	RpmSack.what(Provides|Requires)  SqliteSack.searchPrco Added
	PackagesSack.get(Conflicts|Obsoletes)

2007-11-30  Florian Festi <ffesti@redhat.com>

	* yum/__init__.py, yum/depsolve.py: Remove Depsolve.whatProvides

2008-05-19  James Antill <james@and.org>

	* docs/yum.8: Fix -y config. option in man page: bug#447305

2008-05-19  James Antill <james@and.org>

	* yum/config.py: Allow -c URL to work again

2008-05-20  Seth Vidal <skvidal@fedoraproject.org>

	* yum/sqlitesack.py: commit and/or match from HEAD back to 3.2.X

2008-05-19  James Antill <james@and.org>

	* docs/yum.8: Fix -y config. option in man page: bug#447305

2008-05-19  James Antill <james@and.org>

	Merge branch 'master' of
	ssh://login.linux.duke.edu/home/groups/yum/git/yum  * 'master' of
	ssh://login.linux.duke.edu/home/groups/yum/git/yum:   gotta check
	both, not either - otherwise filedeps don't work :(

2008-05-19  James Antill <james@and.org>

	* yum/config.py: Allow -c URL to work again

2008-05-17  Seth Vidal <skvidal@fedoraproject.org>

	* yum/sqlitesack.py: gotta check both, not either - otherwise
	filedeps don't work :(

2008-05-16  Seth Vidal <skvidal@fedoraproject.org>

	* README: mention the branch name specifically

2008-05-16  Seth Vidal <skvidal@fedoraproject.org>

	* README: label as 3.2.X branch

2008-05-16  James Antill <james@and.org>

	* yum/sqlitesack.py:  Work around SQL limits for searching, still unbearably slow at
	 1,000s of terms

2008-05-16  James Antill <james@and.org>

	* yum/constants.py, yum/rpmsack.py, yum/sqlitesack.py: Limit
	excessive pattern usage

2008-05-16  James Antill <james@and.org>

	* yumcommands.py: Add repo size to repolist info.

2008-05-16  Seth Vidal <skvidal@fedoraproject.org>

	* ChangeLog: merge changelog, again

2008-05-15  Seth Vidal <skvidal@fedoraproject.org>

	* yum/comps.py: we screwed up generating some earlier comps which
	made us have lang_only not langonly in the xml. To help cope with
	potential outstanding issues this created we're going to honor
	either in the incoming comps xml.

2008-05-14  Seth Vidal <skvidal@fedoraproject.org>

	* ChangeLog: merge changelog

2008-05-14  Seth Vidal <skvidal@fedoraproject.org>

	* yum.spec, yum/__init__.py: mark as 3.2.16

2008-05-14  James Antill <james@and.org>

	* yum/transactioninfo.py: Don't install things that are already
	installed ... updates also work

2008-05-14  Seth Vidal <skvidal@fedoraproject.org>

	* ChangeLog: merge changelog

2008-05-14  Seth Vidal <skvidal@fedoraproject.org>

	* yum.spec, yum/__init__.py: mark as 3.2.15

2008-05-14  James Antill <james@and.org>

	* yum/__init__.py: Add : to allowed chars in repo ids ... for SuSE

2008-05-14  James Antill <james@and.org>

	* yum/sqlitesack.py:  Undo memoize/re-load for requires as it seems to only be hurting us
	 now and in the 20% range for Fed-8 => Fed-9 :(.

2008-05-14  Seth Vidal <skvidal@fedoraproject.org>

	* yum/__init__.py: fix the error message so it talks about the right
	repo field

2008-05-14  Seth Vidal <skvidal@fedoraproject.org>

	* yum/sqlitesack.py: make sure we're not searching files when it is
	a globbed requires, obsoletes or conflict.

2008-05-14  James Antill <james@and.org>

	* yum/yumRepo.py:  Kind of fix yum behind password protected AP, aka. bug#446248 etc.
	 Don't spam screen with html.    Don't die on unicode() (hopefully
	 :).   No "you might be behind a protected AP" text though ... do we
	 need it?

2008-05-13  James Antill <james@and.org>

	* yum/comps.py:  Fix comps XML production to match expected input, bug#446186  Patch
	 by: morioka@at.wakwak.com

2008-05-09  Seth Vidal <skvidal@fedoraproject.org>

	* yum/sqlitesack.py: 'fixes' for invalid metadata made with
	createrepo -n - this harkens back to rhl 9 and stupidity with epochs


2008-05-06  Luke Macken <lmacken@redhat.com>

	* callback.py, cli.py, output.py, utils.py, yum/__init__.py,
	yum/depsolve.py, yum/i18n.py, yum/plugins.py, yum/rpmtrans.py,
	yumcommands.py, yummain.py: Make yum.i18n less intrusive.  Instead
	of altering the global __builtin__ namespace, which can potentially
	break applications that import yum as a module, make
	internationalization within yum as easy as doing `from yum import
	_`.  This change also ensures that the yum.i18n.dummy_wrapper can
	still be used in 'gaftonmode' to bypass gettext completely.

2008-05-04  Seth Vidal <skvidal@fedoraproject.org>

	* yum/comps.py: make groups returning support wildcards and commas -
	just like repos do.

2008-05-03  James Antill <james@and.org>

	* yum/misc.py, yum/yumRepo.py:  Fix non-ascii package names to urlgrabber: bug#261961   Patch from:
	 a.badger@gmail.com  This new patch creates a to_utf8() method like
	 to_unicode() that only converts if the object passed to it is
	 unicode.  Using it in _get_file() does the right thing whether we
	 are handing in a unicode or YumRepository.

2008-05-02  James Antill <james@and.org>

	* test/check-po-yes-no.py: Add checks related to not allowing
	bug#44941 again

2008-04-25  Seth Vidal <skvidal@fedoraproject.org>

	* yum/plugins.py: fix for rh-bug 444118

2008-04-25  Tim Lauridsen <timlau@fedoraproject.org>

	* po/de.po: Updated de translation by Fabian Affolter

2008-04-24  James Antill <james@and.org>

	* cli.py: Typo, bug#444022

2008-04-24  James Antill <james@and.org>

	* po/fr.po: New fr upload from johan@x-tnd.be / bug#436194 ...
	mostly comment changes

2008-04-23  James Antill <james@and.org>

	* yum/__init__.py: Fix C-c again, bug#442232 and probably
	rhbz#240138

2008-04-22  James Antill <james@and.org>

	* yum/__init__.py: Grr ... fix stupido

2008-04-22  James Antill <james@and.org>

	* output.py:  Fix translated process name chopping, for another 5 chars, fixes
	 bug#442935.  Don't chop pkg names on 100%, ala. downloads.  Don't
	 chop name in progressbar, ala. downloads.  Add tester "output.py
	 progress"

2008-04-21  James Antill <james@and.org>

	* yum/__init__.py: Download pkgs smallest to largest, to get full
	pkg downloads sooner

2008-04-20  James Antill <james@and.org>

	* test/check-po-yes-no.py: Just compare yes/no so we don't fail on
	ms where y=y for first letter of ya

2008-04-20  James Antill <james@and.org>

	* po/ms.po: Fix i18n yes/no problem in ms

2008-04-19  James Antill <james@and.org>

	* test/yum-release-i18n-test.sh: Add -y arg, for full automation

2008-04-19  James Antill <james@and.org>

	* yum/rpmsack.py: Use just to_unicode(), tested i18n ... it was just
	errors we need

2008-04-19  James Antill <james@and.org>

	* yum/misc.py: Use replace by default, there is no reason we want
	more tracebacks

2008-04-19  James Antill <james@and.org>

	* cli.py: Sort grouplist

2008-04-19  James Antill <james@and.org>

	* yum/comps.py: Fix grouplist for fr_FR etc.

2008-04-18  James Antill <james@and.org>

	* yum/yumRepo.py: Die if we fail to download, leads to adding None
	dobj anyway

2008-04-18  James Antill <james@and.org>

	* yum/sqlitesack.py: Complain loudly if we try and add None,
	bug#442819 among others

2008-04-18  James Antill <james@and.org>

	* yum/__init__.py: Don't do total size if we only have one thing to
	download

2008-04-18  James Antill <james@and.org>

	Merge branch 'master' of
	ssh://login.linux.duke.edu/home/groups/yum/git/yum  * 'master' of
	ssh://login.linux.duke.edu/home/groups/yum/git/yum:   make errors
	raised for available and installed packages having incorrect
	attributes be the same   Updated de translation by Fabian Affolter

2008-04-18  Seth Vidal <skvidal@fedoraproject.org>

	* yum/packages.py, yum/sqlitesack.py: make errors raised for
	available and installed packages having incorrect attributes be the
	same mark as a FIXME to make this an attribute error after we break
	the api in the next major version change

2008-04-17  James Antill <james@and.org>

	* test/depsolvetests.py: Add unison test case

2008-04-17  Tim Lauridsen <timlau@fedoraproject.org>

	* po/de.po: Updated de translation by Fabian Affolter

2008-04-15  James Antill <james@and.org>

	* test/yum-release-i18n-test.sh: See, now this is why I hate sh ...
	so why do I keep doing this to myself

2008-04-15  James Antill <james@and.org>

	* test/yum-release-i18n-test.sh: Add grouplist/groupinfo to the i18n
	tests

2008-04-15  James Antill <james@and.org>

	* yum/yumRepo.py:  Edge case ... if the MD files checksums match we assume they are
	 the same.   The fails if we have --unique-md-filenames in one run,
	 but not the other.  So if the locations don't match ... just delete
	 the old name and redownload

2008-04-15  Seth Vidal <skvidal@fedoraproject.org>

	* cli.py, output.py, yum/__init__.py, yum/comps.py, yum/misc.py: - make groups work for groups with different groupids but the same
	name (dumb!) - make groupinfo and grouplist display properly in
	other languages - add return_groups() method to comps object -
	returns all matches not just the first one like return_group() did

2008-04-15  James Antill <james@and.org>

	* yum/__init__.py: fr_FR broke for missing GPG key, this fixes it

2008-04-15  Seth Vidal <skvidal@fedoraproject.org>

	* yum/__init__.py: revert changes which handback a string instead of
	a list of tuples

2008-04-15  Seth Vidal <skvidal@fedoraproject.org>

	* etc/yum.logrotate: make logrotate cycle the yum.log file yearly to
	close rh bug 174969

2008-04-14  James Antill <james@and.org>

	* output.py: sort groupinfo output

2008-04-14  Jeremy Katz <katzj@redhat.com>

	* yum/misc.py: Fix finding the running kernel version (#441484)
	Don't try to guess the way that uname -r matches up with kernel
	version release and instead go on /boot/vmlinuz-$(uname -r) existing
	and then mapping that to the package it came from

2008-04-14  James Antill <james@and.org>

	* yum/misc.py: Stupid typing error wasting our time

2008-04-14  Seth Vidal <skvidal@fedoraproject.org>

	* yum/__init__.py: tab snuck in there

2008-04-14  Seth Vidal <skvidal@fedoraproject.org>

	* yum/__init__.py: merged patch from Panu from rh bug: #427866

2008-04-14  Seth Vidal <skvidal@fedoraproject.org>

	* yum/__init__.py: merge patch from Todd Zullinger <tmz at
	pobox.com> to output more info if we've changed the package we're
	acting on b/c of obsoletes. Closes rh bug #440159

2008-04-14  Tim Lauridsen <timlau@fedoraproject.org>

	* po/pt_BR.po: Updated pt_BR translation by Igor Pires Soares

2008-04-13  James Antill <james@and.org>

	* yum/rpmsack.py: patterns=[] means match everything, not nothing

2008-04-13  James Antill <james@and.org>

	* cli.py: Stupid optparse

2008-04-12  James Antill <james@and.org>

	* test/yum-release-i18n-test.sh: Drop the "look for error" timeouts
	a little, and fix livna key tests

2008-04-12  James Antill <james@and.org>

	* test/depsolvetests.py, test/simpleupdatetests.py: Show problems
	with update for deps. and multi arch Fix other multiarch tests

2008-04-12  James Antill <james@and.org>

	* Makefile, test/check-po-yes-no.py: Add check-po-yes-no.py to make
	check

2008-04-12  James Antill <james@and.org>

	* test/yum-release-i18n-test.sh: Add auto testing for i18n issues

2008-04-12  James Antill <james@and.org>

	* cli.py, yummain.py:  Move locale, so we don't die on unsupported locale's in
	 getpreferredencoding   Override optparses print_help() from --help,
	 as it screws up the encoding.

2008-04-12  James Antill <james@and.org>

	* test/check-po-yes-no.py: Add an automatic checker for the
	dependant yes/no translations

2008-04-12  James Antill <james@and.org>

	Merge branch 'i18n'  * i18n:   Move gaftonmode to the
	startupconf   Convert str(e) to unicode(e) for translated exceptions
	Fix for optparse tries to convert from unicode to ascii

2008-04-12  James Antill <james@and.org>

	* yummain.py: Missed two translated exceptions

2008-04-12  James Antill <james@and.org>

	* yum/__init__.py: Move gaftonmode to the startupconf

2008-04-12  James Antill <james@and.org>

	* yum/__init__.py, yummain.py: Convert str(e) to unicode(e) for
	translated exceptions

2008-04-12  James Antill <james@and.org>

	* cli.py, output.py, yummain.py:  Fix for optparse tries to convert from unicode to ascii  Re-fix
	 436361 and fix part of 438580, probably due to the string being
	 translated now.  Tell stdout's encoder that it should replace bad
	 chars instead of splatting tracebacks.

2008-04-11  James Antill <james@and.org>

	* cli.py, output.py:  Allow searching for unicode, i.e.: ®  This only didn't work for
	 "search linux" on pl_PL, it works fine on pl_PL.UTF-8. And pl_PL
	 doesn't work anyway for "search linux" due to ® not being
	 displayable in iso8859_2 ... too much crack.

2008-04-11  James Antill <james@and.org>

	* yum/rpmsack.py: Fix bad translation by using replace, bug#440009

2008-04-11  James Antill <james@and.org>

	* cli.py, output.py: Revert "Allow searching for unicode, i.e.: ®"
	This reverts commit 3ef1cadbdc56950979c8e8034da58f01cb9c2c9d.
	Obviously this blows up on other languages, so n/m.

2008-04-11  James Antill <james@and.org>

	* cli.py, output.py: Allow searching for unicode, i.e.: ®

2008-04-11  James Antill <james@and.org>

	* yum/misc.py: Stupid python and it's global rules

2008-04-11  James Antill <james@and.org>

	* yum/misc.py: Hacky-ish fix for Jesse and createrepo

2008-04-11  James Antill <james@and.org>

	* callback.py, cli.py, output.py, utils.py, yum/__init__.py,
	yum/config.py, yum/depsolve.py, yum/i18n.py, yum/plugins.py,
	yum/rpmtrans.py, yumcommands.py, yummain.py:  Make i18n configurable ... all post to f-d-l that we've added
	 choice!   Always do the codecs magic thing, because that seems to
	 help:     sys.stdout.write(_('GPG key retrieval failed: '))  ...in
	 pl_PL.

2008-04-10  James Antill <james@and.org>

	* output.py, yum/misc.py: Create unicode_maybe ... try and ignore
	errors ... so at least we don't crash

2008-04-10  James Antill <james@and.org>

	* yum/rpmsack.py: Work around weird version type ... problem was
	fixed by touch *.py

2008-04-10  James Antill <james@and.org>

	* yum/__init__.py: Magic rpm errors, bug#441860

2008-04-09  James Antill <james@and.org>

	* cli.py: Tiny pychecker fix

2008-04-08  James Antill <james@and.org>

	* yum/misc.py: Add comment

2008-04-10  Seth Vidal <skvidal@fedoraproject.org>

	* output.py: make sure we catch random emissions from rpm :(

2008-04-10  Tim Lauridsen <timlau@fedoraproject.org>

	* po/de.po: updated de translation by Dominik Sandjaja

2008-04-08  Seth Vidal <skvidal@fedoraproject.org>

	* po/fr.po: and more french translation fixes

2008-04-08  Seth Vidal <skvidal@fedoraproject.org>

	* po/fr.po: fix y/n, oui/non message - thanks to Johan Cwiklinski

2008-04-08  James Antill <james@and.org>

	* output.py: Really fix the misc.to_str call

2008-04-08  James Antill <james@and.org>

	* yum/misc.py, yum/rpmsack.py, yum/sqlitesack.py: Don't let the
	shared_data_store convert between str and unicode

2008-04-08  James Antill <james@and.org>

	* output.py: Make the last patch work

2008-04-08  James Antill <james@and.org>

	* output.py, yum/misc.py: Fix stupid python str() call, add helper

2008-04-08  Seth Vidal <skvidal@fedoraproject.org>

	* po/sr.po, po/sr@latin.po: - check in serbian translation update from Igor Miletic - check in
	serbian latin translation update from Igor Miletic

2008-04-07  Seth Vidal <skvidal@fedoraproject.org>

	* ChangeLog, po/pl.po: - fix bogus %s in polish translations - merge changelog

2008-04-07  Seth Vidal <skvidal@fedoraproject.org>

	* yum.spec, yum/__init__.py: 3.2.14

2008-04-07  James Antill <james@and.org>

	* yum/__init__.py: By popular demand, add the "total progress" to
	Fedora urlgrabber

2008-04-07  James Antill <james@and.org>

	* yum/__init__.py: Get rid of the final stats. -- we can't call
	.format_number() from here

2008-04-07  James Antill <james@and.org>

	* yum/__init__.py: Add minimal total pkg download progress indicator


2008-04-04  James Antill <james@and.org>

	* yum/__init__.py: Add showdups arg. like searchGenerator()

2008-04-04  James Antill <james@and.org>

	* yum/__init__.py: Fixup available list when you've installed a
	newer pkg from a disabled repo

2008-04-04  Tim Lauridsen <tim@naboo.local>

	* po/yum.pot: Added comment about [Y/N] Translation in pot file

2008-04-04  Tim Lauridsen <tim@naboo.local>

	* po/it.po: fix [y/N] - >[s/N] in it translation

2008-04-04  Tim Lauridsen <tim@naboo.local>

	* po/pl.po: updated pl translation by Piotr Drąg

2008-04-03  Tim Lauridsen <tim@naboo.local>

	* po/de.po: fix [y/N] - >[j/N] in de translation

2008-04-02  Seth Vidal <skvidal@fedoraproject.org>

	* test/depsolvetests.py, yum/__init__.py, yum/depsolve.py: - __init__.py remove bogus print 1 in update() - depsolve.py replace
	compare_providers() - 'fix' arch-specific testcases in
	depsolvetests.py - we need to have arch be persistent and
	probably settable in the config before we can implement a proper fix
	for this one.

2008-04-02  James Antill <james@and.org>

	* cli.py: Add optparse like explanation, so "yum -c" errors like
	"yum -R"

2008-04-02  James Antill <james@and.org>

	* yumcommands.py: If they do "yum list installed blah" we still do
	not need the Ts

2008-04-01  James Antill <james@and.org>

	* yumcommands.py:  Fix repolist disabled.  Add colour to: repolist all  Add verbose
	 option, for long id's/names

2008-04-01  James Antill <james@and.org>

	* output.py: Make sure val is a string, so textwrap isn't confused

2008-04-01  Seth Vidal <skvidal@fedoraproject.org>

	* yum/comps.py: correct typo in comps.py =+ != +=

2008-04-01  James Antill <james@and.org>

	* test/depsolvetests.py: Spelink not so gud

2008-04-01  Tim Lauridsen <timlau@fedoraproject.org>

	* po/fr.po: updated fr translation by Johan Cwiklinski

2008-03-31  James Antill <james@and.org>

	* test/depsolvetests.py: Arch vs. len doom testcase ... fun for
	skvidal

2008-03-29  James Antill <james@and.org>

	* yum/rpmsack.py:  Remove extra searchFiles ... searchProvides does it already  Also
	 remove files from _cache, as searchProvides() now does it well
	 enough.

2008-03-29  James Antill <james@and.org>

	* yum/rpmsack.py: Drop _cache data in dropCachedData

2008-03-29  James Antill <james@and.org>

	* yum/rpmsack.py: Share data from the pkglist thing, save about
	0.5MB -- 0.25% ish :O

2008-03-28  James Antill <james@and.org>

	* yum/packages.py, yum/rpmsack.py:  Add getProvides() and getRequires() caches in rpmsack.  Saves about
	 10% runtime, takes about 2% RSS overhead.   That's saves 5 seconds,
	 and takes 5.5MB

2008-03-28  James Antill <james@and.org>

	Merge branch 'master' of
	ssh://login.linux.duke.edu/home/groups/yum/git/yum  * 'master' of
	ssh://login.linux.duke.edu/home/groups/yum/git/yum:   partial fix
	for incorrect update for dependency resolution.

2008-03-28  James Antill <james@and.org>

	* yum/depsolve.py: Change name so we don't stomp on provs

2008-03-28  Seth Vidal <skvidal@fedoraproject.org>

	* yum/__init__.py: partial fix for incorrect update for dependency
	resolution. still fails: testUpdatenoarchToMultilibForDependency

2008-03-28  James Antill <james@and.org>

	* yumcommands.py: Sort "list obsoletes" results, because non-sorted
	results make me cry

2008-03-28  Seth Vidal <skvidal@fedoraproject.org>

	* yum/__init__.py: dump a little duplicated code

2008-03-28  Seth Vidal <skvidal@fedoraproject.org>

	* docs/yum.8: commit clean all documentation patch from shawn starr


2008-03-28  Seth Vidal <skvidal@fedoraproject.org>

	* yum/__init__.py: make our verifyPkg() function handle corrupted
	files more correctly closes rh bug:
	https://bugzilla.redhat.com/show_bug.cgi?id=439275

2008-03-27  James Antill <james@and.org>

	* yum/__init__.py: Fix traceback bug#439228

2008-03-27  James Bowes <jbowes@redhat.com>

	* yumcommands.py: Add expire-cache to clean's usage

2008-03-27  James Antill <james@and.org>

	* test/depsolvetests.py: Add some unit tests,
	testMultiPkgVersions[34] are wrong

2008-03-27  Tim Lauridsen <timlau@fedoraproject.org>

	* po/sr.po: Added Serbian translation by Igor Miletic

2008-03-26  Seth Vidal <skvidal@fedoraproject.org>

	* docs/yum.8: add yum-utils see-also

2008-03-26  James Antill <james@and.org>

	* yum/yumRepo.py: Add developer comment, and stab seth/RHN people
	who did this

2008-03-26  James Antill <james@and.org>

	* yum/yumRepo.py:  Don't create sacks for repos that we don't care about

2008-03-26  James Antill <james@and.org>

	* yum/__init__.py: Fix user_agent when creating multiple YumBase
	instances

2008-03-26  James Antill <james@and.org>

	* yum/plugins.py, yum/repos.py: Use weakref to avoid circular refs

2008-03-26  James Antill <james@and.org>

	* yum/repos.py: Another glob hack, gone

2008-03-26  James Antill <james@and.org>

	* yum/yumRepo.py: Got to excited about _()

2008-03-26  James Antill <james@and.org>

	* yum/yumRepo.py: Warn users when their MD is being updated

2008-03-25  James Antill <james@and.org>

	* yum/misc.py, yum/packages.py, yum/rpmsack.py, yum/sqlitesack.py: 
	Generalize sqlite's share_data, saves 9MB 5% RSS on Fed-8 => rawhide


2008-03-25  James Antill <james@and.org>

	* yum/__init__.py, yum/rpmsack.py: Drop caches from rpmsack too

2008-03-25  James Antill <james@and.org>

	* yum/__init__.py: Might as well make list extras faster too :)

2008-03-25  James Antill <james@and.org>

	* yum/packageSack.py: Minor re_glob, plus comment that
	matchPackageNames() function needs to die

2008-03-25  James Antill <james@and.org>

	* yum/__init__.py, yum/rpmsack.py: Push search data down to rpm too,
	again roughly 0.3 and 15MB ... plus nicer

2008-03-25  James Antill <james@and.org>

	* yum/rpmsack.py: If we are filtering don't mark everything as
	loaded

2008-03-25  James Antill <james@and.org>

	* yum/__init__.py, yum/rpmsack.py: Push pkg matching down to
	rpmsack, roughly 0.3 and 15MB better for list

2008-03-25  James Antill <james@and.org>

	* yum/packages.py: Use re_glob() instead of function

2008-03-25  Seth Vidal <skvidal@fedoraproject.org>

	* yum/__init__.py: call simplePkgList() to rpmdb not pkglist so that
	tests will work need to fix the tests eventually, too

2008-03-25  Tim Lauridsen <tla@rasmil.dk>

	* yum/__init__.py, yum/misc.py: Added a generic unicode converter
	func to misc, and use it on rpm po in search generator (rhbz
	#438633)

2008-03-25  Tim Lauridsen <tla@rasmil.dk>

	* po/da.po, yum/rpmtrans.py: * Fixed [y/N] -> [j/N] in danish translation * make
	Updating,Installing etc translate able (rhbz #438764)

2008-03-25  Tim Lauridsen <tla@rasmil.dk>

	* po/da.po: updated latest string in da translation

2008-03-25  Tim Lauridsen <tla@rasmil.dk>

	* po/da.po, po/de.po, po/fr.po, po/it.po, po/ms.po, po/nb.po,
	po/pl.po, po/pt.po, po/pt_BR.po, po/ru.po, po/yum.pot: updated
	yum.pot and all po with latest added _() strings

2008-03-25  Tim Lauridsen <tla@rasmil.dk>

	* po/pt_BR.po: Added Brazilian Portuguese translation by Igor Pires
	Soares

2008-03-24  Seth Vidal <skvidal@fedoraproject.org>

	* yum/__init__.py: raises take strings, not lists - thanks to robin
	norwood for pointing out the silliness here

2008-03-24  Seth Vidal <skvidal@fedoraproject.org>

	Merge branch 'master' of
	ssh://login.linux.duke.edu/home/groups/yum/git/yum  * 'master' of
	ssh://login.linux.duke.edu/home/groups/yum/git/yum:   Add some
	missing options

2008-03-24  Seth Vidal <skvidal@fedoraproject.org>

	* yum/packages.py: make sure we return the right stuff for src rpm's
	- arch == src not whatever rpm has shoved in there.

2008-03-24  James Antill <james@and.org>

	* docs/yum.8: Add some missing options

2008-03-24  Seth Vidal <skvidal@fedoraproject.org>

	* yum/__init__.py: stop making the objects only to immediately
	delete them.

2008-03-24  Seth Vidal <skvidal@fedoraproject.org>

	* yum/__init__.py: die tabs, die

2008-03-24  Seth Vidal <skvidal@fedoraproject.org>

	Merge branch 'master' of
	ssh://login.linux.duke.edu/home/groups/yum/git/yum  * 'master' of
	ssh://login.linux.duke.edu/home/groups/yum/git/yum:    Special
	workaround for depsolving, load prco data without keeping hdr   Add
	buildtime for hacky pkgid

2008-03-24  Seth Vidal <skvidal@fedoraproject.org>

	* yum/__init__.py, yum/rpmsack.py: make rpmsack._pkglist return
	direct from the rpm hdr objects and not pass through
	ReturnPackages() saves us a 1/2 second on any load of the pkglist
	not preceded by a call to returnPackages()

2008-03-24  James Antill <james@and.org>

	* yum/packages.py, yum/rpmsack.py:  Special workaround for depsolving, load prco data without keeping
	 hdr  yum update (Fed-8 => rawhide) -----------------------------
	 Before: 48.6470 Peak[527.20MB] Size[518.20MB] RSS[297.44MB] After:
	 49.1763 Peak[458.98MB] Size[449.98MB] RSS[229.27MB]

2008-03-24  James Antill <james@and.org>

	* yum/rpmsack.py: Add buildtime for hacky pkgid

2008-03-24  James Antill <james@and.org>

	* yum/rpmsack.py:  Huge memory decrease, by using sqlitesack algo. on installed rpm
	 packages.  . Add RPMInstalledPackage() class . Drop the header,
	 after reading "core" data like name/version/etc. . Reload header,
	 using po.idx if we need anything weird (Ie. depsolving)   search
	 ustr  -----------  Before:  1.6563 Peak[336.28MB] Size[336.28MB]
	 RSS[116.11MB]  After:   1.6043 Peak[268.40MB] Size[268.40MB] RSS[
	 48.41MB]   list ustr  ---------  Before:  1.7527 Peak[338.85MB]
	 Size[338.10MB] RSS[117.94MB]  After:   1.6412 Peak[270.32MB]
	 Size[270.32MB] RSS[ 49.96MB]   provides ustr  -------------
	 Before:  0.8444 Peak[250.99MB] Size[250.99MB] RSS[30.87MB]  After:
	 0.8489 Peak[250.99MB] Size[250.99MB] RSS[30.88MB]   list updates
	 ------------  Before:  3.9209 Peak[388.59MB] Size[388.59MB]
	 RSS[168.45MB]  After:   3.8675 Peak[320.07MB] Size[320.07MB] RSS[
	 99.94MB]   update (Fed-8 to rawhide)  -------------------------
	 Before: 48.0007 Peak[526.92MB] Size[517.16MB] RSS[296.41MB]  After:
	 48.6470 Peak[527.20MB] Size[518.20MB] RSS[297.44MB]

2008-03-23  James Bowes <jbowes@redhat.com>

	* yum/__init__.py, yum/depsolve.py: Remove some unused imports

2008-03-23  James Bowes <jbowes@redhat.com>

	* yum/config.py: Add some docstrings for yum.config

2008-03-23  James Bowes <jbowes@redhat.com>

	* yum/Errors.py: Add some docstrings for yum.Errors

2008-03-23  James Bowes <jbowes@redhat.com>

	* yum/packageSack.py: Add missing repoid kwarg to
	PackageSackBase.returnPackages

2008-03-23  James Bowes <jbowes@redhat.com>

	* Makefile: Update doccheck target for removed modules

2008-03-20  Seth Vidal <skvidal@fedoraproject.org>

	* ChangeLog: changelog merge

2008-03-20  Seth Vidal <skvidal@fedoraproject.org>

	* yum.spec, yum/__init__.py, yum/depsolve.py: - bump ver for 3.2.13 - fix oddball tabs in yum/__init__.py

2008-03-19  James Antill <james@and.org>

	* yum/sqlitesack.py: Drop stuff when we see no arch. Drop key2pkg in
	dropCachedData/close

2008-03-19  James Antill <james@and.org>

	* yum/depsolve.py, yum/sqlitesack.py:  Remove DepCheck() as it's unused.  Don't double cache data in
	 _search_cache().  Skip provides from unused repos.

2008-03-19  James Antill <james@and.org>

	* yum/plugins.py:  Merge output for multiple dirs. of plugins.  Don't output empty
	 line when disabling all plugins.  Output disableplugin args that
	 don't match anything.

2008-03-19  James Antill <james@and.org>

	* yum/plugins.py: Add wildcard support to disableplugin

2008-03-19  James Bowes <jbowes@redhat.com>

	* test/simpleobsoletestests.py: Add some obsoletes tests for the git
	metapackage rename  I was all ready to blame yum for my inability to
	update git in F8 to the new and renamed version in rawhide, so much
	so that the first thing I did was write these tests, which would
	surely fail and lead me to some obscure bug in yum. I would fix the
	bug and everyone would be happy.  Well the version obsoletes I put
	in git's spec was off by one. So here are the tests, which will
	serve as a testament to yum's awesomeness, and my carelessness.

2008-03-18  James Antill <james@and.org>

	* yum/packageSack.py: Make the unit tests happy again, and skvidal
	by proxy :)

2008-03-18  James Antill <james@and.org>

	* yum/__init__.py, yum/depsolve.py, yum/misc.py, yum/sqlitesack.py: 
	Cleanup RE matching for globs and primary.xml filename matching

2008-03-18  James Antill <james@and.org>

	* yum/sqlitesack.py: Move pkgoblist into droCachedData

2008-03-18  James Antill <james@and.org>

	* yum/__init__.py, yum/packageSack.py, yum/sqlitesack.py:  Pre-load the requires data when we first need it, in depsolving.
	 Tweak what we _share_data()  Add dropCachedData() call, in
	 sqlitesack and MetaSack.   Call it after resolveDeps().

2008-03-18  James Antill <james@and.org>

	* yum/packageSack.py: Fix packagesNewestByName() to have multiple
	pkgs/arches per. name/version

2008-03-17  James Antill <james@and.org>

	* yum/packageSack.py: Merge MetaSack.returnObs and
	PackageSack.returnObs

2008-03-17  James Antill <james@and.org>

	* yum/__init__.py, yum/packageSack.py: export packagesNewestByName*
	and use in __init__

2008-03-17  James Antill <james@and.org>

	* yum/packageSack.py: Don't create ListPackageSack() just to do a
	newest operation

2008-03-17  James Antill <james@and.org>

	* yum/packageSack.py: Fix packagesack.returnObs

2008-03-17  Seth Vidal <skvidal@fedoraproject.org>

	* yum/Errors.py, yum/__init__.py: when doing a reinstall, if the
	package is one of the ones that can be installed multiple times,
	just take it out and tell the user about it. It will end in sadness
	if they do a reinstall on a kernel or a kernel-module so let's just
	tell them 'no' rather than having the whole thing explode in awkward
	ways, for now.  also add reinstallError to errors

2008-03-17  Seth Vidal <skvidal@fedoraproject.org>

	Merge branch 'master' of
	ssh://login.linux.duke.edu/home/groups/yum/git/yum  * 'master' of
	ssh://login.linux.duke.edu/home/groups/yum/git/yum:   Fix the last
	commit *grumble*, stupid mondays, *grumble*   Manually clean expire
	cache, so network manager can run when we move networks   Don't
	count on len(self._oldRepoMDData) to mean we have old repo MD

2008-03-17  Seth Vidal <skvidal@fedoraproject.org>

	* cli.py: make deplist able to work on localpackages ex: yum deplist
	/path/to/foobar.rpm

2008-03-17  James Antill <james@and.org>

	* cli.py, yumcommands.py: Fix the last commit *grumble*, stupid
	mondays, *grumble*

2008-03-17  James Antill <james@and.org>

	* cli.py, yum/__init__.py: Manually clean expire cache, so network
	manager can run when we move networks

2008-03-17  James Antill <james@and.org>

	* yum/yumRepo.py: Don't count on len(self._oldRepoMDData) to mean we
	have old repo MD

2008-03-17  Seth Vidal <skvidal@fedoraproject.org>

	* po/it.po: Check in italian translation from Silvio Pierro

2008-03-17  James Bowes <jbowes@redhat.com>

	* rpmUtils/transaction.py, yum/__init__.py: Use rpm's problem set
	details to give arch information on bad transactions.  Resolves rhbz
	#349091. Original patch from Panu.

2008-03-15  James Antill <james@and.org>

	* AUTHORS:  I can haz creditz? kthxbai!   Oh, and: Florian, Jack, and Panu

2008-03-15  James Antill <james@and.org>

	* docs/yum.8: Add help on help :)

2008-03-15  James Antill <james@and.org>

	* docs/yum.8: Add keywords people might search for. Give a longer
	summary, point to PK

2008-03-15  James Antill <james@and.org>

	* cli.py, output.py, yum/__init__.py:  Add section headers to "yum search" which show which arguments
	 matched.  Show which arguments didn't match anything.  Add
	 fmtSection() and fmtKeyValFill() to output.py API.

2008-03-13  James Antill <james@and.org>

	* test/depsolvetests.py, yum/depsolve.py:  With lots of discussion/consultation with Seth   Fix multilib. edge
	 case.  Fixes the testcase.  Also fixes the case we've seen IRL
	 where    pkgA.32 deps. on libfoo.so.2    pkgB-1.64 provides
	 libfoo.so.1()(64bit)    pkgB-2.64 provides libfoo.so.2()(64bit)
	 pkgB-2.32 provides libfoo.so.2 ...and we need to install pkgB-2.32
	 and update to pkgB-2.64

2008-03-13  Jeremy Katz <katzj@redhat.com>

	* output.py: Set encoding of the string to avoid tracebacks
	(#436361)

2008-03-13  Seth Vidal <skvidal@fedoraproject.org>

	Merge branch 'master' of
	ssh://login.linux.duke.edu/home/groups/yum/git/yum  * 'master' of
	ssh://login.linux.duke.edu/home/groups/yum/git/yum:   Add docs for
	group* command, and makecache   Don't traceback if we can't read the
	mirrorlist (#428249)   Fix proxy=http://foo:123 - bug#328121
	Support justdb as a tsflag (Dmitry Butskoy <dmitry@butskoy.name>,
	#394141)   Updated German Translation by Fabian Affolter

2008-03-13  Seth Vidal <skvidal@fedoraproject.org>

	* yum/rpmtrans.py: silence the log output when we hit a %pretrans or
	a %postrans. would be nice if rpm let us know where we were in the
	transaction, though.

2008-03-13  James Antill <james@and.org>

	* docs/yum.8: Add docs for group* command, and makecache

2008-03-13  Jeremy Katz <katzj@redhat.com>

	* yum/yumRepo.py: Don't traceback if we can't read the mirrorlist
	(#428249)

2008-03-13  James Antill <james@and.org>

	* yum/yumRepo.py: Fix proxy=http://foo:123 - bug#328121

2008-03-13  Jeremy Katz <katzj@redhat.com>

	* yum/depsolve.py: Support justdb as a tsflag (Dmitry Butskoy
	<dmitry@butskoy.name>, #394141)

2008-03-13  Tim Lauridsen <timlau@fedoraproject.org>

	* po/de.po: Updated German Translation by Fabian Affolter

2008-03-13  Seth Vidal <skvidal@fedoraproject.org>

	* yum/__init__.py: make sure that intentional yum install
	somepkg-not-newest works

2008-03-13  Seth Vidal <skvidal@fedoraproject.org>

	* yum/__init__.py: if there is an older ver than they have installed
	available yum doesn't try to install it when someone types: yum
	install some-pkg  don't install it.

2008-03-11  Seth Vidal <skvidal@fedoraproject.org>

	* yum/rpmtrans.py: once more, make sure nothing in the transaction
	can EVER occur w/o our persistent dir being made

2008-03-08  Seth Vidal <skvidal@fedoraproject.org>

	Merge branch 'master' of
	ssh://login.linux.duke.edu/home/groups/yum/git/yum  * 'master' of
	ssh://login.linux.duke.edu/home/groups/yum/git/yum:   Fix
	includepkgs, patterns can't work here as we need 'not matched'

2008-03-08  Seth Vidal <skvidal@fedoraproject.org>

	* yum/packages.py: make po.checksums work again for sqlite packages
	make sure installedpo.checksum does something quasi-sensible - which
	in this case is raise NotImplementedError

2008-03-05  James Antill <james@and.org>

	* yum/__init__.py: Fix includepkgs, patterns can't work here as we
	need 'not matched'

2008-03-06  Jeremy Katz <katzj@redhat.com>

	* output.py: Make the responses translatable too (#436386)

2008-03-06  Seth Vidal <skvidal@fedoraproject.org>

	* yum.spec: conflict skip-broken

2008-03-06  Seth Vidal <skvidal@fedoraproject.org>

	* yum/rpmtrans.py: make sure the persistdir is made when we setup
	the transaction so it doesn't cause problems in chroots

2008-03-06  James Antill <james@and.org>

	* output.py: Don't hide unicode errors on the prompt

2008-03-06  James Antill <james@and.org>

	* yum/sqlitesack.py, yum/sqlutils.py: python-sqlite-1.x
	compatability fixes

2008-03-06  Tim Lauridsen <tla@rasmil.dk>

	* po/fr.po: Added french translation by Johan Cwiklinski

2008-03-05  Seth Vidal <skvidal@fedoraproject.org>

	* yum/depsolve.py: make the log indentation easier to follow

2008-03-05  James Antill <james@and.org>

	* test/depsolvetests.py, yum/depsolve.py:  Add unit tests for compare_providers. Fix bugs:  1. Do sourcerpm
	 compare both directions (reqpo.arch in [noarch, other]). 2. Don't
	 switch on arch if bestpkg.arch == po.arch (reqpo.arch in [noarch]).


2008-03-05  James Antill <james@and.org>

	* test/depsolvetests.py, test/testbase.py: Add tests for
	"interesting" multilib. cases, one current failure marked as FIXME

2008-03-05  James Antill <james@and.org>

	* test/transactiontests.py: Remove failing AddTheSameTwice() check

2008-03-05  James Antill <james@and.org>

	* output.py: Fix encoding, must go back to unicode even though
	gettext needs ascii, *sigh*

2008-03-04  Seth Vidal <skvidal@fedoraproject.org>

	* yum/depsolve.py: make sure best doesn't obsolete po before we do
	the arch tests in _compare_providers()

2008-03-04  Seth Vidal <skvidal@fedoraproject.org>

	Merge branch 'master' of
	ssh://login.linux.duke.edu/home/groups/yum/git/yum  * 'master' of
	ssh://login.linux.duke.edu/home/groups/yum/git/yum:   Add
	documentation for new option   Show versions when showing dups, and
	fix the large key problem   Add --showduplicates option, and make
	search obey showdupesfromrepos

2008-03-04  Seth Vidal <skvidal@fedoraproject.org>

	* yum/depsolve.py: - make sure on mutual obsoletes we do _something_ useful so we don't
	constantly oscillate - better debugging in _compare_providers()

2008-03-04  James Antill <james@and.org>

	* docs/yum.8: Add documentation for new option

2008-03-03  James Antill <james@and.org>

	* output.py: Show versions when showing dups, and fix the large key
	problem

2008-03-03  James Antill <james@and.org>

	* cli.py: Add --showduplicates option, and make search obey
	showdupesfromrepos

2008-03-03  Seth Vidal <skvidal@fedoraproject.org>

	* ChangeLog: merge changelog

2008-03-03  James Antill <james@and.org>

	* yum/sqlitesack.py: Fix typo fix

2008-02-25  James Antill <james@and.org>

	* yum/depsolve.py: Work around for python-2.4.x

2008-03-03  Seth Vidal <skvidal@fedoraproject.org>

	* yum.spec, yum/__init__.py, yum/sqlitesack.py: bump version number
	fix traceback due to one-key-off-typo in matchPackageNames()

2008-03-03  James Antill <james@and.org>

	* yum/packages.py: Add params. for deps/script which we don't do
	atm.

2008-03-01  James Antill <james@and.org>

	* yum/packages.py: Allow other callers than yum-verify to turn
	fake-problems off

2008-03-01  James Antill <james@and.org>

	* yum/packages.py: Deal with rpm file states, add "fake problems"
	for multilib comparisons

2008-03-01  James Antill <james@and.org>

	* yum/packages.py: Obey verify flags, for extra "excludes"

2008-02-28  James Antill <james@and.org>

	* yum/packages.py: Create a real class for verify problems, so we
	can sort it

2008-02-28  James Antill <james@and.org>

	* yum/sqlitesack.py: Add group to shared data

2008-02-28  James Antill <james@and.org>

	* yum/packages.py: Compare file types, also match content if files
	move to symlinks

2008-02-28  Seth Vidal <skvidal@fedoraproject.org>

	* yum/__init__.py: when searching provides and the input does not
	have a glob and looks like a file, we can accept as true the results
	from returnPackagesByDep()  this helps us avoid unnecessarily
	downloading the filelists when they aren't needed

2008-02-28  Seth Vidal <skvidal@fedoraproject.org>

	Merge branch 'master' of
	ssh://login.linux.duke.edu/home/groups/yum/git/yum  * 'master' of
	ssh://login.linux.duke.edu/home/groups/yum/git/yum:   Add the magic
	readlink from DB call, thanks Panu   Pass include patterns down to
	returnPackages   Pass install patterns down to returnPackages   Also
	share the tuples   Generalize _reverse_prco, saves ~4% RSS

2008-02-28  Seth Vidal <skvidal@fedoraproject.org>

	* cli.py, yum/__init__.py, yummain.py: output some debug timing
	numbers for various operations

2008-02-28  James Antill <james@and.org>

	* yum/packages.py: Add the magic readlink from DB call, thanks Panu


2008-02-28  James Antill <james@and.org>

	* yum/__init__.py: Pass include patterns down to returnPackages

2008-02-28  James Antill <james@and.org>

	* yum/__init__.py: Pass install patterns down to returnPackages

2008-02-28  James Antill <james@and.org>

	* yum/sqlitesack.py: Also share the tuples

2008-02-28  James Antill <james@and.org>

	* yum/sqlitesack.py: Generalize _reverse_prco, saves ~4% RSS

2008-02-27  Seth Vidal <skvidal@fedoraproject.org>

	* rpmUtils/arch.py: allow ia64 to work again. closes rh bug 435226

2008-02-27  James Antill <james@and.org>

	* yum/yumRepo.py: Don't do any repo MD work when in caching mode

2008-02-27  James Antill <james@and.org>

	* yum/misc.py, yum/packages.py: Use non-hacker name :)

2008-02-26  James Antill <james@and.org>

	* yum/packages.py:  Give different info. for permission denied (missing)

2008-02-26  James Antill <james@and.org>

	* yum/packages.py:  Add file_types, add some logic to match rpm verify.  Fix size
	 calcs. when using prelink.

2008-02-26  James Antill <james@and.org>

	* yum/packages.py:  Don't read stderr, blocking is much easier this way ...    just
	 hope we don't get too much stderr and block the other way.

2008-02-26  James Antill <james@and.org>

	* yum/packages.py:  Fix mode value.  Check mode and size.  Skip checks that don't make
	 sense for dirs and links.

2008-02-26  James Antill <james@and.org>

	* yum/packages.py: Minor cleanup, drop prelink stderr

2008-02-26  James Antill <james@and.org>

	* yum/packages.py: Fix very checksum with prelink

2008-02-25  James Antill <james@and.org>

	* yum/__init__.py:  Do _var substitution for repos in the main yum.conf file.  Do repo
	 name checking for repos in the main yum.conf file.  Don't allow
	 repos called "main" even in yum.repos.d/*.repo files.

2008-02-22  James Antill <james@and.org>

	* yum/depsolve.py:  Add sourcerpm and common prefix length into deciding best pkg,
	 solves installing totem-debuginfo giving you xmms-lirc instead of
	 totem-lirc as a dep.

2008-02-24  Seth Vidal <skvidal@fedoraproject.org>

	* yum/comps.py: implement xml() method to comps, group and category
	object - to dump back out what we just read in/merged.

2008-02-23  Tim Lauridsen <tim@naboo.local>

	* yum/__init__.py: added some unicode convertion to searchGenerator
	to make sure that summary,description always are unicode, to avoid
	to errors using search generator from a DBUS method, with summary
	and description containing non ascii chars

2008-02-22  James Antill <james@and.org>

	* yum/depsolve.py: Do the right thing in compare_providers() when
	nothing else is better

2008-02-22  Seth Vidal <skvidal@fedoraproject.org>

	* yum/depsolve.py, yum/packages.py: depsolve: make sure our
	providers are obsolete-checked against one another packages: if the
	the compared package is None then it is clear that these packages
	are NOT EQUAL - return true

2008-02-21  Seth Vidal <skvidal@fedoraproject.org>

	* yum/packages.py: move where we do the stats for YumLocalPackages
	so it doesn't get overwritten by the init call to YumHeaderPackage

2008-02-21  Seth Vidal <skvidal@fedoraproject.org>

	* yum/rpmtrans.py: this patch makes pretrans inside packages not
	cause the transaction to explode thanks(?) to Bill Nottingham for
	pointing it out.

2008-02-20  Seth Vidal <skvidal@fedoraproject.org>

	* utils.py: add a waitForLock to utils.py YumUtilsBase - let's a
	yum-util easily use the yum timing thing.

2008-02-18  Florian Festi <ffesti@redhat.com>

	* yum/__init__.py: Fix traceback when we did not get a comps file

2008-02-18  Florian Festi <ffesti@redhat.com>

	* yum/depsolve.py: Fix copy/paste error

2008-02-16  James Antill <james@and.org>

	* test/transactiontests.py, yum/depsolve.py, yum/transactioninfo.py: 
	Change relatedto to be actual packages, hopefully real fix for
	bug#433047

2008-02-16  James Antill <james@and.org>

	* yum/depsolve.py: Run make check, and fall back to old behaviour

2008-02-16  James Antill <james@and.org>

	* yum/depsolve.py: Convert the pkgtup back into a po, bug#433047

2008-02-16  James Antill <james@and.org>

	* yum/__init__.py: Merge some duplicate code

2008-02-16  Seth Vidal <skvidal@fedoraproject.org>

	* yum/misc.py, yum/repos.py, yum/yumRepo.py: when we're running as a
	user or using a set cachedir then we should attempt to make a copy
	of anything we can from the systemwide cache dir. Essentially, we're
	making an opportunistic grab of the md files which are on disk for
	the yum-utils that can be run as a user

2008-02-14  James Antill <james@and.org>

	Merge branch 'master' of
	ssh://login.linux.duke.edu/home/groups/yum/git/yum  * 'master' of
	ssh://login.linux.duke.edu/home/groups/yum/git/yum:   set() is in
	2.4 and 2.5 so no need to import sets  Conflicts:
	yum/packageSack.py

2008-02-14  James Antill <james@and.org>

	* rpmUtils/transaction.py, yum/packageSack.py: set() is in 2.4 and
	2.5 so no need to import sets

2008-02-14  Seth Vidal <skvidal@fedoraproject.org>

	* yum/packageSack.py: set() is in 2.4 and 2.5 so no need to import
	sets

2008-02-14  Seth Vidal <skvidal@fedoraproject.org>

	* yum/packageSack.py: add a returnLeafNodes() to the packagesackbase
	object

2008-02-14  Florian Festi <ffesti@redhat.com>

	* yum/transactioninfo.py: Use id() instead of hash() as it is
	granted to be unique

2007-11-28  Florian Festi <ffesti@redhat.com>

	* yum/depsolve.py, yum/transactioninfo.py: Add
	tsInfo.getUnresolvedMembers() and use if for depsolving Drop
	tsInfo.removedmembers and DepCheck.already_seen*

2008-02-13  Florian Festi <ffesti@redhat.com>

	* test/depsolvetests.py, yum/depsolve.py: New processConflict
	implementation

2008-02-14  Florian Festi <ffesti@redhat.com>

	* rpmUtils/updates.py, yum/__init__.py: Implement
	Updates.delPackage() to remove skipped packages from Depsolve.up

2008-02-13  Seth Vidal <skvidal@fedoraproject.org>

	* cli.py: it's named probFilterFlags not problemFilterFlags :(

2008-02-13  James Antill <james@and.org>

	* yum/sqlitesack.py: Fix bracket typo

2008-02-13  James Antill <james@and.org>

	* yum/sqlitesack.py: Add check for filelists/primary pkgId
	corruption before using filelists

2008-02-13  James Antill <james@and.org>

	* yum/sqlitesack.py: Cleanup __len__, and fix for multi repos per.
	sack

2008-02-13  James Antill <james@and.org>

	* yum/sqlitesack.py: Minor cleanup using helper

2008-02-13  James Antill <james@and.org>

	* yum/sqlitesack.py: Add an SQL helper function to the
	YumSqlitePackageSack

2008-02-12  James Antill <james@and.org>

	* yum/sqlitesack.py: Use the YumAvailablePackage SQL helper, minor
	cleanup.

2008-02-12  James Antill <james@and.org>

	* yum/sqlitesack.py:  Add an SQL helper function to the YumAvailablePackage

2008-02-13  Seth Vidal <skvidal@fedoraproject.org>

	* yum/sqlitesack.py: apply pach from Fajar Nugraha. for rh bug:
	431144

2008-02-12  Florian Festi <ffesti@redhat.com>

	* yum/depsolve.py: Use update() in _requiringFromInstalled() instead
	of specialized code Ignore packages that already got removed

2008-02-12  Tim Lauridsen <tim@naboo.local>

	* po/ms.po: Added Malay translation by Sharuzzaman Ahmat Raslan

2008-02-12  James Antill <james@and.org>

	* yum/__init__.py, yum/packages.py: Fix double nevra package in
	repo. excluding

2008-02-12  Florian Festi <ffesti@redhat.com>

	* test/simpleupdatetests.py: More update test cases:  Update
	packages because an requirement got updated and does no longer
	fullfill the requires

2008-02-12  Tim Lauridsen <tla@rasmil.dk>

	* po/nb.po: Updated Norwegian translation by Terje Røsten

2008-02-12  Florian Festi <ffesti@redhat.com>

	* yum/packageSack.py: Fix tiny but fatal typo

2008-02-11  Tim Lauridsen <tim@naboo.local>

	* po/de.po: Added german translation by Fabian Affolter

2008-02-11  Seth Vidal <skvidal@fedoraproject.org>

	* rpmUtils/arch.py: add patch from Masaki Chikama for Super-H
	architecture support closes rh bug:  432261

2008-02-11  Florian Festi <ffesti@redhat.com>

	* yum/__init__.py: make _nevra_kwarg_parse a bit more forgiving when
	version or release is 0 (int)

2008-02-11  Florian Festi <ffesti@redhat.com>

	* yum/__init__.py: Simplify _nevra_kwarg_parse()

2008-02-10  Tim Lauridsen <tim@naboo.local>

	* po/pt.po, po/pt_BR.po, pt.po: Added Brazilian Portuguese
	translation by José Nuno Coelho Sanarra Pires

2008-02-10  Tim Lauridsen <tim@naboo.local>

	* pt.po: Added European Portuguese translation by José Nuno Coelho
	Sanarra Pires

2008-02-10  Tim Lauridsen <tim@naboo.local>

	* po/pl.po: added polish translation by Piotr Drąg

2008-02-09  Tim Lauridsen <tim@naboo.local>

	* po/da.po: updated danish translation by Rasmus Ory Nielsen

2008-02-09  James Antill <james@and.org>

	* yum/sqlitesack.py: And fix the midnight commit but

2008-02-08  James Antill <james@and.org>

	* yum/sqlitesack.py: Remove more code, minor speed/clean up

2008-02-08  James Antill <james@and.org>

	* yum/sqlitesack.py: Remove code duplication

2008-02-08  James Antill <james@and.org>

	* yum/packages.py: Fix pkg.__cmp__ to use comparePoEVR()

2008-02-08  James Antill <james@and.org>

	* yum/__init__.py: Make exclude processing faster

2008-02-08  Seth Vidal <skvidal@fedoraproject.org>

	* ChangeLog: changelog merge

2008-02-08  James Antill <james@and.org>

	* bin/yum.py: Have user_mina() just call exit

2008-02-08  James Antill <james@and.org>

	* yummain.py: Return actual exit code, if anyone cares

2008-02-08  Seth Vidal <skvidal@fedoraproject.org>

	* yum.spec, yum/__init__.py: bump ver for 3.2.11

2008-02-08  Tim Lauridsen <tla@rasmil.dk>

	* yum/plugins.py: removed a single plugin translation wrapper,
	because it gives a weird Traceback

2008-02-08  Tim Lauridsen <tla@rasmil.dk>

	* po/da.po, po/nb.po, po/ru.po, po/yum.pot: updates pot & po files,
	updating danish translation

2008-02-08  Tim Lauridsen <tla@rasmil.dk>

	* po/yum.pot, yum/plugins.py: Tilføjede _() translation wrapper til
	plugin.py

2008-02-08  Tim Lauridsen <tla@rasmil.dk>

	* po/da.po: completed the danish translation and converted it to
	UTF-8

2008-02-07  Tim Lauridsen <tim@naboo.local>

	* po/da.po: revert the da utf-8 convertion

2008-02-07  Tim Lauridsen <tim@naboo.local>

	* po/nb.po: added update norwegien translation (urf-8)

2008-02-07  Tim Lauridsen <tim@naboo.local>

	* po/da.po: converted da.po to utf-8

2008-02-07  Tim Lauridsen <timlau@fedoraproject.org>

	* po/da.po: opdaterede dansk (danish) translation

2008-02-07  Tim Lauridsen <timlau@fedoraproject.org>

	* po/da.po, po/nb.po, po/ru.po, po/yum.pot: Refreshed yum.pot & po
	files again

2008-02-07  Tim Lauridsen <timlau@fedoraproject.org>

	* callback.py: Added some _() translation wrappers

2008-02-07  Tim Lauridsen <timlau@fedoraproject.org>

	* po/da.po, po/nb.po, po/ru.po, po/yum.pot: Refreshed yum.pot & po
	files

2008-02-07  Tim Lauridsen <timlau@fedoraproject.org>

	* output.py, yumcommands.py: Added a lot of more _() translation
	wrappers

2008-02-07  Tim Lauridsen <timlau@fedoraproject.org>

	* yum/i18n.py: Added a much more simple translation setup module

2008-02-07  Tim Lauridsen <timlau@fedoraproject.org>

	* yum/i18n.py: Make the _() translation wrapper make sure that the
	translated string is Unicode, to solve problem with ISO-8859-1
	translation files

2008-02-07  Tim Lauridsen <timlau@fedoraproject.org>

	* output.py: Make sure all strings are unicode in listTransaction,
	to avoid UnicodeDecodeError on non US locales

2008-02-07  Tim Lauridsen <tim@localhost.localdomain>

	* po/da.po, po/nb.po, po/ru.po, po/yum.pot: refreshed yum.pot and po
	files

2008-02-07  Tim Lauridsen <timlau@fedoraproject.org>

	* yummain.py: added translation wrappers to yummain.py

2008-02-06  James Antill <james@and.org>

	* cli.py: Clean dbcache (aka. compiled metadata) when the user asks
	to clean metadata

2008-02-06  Tim Lauridsen <tim@naboo.local>

	* po/nb.po: Added a norsk (norwegien) translation file by Terje
	Røsten

2008-02-05  Seth Vidal <skvidal@fedoraproject.org>

	* yum/__init__.py, yumcommands.py: make sure we're installing
	exactly what we're removing on a reinstall if we can't then bail.
	remove unneeded rpm import

2008-02-04  James Antill <james@and.org>

	* cli.py, yum/__init__.py: Fix pirut search box problem, due to
	minor API breakage

2008-02-04  Seth Vidal <skvidal@fedoraproject.org>

	* cli.py, yum/__init__.py, yumcommands.py: make reinstall a base
	method and clean up its error handling.

2008-02-04  Seth Vidal <skvidal@fedoraproject.org>

	Merge branch 'master' of
	ssh://login.linux.duke.edu/home/groups/yum/git/yum  * 'master' of
	ssh://login.linux.duke.edu/home/groups/yum/git/yum:   Only show URL
	if it has one, Ie. glibc

2008-02-04  Seth Vidal <skvidal@fedoraproject.org>

	* cli.py, rpmUtils/transaction.py, yumcommands.py: implement a
	'reinstall'. It does not work automatically and it clearly
	shouldn't. reinstall is a weird and special case and should be
	treated as such.

2008-02-04  James Antill <james@and.org>

	* output.py: Only show URL if it has one, Ie. glibc

2008-02-04  James Antill <james@and.org>

	* yum/yumRepo.py: Initial code at integrating group_gz with mdpolicy


2008-02-04  Tim Lauridsen <tla@rasmil.dk>

	* yum/transactioninfo.py: added __repr__ to TransactionMember

2008-02-04  Tim Lauridsen <tla@rasmil.dk>

	* yum/packages.py, yum/sqlitesack.py: added memory address to
	package object __repr__, so we can see if a object is unigue,
	removed the __repr__ for YumAvailablePackageSqlite and use the
	default one

2008-02-04  Tim Lauridsen <tla@rasmil.dk>

	* yum/packages.py, yum/sqlitesack.py: Use the real Classname for
	package object information, moved the __repr__ to PackageObject so
	child classes has some useful object info

2008-02-04  Tim Lauridsen <timlau@fedoraproject.org>

	* yum/sqlitesack.py: Added a hash to make the object unigue

2008-02-03  Tim Lauridsen <tim@naboo.local>

	* yum/packages.py, yum/sqlitesack.py: * make package object show some useful info when printed. * make
	print str(po) look the same for installed and available packages.

2008-02-04  Seth Vidal <skvidal@fedoraproject.org>

	Merge branch 'master' of
	ssh://login.linux.duke.edu/home/groups/yum/git/yum  * 'master' of
	ssh://login.linux.duke.edu/home/groups/yum/git/yum:   Get the txmbr
	so we can use it   Another cli to __init__ move fix   Fix
	installupdate command, from move to __init__, rhbz#431207   fixed
	typo   Fix misnamed variable   Make it obvious that
	showdupesfromrepos affects list/info   Make the dirs. we need for
	the log file    Remove the undocumented config. var yumversion.
	Have a single loaded plugins line   * fix problem with skip-broken
	(rhbz #430936)   * Added multilib skip-broken test case.

2008-02-04  Seth Vidal <skvidal@fedoraproject.org>

	* yum/__init__.py, yum/yumRepo.py: make sure we can happily handle
	group_gz types in repomd.xml and make sure comps has something it
	can cope with, too.

2008-02-02  James Antill <james@and.org>

	* yum/__init__.py: Get the txmbr so we can use it

2008-02-02  James Antill <james@and.org>

	* yum/__init__.py: Another cli to __init__ move fix

2008-02-02  James Antill <james@and.org>

	* cli.py: Fix installupdate command, from move to __init__,
	rhbz#431207

2008-02-02  Tim Lauridsen <tim@naboo.local>

	* yum/__init__.py: fixed typo

2008-02-01  James Bowes <jbowes@redhat.com>

	* yum/logginglevels.py: Fix misnamed variable

2008-02-01  James Antill <james@and.org>

	* docs/yum.conf.5: Make it obvious that showdupesfromrepos affects
	list/info

2008-02-01  James Antill <james@and.org>

	* yum/logginglevels.py: Make the dirs. we need for the log file

2008-02-01  James Antill <james@and.org>

	* cli.py, yum/__init__.py, yum/config.py, yum/yumRepo.py:  Remove the undocumented config. var yumversion.  Add the yum
	 name/version into the default_grabber user_agent, and use that in
	 all our URLGrabber() instances.

2008-02-01  James Antill <james@and.org>

	* yum/plugins.py: Have a single loaded plugins line

2008-02-01  Tim Lauridsen <tla@rasmil.dk>

	* yum/__init__.py, yum/depsolve.py: * fix problem with skip-broken (rhbz #430936) * Make the skipped
	packages show only once and sorted. * cleanup some leftovers

2008-02-01  Tim Lauridsen <tla@rasmil.dk>

	* test/skipbroken-tests.py, yum/__init__.py: * Added multilib skip-broken test case. * Make skip-broken remove
	packages with same nevr and combatible arch, to avoid error in the
	transaction test where foo-1.x86_64->foo-2.x86_64, get skipped, but
	foo-1.i386->foo.2.i386 is not. * If skip-broken cant fix the
	problems the tell it to the user and show the orignal problems

2008-01-31  James Bowes <jbowes@redhat.com>

	* cli.py, yum/__init__.py: Use remove's pattern kwarg for cli's
	erasePkgs

2008-01-31  Tim Lauridsen <tla@rasmil.dk>

	* test/testbase.py: fixed errors in unittest because of new
	multilib_policy conf parameter

2008-01-31  Tim Lauridsen <tim@naboo.local>

	* docs/yum.8: add --skip-broken to man file

2008-01-31  Seth Vidal <skvidal@fedoraproject.org>

	* rpmUtils/arch.py: alpha* arch  patch  from Oliver Falk

2008-01-30  Tim Lauridsen <tla@rasmil.dk>

	* po/da.po: Added semi complete danish translation

2008-01-29  Seth Vidal <skvidal@fedoraproject.org>

	* docs/yum.conf.5, rpmUtils/arch.py, yum/__init__.py,
	yum/config.py, yum/rpmsack.py: multlib_policy patch to handle
	installs by wildcard or package name. see yum.conf man page for
	details

2007-12-10  Florian Festi <ffesti@redhat.com>

	* yum/rpmsack.py: Optimize RpmSack  - Create each package only once
	- fix wrongly nested file search in .searchProco()  - make _search
	return pkg objects  - avoid loading all headers if not neccessary

2008-01-29  James Antill <james@and.org>

	* output.py: Only output committer when in verbose mode, as it
	requires other MD

2008-01-29  James Antill <james@and.org>

	* output.py: ...and the it's a 1am commit bug, fixed

2008-01-29  James Antill <james@and.org>

	* output.py:  Add committer and URL to info output.  Make two column display into
	 a function and use from info output for summary/description.

2008-01-28  James Antill <james@and.org>

	* yum/config.py: Fix installonly_limit set to "0"

2008-01-28  James Antill <james@and.org>

	* yum/yumRepo.py: Make revert work for repos. without old repomd.xml
	files

2008-01-28  James Antill <james@and.org>

	* yum/__init__.py: Change API to more generic validate() param.

2008-01-28  James Antill <james@and.org>

	* cli.py: Always have space between name and summary

2008-01-28  James Antill <james@and.org>

	* cli.py:  Move this to a plugin instead.  Revert " Add --tmprepo option, to
	 download .repo files and use them."  This reverts commit
	 598c1fad3a60dae0e23a524e9159354fd0bca93e.

2008-01-28  James Antill <james@and.org>

	* cli.py:  Add --tmprepo option, to download .repo files and use them.

2008-01-28  James Antill <james@and.org>

	* yum/__init__.py:  Move .repo file loading into it's own function.  Add gpgcheck
	 argument, so it fails if .repo doesn't have gpgcheck=true  Add
	 repo/section name handling.

2008-01-28  Seth Vidal <skvidal@fedoraproject.org>

	* yum/packages.py: verify() method to YumInstalledPackageObjects

2008-01-28  Tim Lauridsen <tim@naboo.local>

	* output.py, po/POTFILES.in, po/ru.po, po/yum.pot: added _()
	translation wrappers to output.py

2008-01-28  Tim Lauridsen <tim@naboo.local>

	* cli.py, po/ru.po, po/yum.pot: Added _() translation wrappers to
	cli.py and updated yum.pot & po files

2008-01-27  James Bowes <jbowes@redhat.com>

	* output.py: Fix up import path for i18n in output module

2008-01-27  James Bowes <jbowes@redhat.com>

	* yum.spec: remove yumupd from main package

2008-01-27  James Bowes <jbowes@redhat.com>

	* progress_meter.py, translate.py: Remove old and unused
	progress_meter and translate modules

2008-01-27  Tim Lauridsen <tim@naboo.local>

	* po/ru.po, po/yum.pot, yum/depsolve.py: add _() translation
	wrappers to depsolve.py and refreshed yum.pot & po files

2008-01-26  Tim Lauridsen <tim@naboo.local>

	* yum.spec: changelog entry and %find_lang %name to spec file

2008-01-26  Tim Lauridsen <tim@naboo.local>

	* yum.spec: added  -f %{name}.lang to %files section

2008-01-26  Tim Lauridsen <tim@naboo.local>

	* yum.spec: added BuildRequires: intltool to support po/mo/pot file
	generation

2008-01-26  Tim Lauridsen <tim@naboo.local>

	* Makefile, callback.py, cli.py, i18n.py, po/Makefile,
	po/POTFILES.in, po/ru.po, po/yum.pot, utils.py, yum/__init__.py,
	yum/i18n.py, yumcommands.py: * moved i18n.py to yum/i18n.py * created po/Makefile to handle
	generation/updating/installing of translation files * make main
	Makefile call po/Makefile * added _() translation wrappers to
	strings in yum/__init__.py

2008-01-25  James Antill <james@and.org>

	* yum/packages.py:  Move from unique repos. to a single repo. for installed packages.

2008-01-25  Florian Festi <ffesti@redhat.com>

	* test/yum-release-test.sh: Added release test script

2008-01-25  James Bowes <jbowes@redhat.com>

	* yumcommands.py: Remove copy/paste artifact from info/list split

2008-01-25  James Bowes <jbowes@redhat.com>

	* yumcommands.py: Display command aliases in help

2008-01-25  James Bowes <jbowes@redhat.com>

	* cli.py, yumcommands.py: Split out info and list into two commands


2008-01-25  James Bowes <jbowes@redhat.com>

	* yumcommands.py: package names are optional arguments to 'update'

2008-01-25  James Bowes <jbowes@redhat.com>

	* cli.py, yumcommands.py: Be watchful of plugin commands that
	mightn't have the help methods  Catch exceptions that might be
	thrown by missing getUsage and getSummary methods on YumCommands
	implemented by plugins. We should remove this after a while, once
	enough plugins implement these methods.

2008-01-25  James Bowes <jbowes@redhat.com>

	Merge commit 'origin/master'

2008-01-24  Seth Vidal <skvidal@fedoraproject.org>

	* ChangeLog: changelog merge

2008-01-24  Seth Vidal <skvidal@fedoraproject.org>

	* yum.spec, yum/__init__.py: 3.2.10 numbering b/c of the paperbag
	issues in 3.2.9

2008-01-24  James Antill <james@and.org>

	* yumcommands.py: Add back in the populateSack() calls to makecache,
	needs more work to remove

2008-01-24  James Antill <james@and.org>

	* yum/yumRepo.py: Work after: yum clean all

2008-01-24  James Bowes <jbowes@redhat.com>

	Merge commit 'origin/master'

2008-01-24  James Bowes <jbowes@redhat.com>

	* cli.py: Display subcommand summaries on --help  --help used to
	output subcommand names on the same line. Instead format them one
	per line, along with their summary string.

2008-01-24  James Bowes <jbowes@redhat.com>

	* cli.py, yumcommands.py: Add a help command, to display command
	usage

2008-01-24  James Antill <james@and.org>

	* yum/yumRepo.py: Wrong way around

2008-01-24  James Antill <james@and.org>

	* yum/yumRepo.py:  Fix the downloading compressed MD files problem.  Save DL'ing
	 filenames so they can be unlinked() on revert.

2008-01-24  Seth Vidal <skvidal@fedoraproject.org>

	* ChangeLog: changelog-merge

2008-01-24  James Antill <james@and.org>

	* yumcommands.py: Fix broken makecache

2008-01-24  James Antill <james@and.org>

	* yum/yumRepo.py: Always cleanup old metadata files, allows unique
	names

2008-01-24  Seth Vidal <skvidal@fedoraproject.org>

	* Makefile: changelog command in makefile so I don't have to
	remember the damned incantation

2008-01-24  Seth Vidal <skvidal@fedoraproject.org>

	* yum.spec, yum/__init__.py: bump ver numbers for 3.2.9

2008-01-24  James Antill <james@and.org>

	* docs/yum.conf.5: Help people who are confused by distroverpkg

2008-01-24  Florian Festi <ffesti@redhat.com>

	* cli.py: Remove duplicate copy of ._run_rpm_check_debug()  -
	original copy can be found in __init__.py

2008-01-23  James Antill <james@and.org>

	* yum/__init__.py, yum/packageSack.py: Add the patterns arg to the
	other list/info commands

2008-01-23  James Antill <james@and.org>

	* cli.py, yum/__init__.py, yum/packageSack.py, yum/rpmsack.py,
	yum/sqlitesack.py: Move the SQL all the way down for list/info
	commands too.

2008-01-23  James Antill <james@and.org>

	* yum/sqlitesack.py: Skip loading packages for unused repos

2008-01-23  James Antill <james@and.org>

	* bin/yum.py, yummain.py: Extend the profiling env options to
	generic bin/yum

2008-01-23  James Antill <james@and.org>

	* yummain.py: Make running profiling easier, jbowes owes me a cherry
	coke

2008-01-23  James Bowes <jbowes@redhat.com>

	* yumcommands.py: Add docstring for yumcommands.checkShellArg

2008-01-23  Seth Vidal <skvidal@fedoraproject.org>

	* docs/yum.8: edit the the docs to reflect change to search fields

2008-01-23  James Antill <james@and.org>

	* cli.py: After timings and discussion on #yum, drop group and
	packager

2008-01-23  James Antill <james@and.org>

	* yum/__init__.py: Fix variable name, improvement not as good ...
	but still ok

2008-01-23  James Antill <james@and.org>

	* yum/__init__.py: Move the s.lower() out of the loops, this saves a
	lot of time on large matches

2008-01-22  James Antill <james@and.org>

	* output.py: Calculate already downloaded package sizes, to make
	download size correct.

2008-01-22  James Antill <james@and.org>

	* yum/sqlitesack.py: weakref doesn't work with tuples, *sigh*

2007-12-18  James Antill <james@and.org>

	* yum/sqlitesack.py:  Use a reverse prco dict to drop memory (32MB for a full F8
	 install).  Use weakref so we shouldn't gain any memory due to the
	 cache.

2008-01-22  James Antill <james@and.org>

	* output.py: Wrap the output for search results

2008-01-22  James Antill <james@and.org>

	* yum/packages.py: Add comparison operator to pacakges

2008-01-22  James Antill <james@and.org>

	* yum/packages.py: Add committer and committime properties to
	packages

2008-01-22  James Antill <james@and.org>

	* yum/config.py: Fix ranges on IntOption

2008-01-22  James Antill <james@and.org>

	* yum/sqlitesack.py: Fix speed problem with having src repos enabled


2008-01-18  James Antill <james@and.org>

	* docs/yum.conf.5, yum/config.py:  Add ranges to IntOption.  Add PositiveIntOption, with names.

2008-01-22  Seth Vidal <skvidal@fedoraproject.org>

	Merge branch 'master' of
	ssh://login.linux.duke.edu/home/groups/yum/git/yum  * 'master' of
	ssh://login.linux.duke.edu/home/groups/yum/git/yum: (29 commits)
	Two more "install kernel" test cases   Fix for InstallKernel
	operation test.   make str(po) show epoch:name-ver-rel.arch    This
	might be the wrong fix. This makes sure that __len__ always returns
	a   Fix doc. comment, repomd.xml isn't usually gotten here   Fix
	spacing   Fix variable name   Fix function and argument names, due
	to usage   Don't re-download when we have uncompressed data   Remove
	updated/obsoleted txmbr when removing deps during skip-broken   Add
	requiringPO as dep when updating for dependency (needed for
	skip-broken)   Some more skip-broken tests   Make the depsolver
	debug messages show full package name, instead of only name, to make
	it easier to track down problems   make the depsolver errors show
	the full package names & repo   make str(po) return
	foo-1.0-1.fc8.noarch, insted of foo - 1.0-1.fc8.noarch   Docs for
	mdpolicy   show releated errmsg when printing packages with
	problems, it dont make much sense, to write that foo has a depsolve
	problem with telling what the problem is :)'   Grouped the output of
	skipped packages, when using --skip-broken'   skip "skipping
	reposetup" debug message   skip-broken: next iteration   ...

2008-01-22  Seth Vidal <skvidal@fedoraproject.org>

	* yum/__init__.py, yum/sqlitesack.py, yummain.py: - fix search lockup and inability to ctrl-c it - make search much
	faster by much-enhanced sql query - clean up unicode errors when
	piping to a file.

2008-01-21  Florian Festi <ffesti@redhat.com>

	* test/operationstests.py: Two more "install kernel" test cases

2008-01-18  James Bowes <jbowes@redhat.com>

	* cli.py, yum/__init__.py: Fix for InstallKernel operation test.
	Just use the logic in yumBase.install(pattern=foo). That code is
	smart enough to do the right thing with multiple install packages.

2008-01-18  Tim Lauridsen <timlau@fedoraproject.org>

	* yum/packages.py: make str(po) show epoch:name-ver-rel.arch

2008-01-16  James Antill <james@and.org>

	* yum/sqlitesack.py:  This might be the wrong fix. This makes sure that __len__ always
	 returns a number, which is good otherwise we get:
	 self.doUtilYumSetup(opts) # in /usr/bin/yumdownloader ->
	 self._getSacks(archlist=archlist) # in /usr/bin/yumdownloader   ->
	 if self._pkgSack and thisrepo is None: # in yum/__init__     ->
	 ret += len(sack) # in yum/packageSack.py  ...due to no addDict()
	 being called on the sack yet, so 0 is the correct value.  But it
	 seems like we shouldn't get here before we've done the init.

2008-01-16  James Antill <james@and.org>

	* yum/__init__.py: Fix doc. comment, repomd.xml isn't usually gotten
	here

2008-01-16  James Antill <james@and.org>

	* yum/yumRepo.py: Fix spacing

2008-01-16  James Antill <james@and.org>

	* yum/yumRepo.py: Fix variable name

2008-01-16  James Antill <james@and.org>

	* yum/yumRepo.py: Fix function and argument names, due to usage

2008-01-16  James Antill <james@and.org>

	* yum/yumRepo.py: Don't re-download when we have uncompressed data

2008-01-16  Florian Festi <ffesti@redhat.com>

	* yum/__init__.py: Remove updated/obsoleted txmbr when removing deps
	during skip-broken

2008-01-16  Florian Festi <ffesti@redhat.com>

	* yum/__init__.py, yum/depsolve.py: Add requiringPO as dep when
	updating for dependency (needed for skip-broken)

2008-01-15  Florian Festi <ffesti@redhat.com>

	* test/skipbroken-tests.py: Some more skip-broken tests

2008-01-12  Tim Lauridsen <tim@naboo.local>

	* yum/depsolve.py: Make the depsolver debug messages show full
	package name, instead of only name, to make it easier to track down
	problems

2008-01-11  Tim Lauridsen <tla@rasmil.dk>

	* yum/depsolve.py: make the depsolver errors show the full package
	names & repo

2008-01-11  Tim Lauridsen <tla@rasmil.dk>

	* yum/packages.py: make str(po) return foo-1.0-1.fc8.noarch, insted
	of foo - 1.0-1.fc8.noarch

2008-01-11  James Antill <james@and.org>

	* docs/yum.conf.5: Docs for mdpolicy

2008-01-11  Tim Lauridsen <tla@rasmil.dk>

	* yum/__init__.py, yum/depsolve.py: show releated errmsg when
	printing packages with problems, it dont make much sense, to write
	that foo has a depsolve problem with telling what the problem is :)'


2008-01-11  Tim Lauridsen <tla@rasmil.dk>

	* yum/__init__.py: Grouped the output of skipped packages, when
	using --skip-broken'

2008-01-11  Florian Festi <ffesti@redhat.com>

	* cli.py, yum/__init__.py: skip "skipping reposetup" debug message

2008-01-11  Florian Festi <ffesti@redhat.com>

	* test/skipbroken-tests.py, yum/__init__.py: skip-broken: next
	iteration

2007-12-18  James Antill <james@and.org>

	* yum/config.py, yum/yumRepo.py, yumcommands.py:  Create an atomic MD update code path:   Pros.  -----   Should stop
	 these metadata update problems:    1. We get corrupted comps/etc.
	 files on the master and everyone has problems.   2. We hit
	 mirror(s) that have an updated repomd.xml but nothing else.   3. We
	 don't have a network but the cache does a timeout and urlgrabber
	 kills repomd.xml and we can't get a new one (makes yum stop
	 working).   Should stop "back in time updates". Ie. we hit an old
	 mirror, and we basically go back in time for updates.   Helps stop
	 yum cmd line usage hitting network. Basically yum-updatesd can now
	 download all of MD data we need and not just primary.xml so we
	 don't have a problem where user does "yum blah" which happens to
	 need an MD file we don't have so we hit the network.  This actually
	 has follow-on problems where the file isn't the same anymore but we
	 haven't updated repomd.xml yet (or the network is down, think yum
	 deplist /usr/bin/foo).   Cons.  -----   Downloads more stuff at
	 once. Basically the current yum model only ever downloads what we
	 need, when we need it, now we'll download more of the MD files
	 whenever repomd.xml gets updated and they need it. However we can
	 config. to do the old behaviour (and/or how much of the MDs we
	 get).   _If_ we don't have a full set of MD currently, and we fail
	 to get a new batch of data then we'll revert back to the non-full
	 set. So it's _possible_ that we'll need one of the files in the set
	 we don't have, but that would be available if we had used the
	 traditional code path (Ie. the error was in one of the files we
	 don't currently need).  This is a very weird edge case, and if you
	 care a good solution IMO is to always use group:all ... then we
	 always have a complete set.   Minor CPU speed hit, due to parsing
	 two sets of repomd.XML.

2008-01-10  James Antill <james@and.org>

	* yum/logginglevels.py:  Fixes double messages when we call doConfigSetup() more than once,
	 errorlevel etc. is still global which might be unexpected, but
	 tough.  Reproducer:  import yum print "First time" prova =
	 yum.YumBase() prova.doConfigSetup() print "Second time" prova2 =
	 yum.YumBase() prova2.doConfigSetup()

2008-01-10  Tim Lauridsen <tla@rasmil.dk>

	* test/skipbroken-tests.py: creating just another testcase to
	skipbroken testing (failing at the moment)

2008-01-10  Tim Lauridsen <tla@rasmil.dk>

	* test/skipbroken-tests.py: removed _create prefix on packages for
	the lasy typer

2008-01-10  James Antill <james@and.org>

	* yum/yumRepo.py: Move _check_db_version to YumPackageSack to
	YumRepository

2008-01-10  James Antill <james@and.org>

	* yum/yumRepo.py: Add missing MD file from init.

2008-01-10  James Antill <james@and.org>

	* yum/yumRepo.py:  Next step for policy MD downloading, convert loadRepoXML() into
	 helper functions and add "can_fail" parameter options.

2008-01-09  James Antill <james@and.org>

	* yum/yumRepo.py:  Split _loadRepoXML() into helper functions, 1st step toward having
	 configurable metadata update policies.

2008-01-09  Tim Lauridsen <tim@naboo.local>

	* yum/depsolve.py: don't set a deps in Desolve._checkInstall, set
	only relatedto

2008-01-09  Seth Vidal <skvidal@fedoraproject.org>

	Merge branch 'master' of
	ssh://login.linux.duke.edu/home/groups/yum/git/yum  * 'master' of
	ssh://login.linux.duke.edu/home/groups/yum/git/yum:   fixed another
	unneeded call to pkgtup

2008-01-09  Seth Vidal <skvidal@fedoraproject.org>

	Merge branch 'master' of
	ssh://login.linux.duke.edu/home/groups/yum/git/yum  * 'master' of
	ssh://login.linux.duke.edu/home/groups/yum/git/yum:   Fix typo, for
	pkgtup change

2008-01-09  Tim Lauridsen <tim@naboo.local>

	* yum/depsolve.py: fixed another unneeded call to pkgtup

2008-01-09  Seth Vidal <skvidal@fedoraproject.org>

	* yum/depsolve.py: yes, well, it helps if the code you check in has
	any chance of working

2008-01-09  James Antill <james@and.org>

	* yum/depsolve.py: Fix typo, for pkgtup change

2008-01-09  Seth Vidal <skvidal@fedoraproject.org>

	* yum/depsolve.py: get rid of the unnecessary call to pkg.pkgtup
	when pkg.arch is all that's needed

2008-01-09  Tim Lauridsen <tim@naboo.local>

	* test/skipbroken-tests.py: Added extra skip-broken testcase

2008-01-09  Tim Lauridsen <tim@naboo.local>

	* yum/__init__.py: Only print skip messages for the available
	packages and add info about repo

2008-01-09  Tim Lauridsen <tim@naboo.local>

	* test/skipbroken-tests.py, test/testbase.py, yum/__init__.py,
	yum/depsolve.py: fixing errors in unittests after the latest
	skipbroken changes. fixing an issue with _processConflict in the
	depsolver. cleanup the the skipbroken unittest and make then more
	readable

2008-01-08  Florian Festi <ffesti@redhat.com>

	* yum/__init__.py, yum/depsolve.py: Fix skip-broken  Just remove the
	problematic packages but also remove them from .pkgSack Use a stack
	in ._getPackagesToRemove() to avoid stack overflow Add counter for
	skip-broken loop Reset tsInfo.removedmembers before each depsolving
	call

2008-01-08  Florian Festi <ffesti@redhat.com>

	* yum/transactioninfo.py: Fix performance issue for large
	transactions: Move sort() calls out of the loop

2007-12-21  James Antill <james@and.org>

	* cli.py, output.py, rpmUtils/updates.py, shell.py,
	yum/__init__.py, yum/comps.py, yum/mdparser.py, yum/packageSack.py,
	yum/packages.py, yum/rpmsack.py, yum/sqlitesack.py, yum/yumRepo.py:  Change:    if mydict.keys():            => if mydict:   for x in
	 mydict.keys()       => for x in mydict: # If no del mydict in there
	 len(mydict.keys())           => len(mydict)
	 mylist.extend(mydict.keys()) => mylist.extend(mydict)   if x in
	 mydict.keys()        => if x in mydict:  ...to stop creating
	 temporary lists.

2007-12-20  Florian Festi <ffesti@redhat.com>

	* yum/sqlitesack.py: Add strict param to SqliteSack.searchFiles -
	used in .getProvides()

2007-12-19  James Bowes <jbowes@redhat.com>

	Merge branch 'localinstall'

2007-12-18  Florian Festi <ffesti@redhat.com>

	* test/testbase.py, yum/packages.py, yum/sqlitesack.py: Make
	Package.pkgtup a real tuple to save memory and runtime

2007-12-18  Florian Festi <ffesti@redhat.com>

	* yum/sqlitesack.py: Create YumAvailablePackageSqlite._files and
	._checksums on demand only

2007-12-14  Florian Festi <ffesti@redhat.com>

	* yum/packages.py, yum/sqlitesack.py: cache hash value of Package
	objects

2007-12-11  Florian Festi <ffesti@redhat.com>

	* yum/sqlitesack.py: Move most operation to be based on pkgKey
	instead of pkgId to gain some speed.  Generate only one package
	object per package to avoid duplicates. Load only minimal tags per
	default.

2007-12-18  James Bowes <jbowes@redhat.com>

	* cli.py, yum/__init__.py: Add a method for installing local
	packages onto YumBase  This is just the method from cli.py, only
	taking one path at a time, and optionally a package object instead
	of a path.

2007-12-18  James Antill <james@and.org>

	* yum/yumRepo.py: Fix typo

2007-12-18  James Antill <james@and.org>

	* cli.py: Split arguments at comma and whitespace

2007-12-18  Seth Vidal <skvidal@fedoraproject.org>

	* yum/__init__.py: make sure we don't traceback if
	returnInstalledPackagesByDep() raises an exception

2007-12-18  Seth Vidal <skvidal@fedoraproject.org>

	Merge branch 'master' of
	ssh://login.linux.duke.edu/home/groups/yum/git/yum  * 'master' of
	ssh://login.linux.duke.edu/home/groups/yum/git/yum:   Fixed
	cut/paste error

2007-12-18  Seth Vidal <skvidal@fedoraproject.org>

	* yum/__init__.py: whoops make removes work

2007-12-18  Tim Lauridsen <tla@rasmil.dk>

	* yum/__init__.py: Fixed cut/paste error

2007-12-17  Seth Vidal <skvidal@fedoraproject.org>

	* yum/__init__.py: - add support for install by dep and remove by dep to pattern kwarg
	on install() and remove() - this lets us remove one more item from
	the checks and handling in cli.installPkgs() and cli.erasePkgs()

2007-12-17  Seth Vidal <skvidal@fedoraproject.org>

	Merge branch 'master' of
	ssh://login.linux.duke.edu/home/groups/yum/git/yum  * 'master' of
	ssh://login.linux.duke.edu/home/groups/yum/git/yum:   make the
	skipbroken messages info instead of debug, the user what to see what
	is being skipped   print repo when showing packages with depsolving
	problems to make it easier to detect repo mixing issues   Support
	profiling for yum as a whole

2007-12-17  Seth Vidal <skvidal@fedoraproject.org>

	* output.py, yum/packages.py:  - modify search output so that searches output something even in
	 -d1 and -d0, just like 'yum list' does. closes rh bug 422571.  -
	 add checksum and stat information to YumLocalPackage objects

2007-12-14  Tim Lauridsen <timlau@fedoraproject.org>

	* yum/__init__.py: make the skipbroken messages info instead of
	debug, the user what to see what is being skipped

2007-12-14  Tim Lauridsen <timlau@fedoraproject.org>

	* yum/depsolve.py: print repo when showing packages with depsolving
	problems to make it easier to detect repo mixing issues

2007-12-13  Florian Festi <ffesti@redhat.com>

	* yummain.py: Support profiling for yum as a whole

2007-12-12  Seth Vidal <skvidal@fedoraproject.org>

	Merge branch 'master' of
	ssh://login.linux.duke.edu/home/groups/yum/git/yum  * 'master' of
	ssh://login.linux.duke.edu/home/groups/yum/git/yum:   Reimplement
	Updates.checkForObsolete() for better runtime behavior   Fix
	previous excludes fix, no donut for you   Fix __len__ for sqlitesack
	to not count excluded packages   Faster __len__ method for MetaSack,
	should fix speed regression with updates

2007-12-12  Seth Vidal <skvidal@fedoraproject.org>

	* yum.spec, yum/__init__.py, yum/misc.py: add in gpg key handling
	routines - beginning work for having per-repo gpgkey checks for
	packages

2007-12-12  Florian Festi <ffesti@redhat.com>

	* rpmUtils/updates.py: Reimplement Updates.checkForObsolete() for
	better runtime behavior

2007-12-12  James Antill <james@and.org>

	* yum/sqlitesack.py: Fix previous excludes fix, no donut for you

2007-12-12  James Antill <james@and.org>

	* yum/sqlitesack.py: Fix __len__ for sqlitesack to not count
	excluded packages

2007-12-12  James Antill <james@and.org>

	Merge branch 'master' of
	ssh://login.linux.duke.edu/home/groups/yum/git/yum  * 'master' of
	ssh://login.linux.duke.edu/home/groups/yum/git/yum:   added at
	'install kernel' testcase to test a current problem with 'install
	kernel' installing old kernels   cleanup skip broken code and fixes
	some issues

2007-12-12  James Antill <james@and.org>

	* yum/packageSack.py, yum/sqlitesack.py: Faster __len__ method for
	MetaSack, should fix speed regression with updates

2007-12-12  Tim Lauridsen <tim@naboo.local>

	* test/operationstests.py, test/testbase.py: added at 'install
	kernel' testcase to test a current problem with 'install kernel'
	installing old kernels

2007-12-12  Tim Lauridsen <tim@naboo.local>

	* test/skipbroken-tests.py, yum/__init__.py: cleanup skip broken
	code and fixes some issues

2007-12-11  James Antill <james@and.org>

	* yum/packages.py: Revert "Make parsePackages() faster for common
	case"  This reverts commit 616141b3a263097a6a3efac8d331b471aa6f8e5b.


2007-12-11  James Antill <james@and.org>

	* yum/packages.py: Make parsePackages() faster for common case

2007-12-11  James Antill <james@and.org>

	* yum/packages.py: Make wildcard test more readable

2007-12-11  Seth Vidal <skvidal@fedoraproject.org>

	* yum/__init__.py: add pattern= kwarg support to update(), too.

2007-12-11  James Antill <james@and.org>

	* yum/sqlitesack.py: Remove bad comment, excludes are done in
	returnPackages

2007-12-11  James Antill <james@and.org>

	* yum/packages.py: Add .lower ops for the rest of the pkgtup, Doh!

2007-12-11  James Antill <james@and.org>

	* yum/packages.py:  Make parsePackages() faster, add casematch argument to
	 buildPkgRefDict().

2007-12-11  James Antill <james@and.org>

	* yum/sqlitesack.py: Stop rebuilding returnPackages when we don't
	need to

2007-12-11  James Antill <james@and.org>

	* yum/packageSack.py, yum/sqlitesack.py: Use the inherited
	simplePkgListk, rm more code

2007-12-11  James Antill <james@and.org>

	* yum/sqlitesack.py: Make simplePkgList a wrapper for
	returnPackages, less code more speed

2007-12-11  Tim Lauridsen <tim@naboo.local>

	* test/skipbroken-tests.py: Enabled yum logging output in
	skip-broken unit test, so we can see the yum depsolver output when a
	test is failing

2007-12-11  Florian Festi <ffesti@redhat.com>

	* test/skipbroken-tests.py: More skip-broken tests

2007-12-11  Tim Lauridsen <tim@naboo.local>

	* cli.py: Added --skip-broken command line option to yum-cli to
	enable the skip-broken code

2007-12-11  Tim Lauridsen <tim@naboo.local>

	* test/skipbroken-tests.py: Added skip-broken unit tests

2007-12-10  Florian Festi <ffesti@redhat.com>

	* yum/rpmsack.py: Add caching for RpmSack.searchPrco/searchFiles

2007-12-11  Tim Lauridsen <tim@naboo.local>

	* test/testbase.py, yum/__init__.py, yum/config.py, yum/depsolve.py: 
	Added skip-broken code

2007-12-11  Seth Vidal <skvidal@fedoraproject.org>

	Merge branch 'master' of
	ssh://login.linux.duke.edu/home/groups/yum/git/yum  * 'master' of
	ssh://login.linux.duke.edu/home/groups/yum/git/yum:    Compat. fix
	for -1 seconds usage, document that behaviour.   Change default
	metadata_expire to 1.5h, for better UI with yum-updatesd running
	Add SecondsOption() class, for user friendlier config. files

2007-12-11  Seth Vidal <skvidal@fedoraproject.org>

	* yum/__init__.py: add pattern= support to kwargs for remove()
	method in YumBase

2007-12-10  James Antill <james@and.org>

	* docs/yum.conf.5, yum/config.py:  Compat. fix for -1 seconds usage, document that behaviour.

2007-12-10  James Antill <james@and.org>

	* yum/config.py: Change default metadata_expire to 1.5h, for better
	UI with yum-updatesd running

2007-12-10  James Antill <james@and.org>

	* docs/yum.conf.5, yum/config.py: Add SecondsOption() class, for
	user friendlier config. files

2007-12-10  Seth Vidal <skvidal@fedoraproject.org>

	Merge branch 'master' of
	ssh://login.linux.duke.edu/home/groups/yum/git/yum  * 'master' of
	ssh://login.linux.duke.edu/home/groups/yum/git/yum:   Added missing
	import

2007-12-10  Seth Vidal <skvidal@fedoraproject.org>

	* yum/misc.py: leftover typo from reshuffling things

2007-12-08  Tim Lauridsen <tim@naboo.local>

	* yum/sqlitesack.py: Added missing import

2007-12-07  Seth Vidal <skvidal@fedoraproject.org>

	* yum/misc.py: add misc.find_unfinished_transactions() - makes it
	easier to deal with multiple unfinished transactions.

2007-12-06  Seth Vidal <skvidal@fedoraproject.org>

	* cli.py: fix for rh bug 252011 right before we run the transaction
	and confirm with the user, just for grins check to make sure the
	transaction is not empty.

2007-12-06  Seth Vidal <skvidal@fedoraproject.org>

	* output.py: correct spelling of interrupt and clarify

2007-12-06  Seth Vidal <skvidal@fedoraproject.org>

	* output.py: make sure we're strict about what we accept for the y/n
	prompt patch from Josh Bressers in rh bug 351591

2007-12-06  Seth Vidal <skvidal@fedoraproject.org>

	* yum/misc.py: commit find_ts_remaining():        this function
	takes the path to the yum lib dir (defaults to /var/lib/yum)
	returns a list of tuples(action, pkgspec) for the unfinished
	transaction        elements. Returns an empty list if none. If there
	is more than one unfinished        transaction it operates only on
	the most recent one. In  general there shouldn't        be more than
	one but weird things happen.  will be used to allow yum to
	auto-cleanup failed transactions.

2007-12-06  Florian Festi <ffesti@redhat.com>

	* test/testbase.py: Fix test cases by adding .disable_excludes to
	FakeConfig

2007-12-05  Florian Festi <ffesti@redhat.com>

	* yum/sqlitesack.py: Catch sqlite exceptions and convert them to
	RepoError as requested in rhbz #403371

2007-12-05  Jeremy Katz <katzj@redhat.com>

	* yum/__init__.py: If the sack has no packages, we want to go back
	through and try to set it up  If a caller ends up grabbing a package
	sack and then later adding repos, we need to ensure that the sack
	setup can still happen later.  If there aren't any packages, then
	self._pkgSack is an empty iterator which evaluates to False

2007-12-04  James Bowes <jbowes@redhat.com>

	* yum/logginglevels.py: Move syslog definition to the top level to
	silence static code checkers.

2007-12-04  James Bowes <jbowes@redhat.com>

	* rpmUtils/__init__.py, yum/Errors.py, yum/update_md.py: Use the
	builtin Exception rather than importing exceptions.Exception

2007-12-05  Seth Vidal <skvidal@fedoraproject.org>

	* cli.py: remove an = so the set functions

2007-12-04  Seth Vidal <skvidal@fedoraproject.org>

	* cli.py: make sure the summary errors show the highest amount disk
	space required not the total b/c the totals don't normally make any
	sense.

2007-12-04  Seth Vidal <skvidal@fedoraproject.org>

	Merge branch 'master' of
	ssh://login.linux.duke.edu/home/groups/yum/git/yum  * 'master' of
	ssh://login.linux.duke.edu/home/groups/yum/git/yum:   added unit
	tests for yum.transactioninfo.TransactionData basic operations

2007-12-04  Seth Vidal <skvidal@fedoraproject.org>

	* yum/pgpmsg.py: fix for rh bug 410421 from Fabrice Bellet

2007-12-03  Tim Lauridsen <tim@localhost.localdomain>

	* test/transactiontests.py: added unit tests for
	yum.transactioninfo.TransactionData basic operations

2007-12-03  Seth Vidal <skvidal@fedoraproject.org>

	* ChangeLog: changelog merge

2007-12-03  Seth Vidal <skvidal@fedoraproject.org>

	* yum.spec, yum/__init__.py: mark as 3.2.8

2007-12-03  Tim Lauridsen <timlau@fedoraproject.org>

	* Makefile: make clean will clean the test dir too

2007-11-30  James Bowes <jbowes@redhat.com>

	Merge branch 'epydoc'

2007-11-30  James Bowes <jbowes@redhat.com>

	* yum/update_md.py: Docstring additions for yum.update_md

2007-11-30  Luke Macken <lmacken@redhat.com>

	* rpmUtils/arch.py: s/=/==/ with comparison in getCanonX86Arch

2007-11-30  Seth Vidal <skvidal@fedoraproject.org>

	* rpmUtils/arch.py: apply Dennis Gilmore's patch for geode arch
	support

2007-11-29  James Bowes <jbowes@redhat.com>

	Merge branch 'nose'  Conflicts:  	test/alltests.py
	test/depsolvetests.py 	test/operationstests.py

2007-11-29  James Bowes <jbowes@redhat.com>

	* test/depsolvetests.py: Add some erase depsolve tests

2007-11-25  James Bowes <jbowes@redhat.com>

	* test/packagetests.py, test/testbase.py: Remove duplication of
	settestpath contents

2007-11-29  Seth Vidal <skvidal@fedoraproject.org>

	* yum/depsolve.py, yum/transactioninfo.py: make sure pkgs are added
	to the tsInfo for depsolving in the proper mode if they are an
	installonlypkg then treat them as such. Appears to fix rh bug 330711


2007-11-29  Seth Vidal <skvidal@fedoraproject.org>

	* yum/yumRepo.py: expose copy_local sensibly to callers

2007-11-29  James Antill <james@and.org>

	Merge branch 'master' of
	ssh://login.linux.duke.edu/home/groups/yum/git/yum  * 'master' of
	ssh://login.linux.duke.edu/home/groups/yum/git/yum:   Fix copy/paste
	error   Packages that are to be removed can't be local packages.
	Work around unreliable result of .update()   Add some remove test
	cases   Fix PackageSack.getProvides to also return files   Add
	ObsoletesChain and ObsoletesCircle test cases   Make the Update
	i386,x86_64 -> i386/x86_64 tests stop complaining   set default
	values for the FakePackage constructor   Move SimpleUpdateTests into
	an own module   Move SimpleObsoletesTests into an own module   Read
	test modules from file systeRead test modules from file systemm   Do
	arch checks for versioned obsoletes, too

2007-11-29  James Antill <james@and.org>

	* output.py: Give message on first C-c, so new user knows what is
	happening

2007-11-29  James Antill <james@and.org>

	* output.py: Alter C-c urlgrabber mirror timeout to 2 seconds

2007-10-23  Florian Festi <ffesti@redhat.com>

	* yum/rpmsack.py: Fix copy/paste error

2007-11-08  Florian Festi <ffesti@redhat.com>

	* test/depsolvetests.py, yum/transactioninfo.py: Packages that are
	to be removed can't be local packages. This fixes remove test cases
	for now - better criteria still needed.

2007-11-12  Florian Festi <ffesti@redhat.com>

	* test/operationstests.py, yum/depsolve.py: Work around unreliable
	result of .update() Add test cases

2007-11-08  Florian Festi <ffesti@redhat.com>

	* test/simpleremovetests.py: Add some remove test cases

2007-11-08  Florian Festi <ffesti@redhat.com>

	* yum/packageSack.py: Fix PackageSack.getProvides to also return
	files

2007-11-06  Florian Festi <ffesti@redhat.com>

	* test/operationstests.py: Add ObsoletesChain and ObsoletesCircle
	test cases

2007-11-06  Florian Festi <ffesti@redhat.com>

	* test/simpleupdatetests.py: Make the Update i386,x86_64 ->
	i386/x86_64 tests stop complaining

2007-11-06  Florian Festi <ffesti@redhat.com>

	* test/testbase.py: set default values for the FakePackage
	constructor

2007-11-06  Florian Festi <ffesti@redhat.com>

	* test/operationstests.py, test/simpleupdatetests.py: Move
	SimpleUpdateTests into an own module

2007-11-05  Florian Festi <ffesti@redhat.com>

	* test/operationstests.py, test/simpleobsoletestests.py: Move
	SimpleObsoletesTests into an own module Complete the coverage to all
	noarch, i386, x86_64, i386+x86_64 combinations

2007-11-05  Florian Festi <ffesti@redhat.com>

	* test/alltests.py: Read test modules from file systeRead test
	modules from file systemm

2007-11-12  Florian Festi <ffesti@redhat.com>

	* rpmUtils/updates.py: Do arch checks for versioned obsoletes, too
	Reduce duplicated code in doObsoletes

2007-11-26  Jeremy Katz <katzj@redhat.com>

	* yum/depsolve.py: Avoid missing deps  We need to reset
	already_seen_removed as well as already_seen to avoid missing broken
	deps on a second run through resolveDeps().  (rh#397161)

2007-11-25  James Bowes <jbowes@redhat.com>

	* test/alltests.py, test/depsolvetests.py, test/operationstests.py,
	test/packagetests.py: Remove unit test suite creation (nose does it
	for us).

2007-11-25  James Bowes <jbowes@redhat.com>

	* Makefile: Use nosetests for running unit tests

2007-11-25  James Bowes <jbowes@redhat.com>

	* Makefile, test/testbase.py: Get new_behaviour test option from env
	variables.

2007-11-15  James Bowes <jbowes@redhat.com>

	* yum/config.py: Docstring additions for yum.config

2007-11-15  James Bowes <jbowes@redhat.com>

	* yum/__init__.py: Docstring additions for yum.__init__

2007-11-15  James Bowes <jbowes@redhat.com>

	* yum/packages.py: Docstring additions for yum.packages

2007-11-15  James Bowes <jbowes@redhat.com>

	* yum/packageSack.py: Docstring additions for yum.packageSack

2007-11-15  James Bowes <jbowes@redhat.com>

	* yum/depsolve.py: Docstring additions for yum.depsolve

2007-11-15  James Bowes <jbowes@redhat.com>

	* yum/constants.py: Docstring additions for yum.constants

2007-11-15  James Bowes <jbowes@redhat.com>

	* yum/transactioninfo.py: Docstring additions for
	yum.transactioninfo

2007-11-15  James Bowes <jbowes@redhat.com>

	* yum/sqlutils.py: Docstring additions for yum.sqlutils

2007-11-15  James Bowes <jbowes@redhat.com>

	* yum/callbacks.py: Indentation fixes for yum.callbacks epydoc

2007-11-14  Seth Vidal <skvidal@fedoraproject.org>

	* yum/rpmsack.py: make sure we're passing the right kind of objects
	to newestInList() closes rh bug #381551

2007-11-14  Seth Vidal <skvidal@fedoraproject.org>

	* cli.py: make sure errors frpm the rpm_check_debug() exit with an
	error code thanks to matt miller for pointing it out.

2007-11-12  Jeremy Katz <katzj@redhat.com>

	* yum/__init__.py: look at the actual object (rh#376121)

2007-11-12  James Bowes <jbowes@redhat.com>

	Merge branch 'epydoc'

2007-11-11  James Bowes <jbowes@redhat.com>

	* shell.py: Docstring additions for the shell module.

2007-11-11  James Bowes <jbowes@redhat.com>

	* output.py: Docstring updates for the output module.

2007-11-10  James Bowes <jbowes@redhat.com>

	* yum/misc.py, yumcommands.py: More doc changes

2007-11-10  James Bowes <jbowes@redhat.com>

	* yumcommands.py: Add some docstrings for the yumcommands module.

2007-11-10  James Bowes <jbowes@redhat.com>

	* cli.py: Add docstrings for the cli module.

2007-11-07  Tim Lauridsen <tla@rasmil.dk>

	* yum/depsolve.py: Fix for the depsolver going into endless loop, in
	rare situations big transaction with lot of local packages (rhbz
	#360291)

2007-11-06  Florian Festi <ffesti@redhat.com>

	* test/testbase.py: Set arch for the depsolving/operation test cases


2007-11-06  Florian Festi <ffesti@redhat.com>

	* rpmUtils/updates.py: Make rpmUtils.update use
	rpmUtils.arch.canonArch to avoid problems with test cases

2007-11-02  Florian Festi <ffesti@redhat.com>

	* test/operationstests.py: fix copy/paste errors

2007-11-02  Florian Festi <ffesti@redhat.com>

	* test/operationstests.py: Make update tests complete

2007-11-02  Florian Festi <ffesti@redhat.com>

	* test/operationstests.py: Change test cases to check for the new -
	now fixed - behavior of yum

2007-10-31  Florian Festi <ffesti@redhat.com>

	* test/depsolvetests.py, test/testbase.py: Further depsolving test
	cleanups:  * remove TestingDepsolve class - do initialization in
	resolveCode  * remove build_depsolver() - do initialization in
	resolveCode  * set po.repoid po.repo.id in resolveCode   * remove
	FakeInstPkg - directly use FakePackage() Set po.repoid and
	po.repo.id = "TestRepository" for available pkgs for operations
	tests

2007-10-25  Florian Festi <ffesti@redhat.com>

	* test/testbase.py: Fix double complaints in assertResult  Also
	output the source code of the failed test case

2007-10-25  Florian Festi <ffesti@redhat.com>

	* test/depsolvetests.py, test/operationstests.py, test/testbase.py: 
	Refactor depsolving test infrastructure and move it to
	test/testbase.py

2007-10-23  Florian Festi <ffesti@redhat.com>

	* test/operationstests.py: Fix test names that got broken by
	query/replace  Make some test cases a bit more tolerant

2007-10-23  Florian Festi <ffesti@redhat.com>

	* test/depsolvetests.py: Print depsolve message if test fails

2007-10-17  Florian Festi <ffesti@redhat.com>

	* test/depsolvetests.py: Remove tsInfo checks in depsolve test cases
	as we have assertResult() now  Enable testUpdateForConflictProvide

2007-10-17  Florian Festi <ffesti@redhat.com>

	* Makefile, test/alltests.py, test/depsolvetests.py,
	test/operationstests.py, test/packagetests.py, test/testbase.py: Add
	--new_behavior param to test suite  Rename settestpath to testbase
	Support --new_behavior in all operationstests cases where current
	behavior is questionable

2007-10-17  Florian Festi <ffesti@redhat.com>

	* test/operationstests.py: Use more verbose pkg names

2007-10-17  Florian Festi <ffesti@redhat.com>

	* test/operationstests.py: Add test cases to see what happens when
	running "yum update" afterwards

2007-10-16  Florian Festi <ffesti@redhat.com>

	* test/depsolvetests.py: Add assertResult() to all test cases that
	don't fail

2007-10-16  Florian Festi <ffesti@redhat.com>

	* test/depsolvetests.py: fix Obsoletes test case

2007-10-16  Florian Festi <ffesti@redhat.com>

	* test/operationstests.py: Move tests from
	assertInstalled/assertNotInstalled to assertResult for better
	readability

2007-10-11  Florian Festi <ffesti@redhat.com>

	* cli.py, test/depsolvetests.py, test/operationstests.py,
	yum/__init__.py, yum/depsolve.py, yum/packageSack.py,
	yum/rpmsack.py: Move RpmSack.installed() to
	PackageSackBase.contains()  Keep now unused RpmSack.installed() for
	backward compatibility

2007-10-10  Florian Festi <ffesti@redhat.com>

	* test/operationstests.py: More obsolete related test cases: *
	testObsoletenoarchToMultiarchForDependency *
	testObsoletei386ToMultiarchForDependency *
	testObsoletex86_64ToMultiarch *
	testObsoletex86_64ToMultiarchForDependency *
	testObsoleteMultiarchToMultiarchForDependency *
	testObsoleteMultiarchTonoarchForDependency

2007-10-05  Florian Festi <ffesti@redhat.com>

	* test/alltests.py, test/depsolvetests.py, test/operationstests.py: 
	Add operations test suite (some sub tests are still commented out) *
	testUpdatei386ToMultilib * testUpdatei386ToMultilibForDependency *
	testUpdatex86_64ToMultilib * testUpdatex86_64ToMultilibForDependency
	* testUpdateMultilibToMultilib *
	testUpdateMultilibToMultilibForDependency * testUpdatei386Tonoarch *
	testUpdatei386TonoarchForDependency * testUpdateMultilibTonoarch *
	testUpdateMultilibTonoarchForDependency * testUpdatenoarchToMultilib
	* testUpdatenoarchToMultilibForDependency *
	testObsoletenoarchToMultiarch * testObsoletei386ToMultiarch *
	testObsoleteMultiarchToMultiarch * testObsoleteMultiarchTonoarch *
	_XXX_testObsoleteForConflict - disabled  Make FakePackge a
	YumAvailablePackage Add needed attributes to FakeConf

2007-10-05  Florian Festi <ffesti@redhat.com>

	* test/depsolvetests.py, yum/__init__.py: Switch depsolving tests to
	YumBase instead of Depsolver  Add the needed attributes to FakeConf
	Add new test cases  * testUpdateForDependency  *
	testUpdateSplitPackage  * _XXX_testUpdateForConflict - disabled  *
	testUpdateForConflict2  * _XXX_testUpdateForConflictProvide  *
	testUpdateForConflictProvide2 - disabled Minor fix for empty pkgSack
	(False != None)

2007-10-01  Florian Festi <ffesti@redhat.com>

	* test/settestpath.py: Use a more defensive path order

2007-10-01  Florian Festi <ffesti@redhat.com>

	* test/depsolvetests.py: Add defaults to FakePackage.add*  Use "EQ"
	instead of "=" FakePackage.addFile()

2007-10-05  Florian Festi <ffesti@redhat.com>

	* test/depsolvetests.py: Really implement FakeRpmSack.installed()

2007-10-04  Florian Festi <ffesti@redhat.com>

	* test/depsolvetests.py: Adjust test case to the now fixed
	PackageSack: There now is one "remove" transaction member as the
	"zip" package now is updated instead of just installed

2007-10-04  Florian Festi <ffesti@redhat.com>

	* yum/packageSack.py: Add support searching only for some parts of
	the pkgtup in PackageSack.searchNevra

2007-10-05  Florian Festi <ffesti@redhat.com>

	* yum/packageSack.py, yum/sqlitesack.py: Add newest parameter to all
	.returnObsoletes() methods - either by supporting it or by raising a
	NotImplementedError if set to True

2007-10-31  Seth Vidal <skvidal@fedoraproject.org>

	* rpmUtils/updates.py, yum/__init__.py: Applied patches from Florian
	Festi:  "The attached patches improve YumBase.update to handle
	multilib updates and  obsoletes better. This improves several
	situations:   Updating noarch to multilib (32 + 64 bit) and vice
	versa.   Check obsoletes not only for the updating pkg but also for
	pkgs obsoleted by  the updating pkgs. Also handle noarch <->
	multilib transitions in obsoletes  better."

2007-10-31  Seth Vidal <skvidal@fedoraproject.org>

	* yum/depsolve.py: applied patch from florian festi:  "The following
	patch tries to update already installed pkgs instead of just
	installing the "best" arch and think about updates later on. This
	makes updates for dependencies more like regular updates and avoids
	ending up with pkgs of different version and different arches
	installed at once - which will most likely result in multilib file
	conflicts."

2007-10-31  Seth Vidal <skvidal@fedoraproject.org>

	* yum/transactioninfo.py: commit patch from Florian Festi:  "The
	attached patch makes sure that an updated pkg is removed even if the
	updating pkg already got added to the transaction. This fixes
	updates from multilib (32 and 64 bit installed) to noarch. Currently
	the first update operation (e.g. 32bit -> noarch) works but the
	second (64bit -> noarch) is ignored. As result there are two pkg in
	different arches and versions which will most likely result in an
	multilib file conflict. The current patch makes sure that the
	updated pkg is only rejected if itself is already in the transaction
	(as a REMOVE)."

2007-10-30  Seth Vidal <skvidal@fedoraproject.org>

	* yum/config.py: fix disable_excludes for non-cli callers of yum

2007-10-29  Seth Vidal <skvidal@fedoraproject.org>

	* docs/yum.8: docs for --disableexcludes

2007-10-29  Seth Vidal <skvidal@fedoraproject.org>

	* cli.py, output.py, yum/packages.py: apply patches from jantill:  -
	make search terms bold in cli output  - remove \n's from summary
	lines in packages

2007-10-29  Seth Vidal <skvidal@fedoraproject.org>

	* cli.py, yum/__init__.py: apply --disableexcludes option patch from
	jantill

2007-10-28  James Bowes <jbowes@redhat.com>

	* yum/__init__.py: Fix some namespacing issues in __init__.py
	yum.misc and yum.Errors should be just misc and Errors (yum isn't
	imported).

2007-10-18  Seth Vidal <skvidal@fedoraproject.org>

	Merge branch 'master' of
	ssh://login.linux.duke.edu/home/groups/yum/git/yum  * 'master' of
	ssh://login.linux.duke.edu/home/groups/yum/git/yum:   Added missing
	imports   Added a cleanup edition of a DownloadBaseCallback to make
	it simple to create custom download progress handlers.

2007-10-18  Seth Vidal <skvidal@fedoraproject.org>

	* yum/rpmtrans.py: apply patch from Christoph Thiel for suse's rpm
	handling scriptFd setting

2007-10-18  Tim Lauridsen <timlau@fedoraproject.org>

	* yum/callbacks.py: Added missing imports

2007-10-17  Tim Lauridsen <tim@localhost.localdomain>

	* yum/callbacks.py: Added a cleanup edition of a
	DownloadBaseCallback to make it simple to create custom download
	progress handlers.

2007-10-12  Seth Vidal <skvidal@fedoraproject.org>

	* ChangeLog: 3.2.7 changelog merge

2007-10-12  Seth Vidal <skvidal@fedoraproject.org>

	* yum.spec, yum/__init__.py: ver kick to 3.2.7

2007-10-12  Jeremy Katz <katzj@redhat.com>

	* yum/depsolve.py, yum/transactioninfo.py: fix transaction listing
	to properly display only deps as deps as opposed to some things
	which are manually done and also deps (rh#283961)

2007-10-12  Jeremy Katz <katzj@redhat.com>

	* yum/depsolve.py: fix requirements moving to new packages when a
	package is obsoleted

2007-10-11  Jeremy Katz <katzj@redhat.com>

	* rpmUtils/updates.py: use the right variable

2007-10-09  Jeremy Katz <katzj@redhat.com>

	* yum/misc.py: catch exception when uncompressing (#325771)

2007-10-10  Jeremy Katz <katzj@redhat.com>

	* rpmUtils/updates.py: when an obsolete is available for a package,
	only install most matching arch rather than all available arches
	(rh#301661)

2007-10-10  Seth Vidal <skvidal@fedoraproject.org>

	* yum/__init__.py, yum/misc.py: apply patch from Robin Norwood to
	expose more information from the gpg keys we read in - timestamp and
	fingerprint

2007-10-09  James Bowes <jbowes@redhat.com>

	* cli.py: Remove extra 'None' from output when showing help/usage.

2007-10-09  Jeremy Katz <katzj@redhat.com>

	* yum/repos.py: make this a debug message -- it's confusing to most
	users as with the initialization ordering changes, we can get here a
	lot more ways now

2007-10-07  James Bowes <jbowes@redhat.com>

	* yummain.py: Add docstring for yummain.py

2007-10-07  James Bowes <jbowes@redhat.com>

	* callback.py: Add some docstrings to callback.py

2007-10-07  James Bowes <jbowes@redhat.com>

	* Makefile: Add a doccheck Makefile target for epydoc completeness.


2007-10-08  James Bowes <jbowes@redhat.com>

	* test/depsolvetests.py: Add unit tests for package updates.  This
	includes a failing test for the following case: A, B on system A
	requires B A' updates A A' obsoletes B Expected results: A, B
	removed A' on system Actual results: A not marked for removal
	Originally seen on rawhide, running yum update moving from
	NetworkManager 0.6.5 to 0.7.0

2007-10-07  James Bowes <jbowes@redhat.com>

	* yum/depsolve.py: Remove unused import from depsolve.py

2007-10-08  Seth Vidal <skvidal@fedoraproject.org>

	* yum/rpmtrans.py: fix up the filelog fix

2007-10-08  Seth Vidal <skvidal@fedoraproject.org>

	Merge branch 'master' of
	ssh://login.linux.duke.edu/home/groups/yum/git/yum  * 'master' of
	ssh://login.linux.duke.edu/home/groups/yum/git/yum:   fix infinite
	loop with no repos enabled

2007-10-08  Seth Vidal <skvidal@fedoraproject.org>

	* yum/rpmtrans.py: proper call to filelog to emit transaction
	logging errors

2007-10-07  Jeremy Katz <katzj@redhat.com>

	* yum/__init__.py: fix infinite loop with no repos enabled

2007-10-05  Seth Vidal <skvidal@fedoraproject.org>

	* ChangeLog: merge changelog for 3.2.6

2007-10-05  Seth Vidal <skvidal@fedoraproject.org>

	* yum.spec, yum/__init__.py: mark as 3.2.6

2007-10-04  Tim Lauridsen <tla@rasmil.dk>

	* yum/__init__.py, yum/depsolve.py, yum/rpmsack.py: patches by
	ffesti * use package objects in the cheaterlookup instead of pkgtups
	* move from whatProvides to getProvides in
	returnInstalledPackagesByDep

2007-10-03  Seth Vidal <skvidal@fedoraproject.org>

	* yum/rpmtrans.py: make the quasi-warning messages just go to the
	log and not bitch on the console

2007-10-03  Seth Vidal <skvidal@fedoraproject.org>

	Merge branch 'master' of
	ssh://login.linux.duke.edu/home/groups/yum/git/yum  * 'master' of
	ssh://login.linux.duke.edu/home/groups/yum/git/yum:   remove
	duplicate code; ensure that we reset what we've seen between
	depsolves   don't delete non-existent attrs

2007-10-03  Seth Vidal <skvidal@fedoraproject.org>

	* yum/misc.py: don't traceback on running kernel check

2007-10-02  Jeremy Katz <katzj@redhat.com>

	* yum/depsolve.py: remove duplicate code; ensure that we reset what
	we've seen between depsolves

2007-10-02  Jeremy Katz <katzj@redhat.com>

	* yum/sqlitesack.py: don't delete non-existent attrs

2007-10-02  Seth Vidal <skvidal@fedoraproject.org>

	* yum/yumRepo.py: closes rhbug #312781 - if we encounter a
	mirrorlist which ends up having no valid urls in it - then make sure
	we unlink the cached mirrorlist so we don't break the user

2007-10-02  Seth Vidal <skvidal@fedoraproject.org>

	* yum/__init__.py, yum/config.py, yum/misc.py: close bug: 296771 -
	handle case where running kernel is in a package we don't expect

2007-10-01  James Bowes <jbowes@redhat.com>

	* Makefile, docs/Makefile, docs/yum-updatesd.8,
	docs/yum-updatesd.conf.5, etc/Makefile, etc/yum-updatesd.init,
	yum-updatesd.py, yum.spec: Revert "Remove yum-updatesd, as it's a
	distinct project now."  yum-updatesd is still needed for F7.  This
	reverts commit bab47e934196b94a8afdca6d306806e46e73f4e3.

2007-09-30  James Bowes <jbowes@redhat.com>

	* yum/packageSack.py: Don't override built-in 'file' in the
	packagesack searchFiles method.

2007-09-30  James Bowes <jbowes@redhat.com>

	* docs/.gitignore: Add gitignore for epydoc

2007-09-30  James Bowes <jbowes@redhat.com>

	* yum/misc.py, yum/parser.py, yum/repos.py, yum/rpmtrans.py,
	yum/update_md.py: Fix some epydoc syntax errors in yum

2007-09-30  James Bowes <jbowes@redhat.com>

	* .gitignore: Ignore vim swap files

2007-09-30  James Bowes <jbowes@redhat.com>

	* rpmUtils/miscutils.py, rpmUtils/updates.py: Fix some epydoc syntax
	errors in rpmUtils

2007-09-30  James Bowes <jbowes@redhat.com>

	* cli.py, yum/__init__.py: Fix some epydoc syntax errors in cli.py
	and yum/__init__.py

2007-09-30  James Bowes <jbowes@redhat.com>

	* Makefile, docs/Makefile, docs/yum-updatesd.8,
	docs/yum-updatesd.conf.5, etc/Makefile, etc/yum-updatesd.init,
	yum-updatesd.py, yum.spec: Remove yum-updatesd, as it's a distinct
	project now.

2007-09-28  Tim Lauridsen <tla@rasmil.dk>

	Merge branch 'check' of
	http://people.redhat.com/jantill/gits/yum

2007-09-24  Seth Vidal <skvidal@fedoraproject.org>

	* yum/depsolve.py: merge patch for proper return order of results
	from _resolveRequires patch from Florian Festi

2007-09-18  Jeremy Katz <katzj@redhat.com>

	* yum/yumRepo.py: make metadata_expire=-1 to imply "never expire"

2007-09-18  Jeremy Katz <katzj@redhat.com>

	* yum/__init__.py, yum/yumRepo.py: for frontends which aren't
	media-aware (ie, don't provide a mediafunc for grabbing packages
	from media), disable any media-only repositories

2007-09-18  Seth Vidal <skvidal@fedoraproject.org>

	* docs/yum.conf.5, yum/__init__.py: add debug output to costExclude
	add cost man page entry

2007-09-18  Seth Vidal <skvidal@fedoraproject.org>

	Merge branch 'master' of
	ssh://login.linux.duke.edu/home/groups/yum/git/yum  * 'master' of
	ssh://login.linux.duke.edu/home/groups/yum/git/yum:   sigmd5 isn't
	guaranteed to be there either.  this should be fine, though and
	capture scriptlet output via a pipe and pass it via a callback
	method on a

2007-09-18  Seth Vidal <skvidal@fedoraproject.org>

	* output.py, yum/__init__.py, yum/config.py, yum/packages.py,
	yum/transactioninfo.py, yum/yumRepo.py: - yum search output a little nicer for users - suggestions from
	tech-list and james antill - implement cost feature per repo - fix
	up cases where callers don't properly call addUpdated() for pkgs
	being updated by a txmbr - problem comes out in skip-broken   thanks
	to bill nottingham for the replicated bug

2007-09-18  Jeremy Katz <katzj@redhat.com>

	* yum/packages.py: sigmd5 isn't guaranteed to be there either.  this
	should be fine, though and should be unique enough (#291471)

2007-09-13  Jeremy Katz <katzj@redhat.com>

	* output.py, yum/rpmtrans.py: capture scriptlet output via a pipe
	and pass it via a callback method on a per-package basis

2007-09-17  Jeremy Katz <katzj@redhat.com>

	* yum/sqlitesack.py: don't delete objects multiple times

2007-09-13  Jeremy Katz <katzj@redhat.com>

	* cli.py: more making things obvious to people when they request
	things which are already installed or which aren't available
	(rh#261001)

2007-09-13  Jeremy Katz <katzj@redhat.com>

	* output.py: add support for fetching strings out of specspo
	(rh#251891)

2007-09-12  Tim Lauridsen <tla@rasmil.dk>

	* yum/__init__.py, yum/callbacks.py: Make the processTransaction and
	extra optional parameteres, to make it posible to work with the list
	of packages to download in the callback.

2007-09-12  Seth Vidal <skvidal@fedoraproject.org>

	* yum/yumRepo.py: not really a fix but having the message from the
	exception in parens is just a leftover

2007-09-12  Jeremy Katz <katzj@redhat.com>

	* yum/__init__.py: event() only takes one argument

2007-09-12  Jeremy Katz <katzj@redhat.com>

	* yum/rpmtrans.py: allow passing in an already created display
	object

2007-09-10  Seth Vidal <skvidal@fedoraproject.org>

	* ChangeLog: merge Changelog

2007-09-10  Seth Vidal <skvidal@fedoraproject.org>

	* yum.spec, yum/__init__.py: mark as 3.2.5

2007-09-07  James Antill <james@code.and.org>

	* test/depsolvetests.py:   Add installed repo id, FakeInstPackage()   Added methods for
	  FakePackage prco: provides, requires, conflicts, obsoletes

2007-09-07  Seth Vidal <skvidal@fedoraproject.org>

	* rpmUtils/miscutils.py: check for signalsCaught method to rpm, too.
	If not then things go boom on  various versions of rpm.

2007-09-07  Jeremy Katz <katzj@redhat.com>

	* yum/__init__.py: properly delete repos

2007-09-06  James Antill <james@code.and.org>

	* test/depsolvetests.py: Multiple sacks

2007-09-06  James Antill <james@code.and.org>

	* test/depsolvetests.py: Add check for empty

2007-09-06  James Antill <james@code.and.org>

	* test/depsolvetests.py, yum/packages.py: Add lots of tests, and fix
	matchingPrcos to pass GE

2007-09-06  James Antill <james@code.and.org>

	* Makefile: Make check an alias for test

2007-09-06  Seth Vidal <skvidal@fedoraproject.org>

	* cli.py: if we're trying to localinstall a different arch and
	either the pkg we're installing or the one we have installed is a
	multilib pkg then it's okay to pass this package to be installed.
	Closed rh bug# 280491

2007-09-06  Seth Vidal <skvidal@fedoraproject.org>

	* yum/rpmtrans.py: work around for obscure problem occuring with
	some obsoletes occasionally rpm sends along an extra callback event
	that wasn't in the transaction set to begin with. This ensures that
	if we receive those we don't explode. Thanks to Fajar A. Nugraha for
	providing with the replicating case and a system to test it on.

2007-09-05  Seth Vidal <skvidal@fedoraproject.org>

	* shell.py: - fix a problem when enabling new repos, too that the sack would
	never   get setup for that repo

2007-09-05  Seth Vidal <skvidal@fedoraproject.org>

	* shell.py, yum/sqlitesack.py, yum/yumRepo.py: - clean up how we do repo disabling in yum shell - more completely
	destroy repository objects when we're done with them

2007-09-05  Seth Vidal <skvidal@fedoraproject.org>

	* cli.py: change the output to log in info2 instead of debug3 - see
	if that helps people understanding why yum outputs 'Nothing to do'

2007-09-05  Seth Vidal <skvidal@fedoraproject.org>

	* yum/__init__.py: merge typo patch from Mark McLoughlin

2007-09-04  Seth Vidal <skvidal@fedoraproject.org>

	* cli.py, yumcommands.py: add needTs() method to
	yumcommands.YumCommand defaults to returning True return False for
	conditions where it is not necessary to setup the Ts to run the
	command closes rh bug #276151

2007-09-04  Seth Vidal <skvidal@fedoraproject.org>

	* cli.py, output.py: fix up the rest of the places the typo impacts
	and maintain api

2007-09-04  Seth Vidal <skvidal@fedoraproject.org>

	* output.py: random typo that's not been touched since 2005 - found
	by Bill Nottingham

2007-09-02  Seth Vidal <skvidal@fedoraproject.org>

	* yum/packageSack.py: fix PackageSackBase.matchPackageNames
	iterating over the specs dict requires use of .items() I'm not sure
	how that code worked, ever, actually. I think it's just extremely
	rarely used. closes rh bug: 274281

2007-08-31  Tim Lauridsen <tla@rasmil.dk>

	* yum/callbacks.py: Make ProcessTransBaseCallback work with states
	without messages.

2007-08-31  Seth Vidal <skvidal@fedoraproject.org>

	Merge branch 'master' of
	ssh://login.linux.duke.edu/home/groups/yum/git/yum  * 'master' of
	ssh://login.linux.duke.edu/home/groups/yum/git/yum:   * Added extra
	processTransaction callback event PT_DOWNLOAD_PKGS called with
	packages to download.

2007-08-31  Seth Vidal <skvidal@fedoraproject.org>

	* yum/yumRepo.py: apply patch to fix output msg when the repomd.xml
	can't be found closes rh bug: 258081

2007-08-30  Tim Lauridsen <tla@rasmil.dk>

	* yum/__init__.py, yum/callbacks.py: * Added extra processTransaction callback event PT_DOWNLOAD_PKGS
	called with packages to download. * Make the processTransaction
	Download & GPG check a little smarter, no need to call the download
	& GPG check code, if there is nothing to download.

2007-08-29  Jeremy Katz <katzj@redhat.com>

	* yum/depsolve.py: make sure that we ensure that the oldreq was
	satisfied; otherwise we could  have had broken deps before leading
	to things breaking

2007-08-29  Seth Vidal <skvidal@fedoraproject.org>

	* yum/packageSack.py, yum/rpmsack.py, yum/sqlitesack.py,
	yum/transactioninfo.py: merge patch from Florian. Fixes the changes
	made about 2 weeks ago to transactioninfo and packageSack

2007-08-28  Seth Vidal <skvidal@fedoraproject.org>

	* ChangeLog: merge Changelog

2007-08-28  Seth Vidal <skvidal@fedoraproject.org>

	* yum.spec, yum/__init__.py: mark as 3.2.4

2007-08-28  Seth Vidal <skvidal@fedoraproject.org>

	* yum/__init__.py, yum/config.py, yum/plugins.py, yum/yumRepo.py: 
	merge patch to use iniparser and allow better interaction to .repo
	files from Debarishi Ray

2007-08-24  Jeremy Katz <katzj@redhat.com>

	* yum/depsolve.py: if we have two versions of a package and a compat
	package available in our repo, we can set the old version to be
	installed first, then the new one replaces the old one.  but we
	never go back and check for what required the provides of the old
	one and get something else (like the compat package)

2007-08-24  Jeremy Katz <katzj@redhat.com>

	* yum/depsolve.py: fix depchecking on members removed from the ts

2007-08-24  Seth Vidal <skvidal@fedoraproject.org>

	* yum/plugins.py: This patch should fix the case of people calling
	doPluginSetup() etc. with a non-list argument - From James Antill

2007-08-24  Seth Vidal <skvidal@fedoraproject.org>

	* yum/__init__.py, yum/comps.py: if group file is empty or damaged
	in a repository, treat it like a missing groups file and skip it.
	Push out an error about it, though.

2007-08-24  Seth Vidal <skvidal@fedoraproject.org>

	* yum/comps.py: make groupinfo work when the description is empty

2007-08-24  Tim Lauridsen <tla@rasmil.dk>

	* yum/__init__.py: Moved _run_rpm_check_debug into YumBase, so that
	processTransaction can do the rpm check

2007-08-23  Seth Vidal <skvidal@fedoraproject.org>

	Merge branch 'master' of
	ssh://login.linux.duke.edu/home/groups/yum/git/yum  * 'master' of
	ssh://login.linux.duke.edu/home/groups/yum/git/yum:   Reworked the
	processTransaction callback a little.

2007-08-23  Seth Vidal <skvidal@fedoraproject.org>

	* output.py: bug in cli output transacation callback. closes rh bug
	#253955

2007-08-23  Tim Lauridsen <tla@rasmil.dk>

	* yum/__init__.py, yum/callbacks.py: Reworked the processTransaction
	callback a little. * Added yum/callbacks.py with callback classes to
	use with processTransaction * Dont parse strings to callback, use
	some flags insted * Dont call the callbacks at both start/end of
	each step, only at start

2007-08-22  Seth Vidal <skvidal@fedoraproject.org>

	* ChangeLog: merge Changelog for 3.2.3 - new git2cl-format -please
	forgive the massive changeset

2007-08-22  Seth Vidal <skvidal@fedoraproject.org>

	* yum/packages.py: make sure yum local packages have an 'id'
	attribute

2007-08-22  Seth Vidal <skvidal@fedoraproject.org>

	* etc/yum.conf: get rid of ridiculous old repos in yum.conf

2007-08-22  Seth Vidal <skvidal@fedoraproject.org>

	* yum.spec: get rid of no-longer-sensible python-elemmenttee dep

2007-08-22  Seth Vidal <skvidal@fedoraproject.org>

	* yum.spec, yum/__init__.py: mark as 3.2.3 for tests add persistent
	dir to spec file

2007-08-22  Seth Vidal <skvidal@fedoraproject.org>

	* Makefile: add persistent yum dir to make install

2007-08-21  Seth Vidal <skvidal@fedoraproject.org>

	Merge branch 'master' of
	ssh://login.linux.duke.edu/home/groups/yum/git/yum  * 'master' of
	ssh://login.linux.duke.edu/home/groups/yum/git/yum:   ensure we have
	indexes before using self.nevra. otherwise, we can   Remove
	duplicate code in Errors.py   fix spelling error (rh#253448)
	Remove duplicate init methods in new added Exception classes   Added
	some extra yum exeption and made the processTransaction helper
	functions cast distinct Exception, to make it easier for the API
	users to distinguish between the exceptions.   Fix typo in update_md


2007-08-21  Seth Vidal <skvidal@fedoraproject.org>

	* yum/depsolve.py, yum/packageSack.py, yum/transactioninfo.py: - merge florian's patches - fixes for the matchNaevr() tracebacks

2007-08-21  Jeremy Katz <katzj@redhat.com>

	* yum/packageSack.py: ensure we have indexes before using
	self.nevra. otherwise, we can  get tracebacks from people trying to
	install gcc on x86_64 when there's an updated glibc available (and
	other cases too, but that's the easy trigger for this)

2007-08-21  Tim Lauridsen <tla@rasmil.dk>

	* yum/Errors.py: Remove duplicate code in Errors.py

2007-08-20  Jeremy Katz <katzj@redhat.com>

	* yum/depsolve.py: fix spelling error (rh#253448)

2007-08-20  Tim Lauridsen <tla@rasmil.dk>

	* yum/Errors.py: Remove duplicate init methods in new added
	Exception classes

2007-08-20  Tim Lauridsen <tla@rasmil.dk>

	* yum/Errors.py, yum/__init__.py: Added some extra yum exeption and
	made the processTransaction helper functions cast distinct
	Exception, to make it easier for the API users to distinguish
	between the exceptions.

2007-08-16  James Bowes <jbowes@redhat.com>

	* yum/update_md.py: Fix typo in update_md

2007-08-18  Seth Vidal <skvidal@fedoraproject.org>

	Merge branch 'master' of
	ssh://login.linux.duke.edu/home/groups/yum/git/yum  * 'master' of
	ssh://login.linux.duke.edu/home/groups/yum/git/yum:   Added
	progressTransaction to make it easier to process the yum transaction
	for a api program

2007-08-18  Tim Lauridsen <tla@rasmil.dk>

	* yum/__init__.py: Added progressTransaction to make it easier to
	process the yum transaction for a api program

2007-08-17  Seth Vidal <skvidal@fedoraproject.org>

	* Makefile: get rid of .git dir

2007-08-17  Seth Vidal <skvidal@fedoraproject.org>

	* yum/config.py: I don't know why I didn't think of this before. If
	we cannot find anything for our releasever variable - just return
	the variable unmodified - don't return this 'Null' silliness.

2007-08-16  Seth Vidal <skvidal@fedoraproject.org>

	Merge branch 'master' of
	ssh://login.linux.duke.edu/home/groups/yum/git/yum  * 'master' of
	ssh://login.linux.duke.edu/home/groups/yum/git/yum:   Make the
	BaseConfig write method work better and make it support

2007-08-16  Seth Vidal <skvidal@fedoraproject.org>

	* cli.py, docs/yum.conf.5, yum/__init__.py, yum/config.py,
	yum/rpmtrans.py: implement transaction journalling:
	transaction-done.datestamp and transaction-all.datestamp files will
	be made in /var/lib/yum (persistdir in the conf file). These files
	describe the entire transaction and which portions of it have
	finished.  adds persistdir to configuration - for persistent
	information b/t runs - unlike cachedir fixes a couple of lingering
	bugs in the new rpm callback.

2007-08-15  Tim Lauridsen <tla@rasmil.dk>

	* yum/config.py: Make the BaseConfig write method work better and
	make it support other ConfigParser replacements like
	iniparse.compat.ConfigParser.

2007-08-14  Seth Vidal <skvidal@fedoraproject.org>

	* yum/rpmtrans.py: kill i18n import from rpmtrans and the single
	user of it this will need to be partially put back when we finally
	fix translations

2007-08-14  Tim Lauridsen <tla@rasmil.dk>

	Merge branch 'fix-rpmtrans'  * fix-rpmtrans:   Added
	RPMBaseCallback class to reduce duplicate code and make it easier to
	make a callback class for a yum api user

2007-08-14  Tim Lauridsen <tla@rasmil.dk>

	* yum/rpmsack.py: Added patch by ffesti: Have only one instance of a
	RpmSack package at once

2007-08-14  Tim Lauridsen <tla@rasmil.dk>

	* output.py, yum/rpmtrans.py: Added RPMBaseCallback class to reduce
	duplicate code and make it easier to make a callback class for a yum
	api user

2007-08-13  Seth Vidal <skvidal@fedoraproject.org>

	* yum/rpmtrans.py: clean up some garbage in rpmtrans.py

2007-08-13  Seth Vidal <skvidal@fedoraproject.org>

	* cli.py, output.py: hook up yum-cli to the new transaction callback
	add YumCliCallback to output.py

2007-08-13  Seth Vidal <skvidal@fedoraproject.org>

	* yum/sqlitesack.py: remove double trailing slashes as they are just
	crap. closes rh bug #246485

2007-08-11  Seth Vidal <skvidal@fedoraproject.org>

	* cli.py: nuke the depsolve callback when we're running the
	rpm_check_debug() otherwise we get all the --> output twice. closes
	rh bug: 251576

2007-08-10  Seth Vidal <skvidal@fedoraproject.org>

	Merge branch 'master' of
	ssh://login.linux.duke.edu/home/groups/yum/git/yum  * 'master' of
	ssh://login.linux.duke.edu/home/groups/yum/git/yum:   add support
	for --quiet and --verbose on the command-line

2007-08-10  Seth Vidal <skvidal@fedoraproject.org>

	* output.py, yum/rpmtrans.py: rpm transaction callback  - initial
	cut at the simpleclicallback in output - not finished  - check in
	rpmtrans.py - where the yum rpmtranscaction call back will be  -
	more to come

2007-08-09  Jeremy Katz <katzj@redhat.com>

	* cli.py, docs/yum.8: add support for --quiet and --verbose on the
	command-line

2007-08-07  Jeremy Katz <katzj@redhat.com>

	* yummain.py: Wait for the lock to be released rather than exiting
	immediately.  Give the user feedback about what's going on, but wait
	for the lock to be released in case the user ran the command and
	walked away while, eg, yum-updatesd is updating metadata.  Based on
	a suggestion from Hans de Goede

2007-08-07  Jeremy Katz <katzj@redhat.com>

	* yum/__init__.py: deciding to abort when the lock is held depends
	on the caller

2007-08-07  Seth Vidal <skvidal@fedoraproject.org>

	* docs/yum-shell.8, docs/yum-updatesd.8, docs/yum.8: datestamps in
	man pages get rid of dates in manpages as we always forget to update
	them and they're fairly meaningless anyway.

2007-08-02  James Bowes <jbowes@redhat.com>

	* yum/storagefactory.py, yum/yumRepo.py: Remove storagefactory and
	reference sqlitecachec directly

2007-08-02  James Bowes <jbowes@redhat.com>

	* yum/sqlitecache.py, yum/storagefactory.py: Remove the internal
	metadata parser

2007-08-03  Seth Vidal <skvidal@fedoraproject.org>

	* docs/yum.8: delete 'cache' from the list of things yum clean can
	take closes rhbug: 250553

2007-08-03  Seth Vidal <skvidal@fedoraproject.org>

	* yum/__init__.py, yum/yumRepo.py: - setup a way to reset all the package sacks - add _resetSack()
	method to YumRepository objects - all other external repo objects
	need to add them as well, or we'll emit a warning but carry on like
	we did before

2007-08-03  Seth Vidal <skvidal@fedoraproject.org>

	* yum/__init__.py, yum/repos.py: sigh - take the change out of repos
	and put it in __init__.py - otherwise for calls _through_ the repos
	object like: self.repos.listEnabled() we won't ever setup the config
	until too late

2007-08-02  Seth Vidal <skvidal@fedoraproject.org>

	* yum/repos.py: make sure _something_ in the RepoStorage object
	calls _getConfig() before we try to setup the repos otherwise all
	sorts of silly things happen

2007-08-02  James Bowes <jbowes@redhat.com>

	* test/depsolvetests.py: Also set _tsInfo on the TestingDepsolve

2007-08-02  James Bowes <jbowes@redhat.com>

	* test/depsolvetests.py: Create an init method for TestingDepsolve,
	and move appropriate logic there.

2007-08-01  James Bowes <jbowes@redhat.com>

	* yum/Errors.py, yum/__init__.py, yum/rpmsack.py,
	yum/sqlitesack.py, yum/transactioninfo.py: Remove some unused
	imports

2007-08-01  James Bowes <jbowes@redhat.com>

	* test/depsolvetests.py: Replace FakeRpmDb with a PackageSack in the
	depsolve tests.

2007-08-01  James Bowes <jbowes@redhat.com>

	* yum/sqlitesack.py: Revert "move creation of sqlite idices to
	sqlitesack to create them even if the metadataparser is used"
	Generating the indices in sqlitesack changes the checksum, and so
	cause the sqlite files to always get downloaded. Index generation
	should live in yum-metadata-parser instead.  This reverts commit
	42283902f929ac131cda7b3497ae047b497e02bc.

2007-08-01  Seth Vidal <skvidal@fedoraproject.org>

	Merge branch 'ffesti' of
	git://www.jur-linux.org/git-data/yum-ffesti  * 'ffesti' of
	git://www.jur-linux.org/git-data/yum-ffesti: (21 commits)   remove
	merge artifact   move creation of sqlite idices to sqlitesack to
	create them even if the metadataparser is used   only search in
	sqlite db if there are any sqlitedb pkgs in the transaction   fix
	copy/paste error: match new conflicts against whole transaction
	Add some test cases for rangeCompare   Don't treat installed
	obsoletes as conflicts   load PRCO only once from the sqlitedb -
	even if it is empty   Make PackageSack.matchPackageNames() match all
	other implementations of this method, needed to use PackageSack as a
	part of a MetaSack   keep PackageSack indexes up2date   remove code
	obsoleted by new search API   trigger file requires check when
	install members got removed from transaction   Check removed
	transaction members to avoid missing dependencies   Use new search
	API in checkRemove   New conflict check implementation using new
	search API, fixes rh#245707   use new search API in checkInstall
	ajust to new tsInfo interface   add .get(Old|New)?Provides(),
	.get(Old|New)?Requires() to TransactionData (ak tsInfo)   add
	.getProvides(), .getRequires() to PackageSack, MetaSack   add
	.getProvides(), .getRequires() to SqliteSack   move PRCO compare
	code out of package   ...

2007-08-01  Seth Vidal <skvidal@fedoraproject.org>

	Merge branch 'yum-list-cmd-exit' of
	http://people.redhat.com/jantill/gits/yum  * 'yum-list-cmd-exit' of
	http://people.redhat.com/jantill/gits/yum:   exit with non-zero when
	given a pattern that doesn't match

2007-08-01  Seth Vidal <skvidal@fedoraproject.org>

	* docs/yum.conf.5: remove quotes from list of installonlypkgs. The
	quotes confuse some users who cut and paste the content into their
	yum.conf file to edit. Thanks to John Lockhart for bringing this to
	light.

2007-07-31  Seth Vidal <skvidal@fedoraproject.org>

	* .gitignore: ~ and .bak files to be ignored

2007-07-31  Seth Vidal <skvidal@fedoraproject.org>

	Merge branch 'list-none' of
	http://people.redhat.com/jantill/gits/yum

2007-07-31  Seth Vidal <skvidal@fedoraproject.org>

	Merge branch 'master' of
	ssh://login.linux.duke.edu/home/groups/yum/git/yum

2007-07-31  Seth Vidal <skvidal@fedoraproject.org>

	* .gitignore: add git ignore?

2007-07-31  Seth Vidal <skvidal@fedoraproject.org>

	Merge branch 'pkg-self-obsolete' of
	http://people.redhat.com/jantill/gits/yum

2007-07-30  James Antill <james@code.and.org>

	* yum/packageSack.py: fix for list(None) call

2007-07-30  James Antill <james@code.and.org>

	* rpmUtils/updates.py: fix for self obsoleting packages

2007-07-30  James Antill <james@code.and.org>

	* output.py, yumcommands.py: exit with non-zero when given a pattern
	that doesn't match

2007-07-30  James Bowes <jbowes@redhat.com>

	* .gitignore: Add .gitignore file for pyc and pyo files

2007-07-30  James Bowes <jbowes@redhat.com>

	* cli.py: Obsoletion is not a word. Just use Update

2007-07-29  Seth Vidal <skvidal@fedoraproject.org>

	* yum/yumRepo.py: make sure we set repo.baseurl  to be the complete
	list of all urls - both mirrorlist and baseurl - otherwise we break
	various other functions when we're in mirrorlist-only situations
	closes rh bug 249989

2007-07-27  Seth Vidal <skvidal@fedoraproject.org>

	* yum/packages.py, yum/plugins.py, yum/sqlitesack.py: packages.py:
	add exclude method to all YumAvailablePackage objects plugins.py:
	make sure plugins automatically get the faster way to exclude/del
	packages sqlitesack.py: new sqlite doesn't deal well with single
	item tuples with                commas ('foo',) - fix that issue
	with archlist

2007-07-25  Florian Festi <ffesti@redhat.com>

	* yum/depsolve.py: remove merge artifact

2007-07-24  Florian Festi <ffesti@redhat.com>

	* yum/sqlitesack.py: move creation of sqlite idices to sqlitesack to
	create them even if the metadataparser is used

2007-07-24  Florian Festi <ffesti@redhat.com>

	* yum/transactioninfo.py: only search in sqlite db if there are any
	sqlitedb pkgs in the transaction

2007-07-20  Florian Festi <ffesti@redhat.com>

	* yum/depsolve.py: fix copy/paste error: match new conflicts against
	whole transaction

2007-07-18  Florian Festi <ffesti@redhat.com>

	* test/packagetests.py: Add some test cases for rangeCompare

2007-07-17  Florian Festi <ffesti@redhat.com>

	* yum/depsolve.py: Don't treat installed obsoletes as conflicts

2007-07-13  Florian Festi <ffesti@redhat.com>

	* yum/sqlitesack.py: load PRCO only once from the sqlitedb - even if
	it is empty

2007-07-13  Florian Festi <ffesti@redhat.com>

	* yum/packageSack.py: Make PackageSack.matchPackageNames() match all
	other implementations of this method, needed to use PackageSack as a
	part of a MetaSack

2007-07-13  Florian Festi <ffesti@redhat.com>

	* yum/packageSack.py: keep PackageSack indexes up2date

2007-07-13  Florian Festi <ffesti@redhat.com>

	* yum/depsolve.py: remove code obsoleted by new search API

2007-07-25  Florian Festi <ffesti@redhat.com>

	* yum/depsolve.py: trigger file requires check when install members
	got removed from transaction

2007-07-13  Florian Festi <ffesti@redhat.com>

	* yum/depsolve.py, yum/transactioninfo.py: Check removed transaction
	members to avoid missing dependencies

2007-07-13  Florian Festi <ffesti@redhat.com>

	* yum/depsolve.py: Use new search API in checkRemove  New
	.checkFileRequires() inow checks all file requires insted of removed
	files

2007-07-13  Florian Festi <ffesti@redhat.com>

	* yum/depsolve.py: New conflict check implementation using new
	search API, fixes rh#245707

2007-07-13  Florian Festi <ffesti@redhat.com>

	* yum/depsolve.py: use new search API in checkInstall

2007-07-13  Florian Festi <ffesti@redhat.com>

	* yum/depsolve.py: ajust to new tsInfo interface  move flags maping
	to module name space

2007-07-13  Florian Festi <ffesti@redhat.com>

	* yum/transactioninfo.py: add .get(Old|New)?Provides(),
	.get(Old|New)?Requires() to TransactionData (ak tsInfo)

2007-07-13  Florian Festi <ffesti@redhat.com>

	* yum/packageSack.py: add .getProvides(), .getRequires() to
	PackageSack, MetaSack

2007-07-13  Florian Festi <ffesti@redhat.com>

	* yum/sqlitesack.py: add .getProvides(), .getRequires() to
	SqliteSack

2007-07-13  Florian Festi <ffesti@redhat.com>

	* rpmUtils/miscutils.py, yum/packages.py: move PRCO compare code out
	of package

2007-07-13  Florian Festi <ffesti@redhat.com>

	* yum/rpmsack.py: Add .getRequire() .getProvides() to RpmSack

2007-07-25  Seth Vidal <skvidal@fedoraproject.org>

	Merge branch 'master' of
	ssh://login.linux.duke.edu/home/groups/yum/git/yum

2007-07-25  Seth Vidal <skvidal@fedoraproject.org>

	* yum/depsolve.py: make sure the first pkg in the 'newest' list
	isn't of an archscore of 0 from the requiring pkgs' arch. This will
	not play nicely with ppc/ppc64 in a couple of obscure situations
	where a ppc package may actually want a ppc64 package to satisfy its
	dep. As mind-boggling as that is.

2007-07-25  James Bowes <jbowes@redhat.com>

	* test/depsolvetests.py: Really add the depsolvetests file.
	Apparently cvs add was too hard for me.

2007-07-25  Seth Vidal <skvidal@fedoraproject.org>

	* yum/yumRepo.py: update error message. closes bug: 248726

2007-07-25  Jeremy Katz <katzj@redhat.com>

	* yum/depsolve.py: fix traceback (rh#249531)

2007-07-24  Seth Vidal <skvidal@fedoraproject.org>

	* output.py, rpmUtils/miscutils.py: apply panu's patch to catch rpm
	signals: should potentially close 241278

2007-07-24  Jeremy Katz <katzj@redhat.com>

	* output.py: fix thinko in the fix to rh#245736 (ffesti)

2007-07-20  Seth Vidal <skvidal@linux.duke.edu>

	* ChangeLog: merge changelog

2007-07-20  Seth Vidal <skvidal@linux.duke.edu>

	* yum/logginglevels.py: set logging.raiseExceptions to false so that
	piping to less from normal calls won't result in spewed tracebacks
	that we can't catch.

2007-07-20  Seth Vidal <skvidal@linux.duke.edu>

	* yum.spec, yum/__init__.py, yum/config.py: make rpm_debug_check the
	default mark as 3.2.2 in init and spec for release tests

2007-07-19  Seth Vidal <skvidal@linux.duke.edu>

	* docs/yum.conf.5: fix typo

2007-07-17  Jeremy Katz <katzj@redhat.com>

	* rpmUtils/arch.py: fix tyop

2007-07-16  Seth Vidal <skvidal@linux.duke.edu>

	* yum/__init__.py: if you are downloadHeader()ing make sure we make
	the headers dir - only useful for other callers of the yum modules -
	and they all should be stopped eventually.

2007-07-06  Jeremy Katz <katzj@redhat.com>

	* yum/packages.py: better fix for bad pkgid (rh#242604)

2007-07-05  Seth Vidal <skvidal@linux.duke.edu>

	* cli.py, yum/config.py: as a result of the depsolving bugs we've
	been seeing I added in a temporary ts.check() debug option. If
	you're running yum from the cli and you set rpm_check_debug=True in
	your yum.conf then it will run an rpm ts.check() before it runs the
	transaction test. If it finds any problems it will bail out. This
	might help us find bogus depsolving.

2007-07-04  Seth Vidal <skvidal@linux.duke.edu>

	* yum/__init__.py, yum/config.py: - move around where we get the config file age out of __init__ and
	into config - add the path to the config file into the config data
	for walking back from it for writing out our configs

2007-07-04  Seth Vidal <skvidal@linux.duke.edu>

	* yum/__init__.py: note to self, always revert changes before
	committing unrelated patches Thanks again to terje.

2007-07-03  Seth Vidal <skvidal@linux.duke.edu>

	* yum/__init__.py: revert updates item I broke. :( Thanks to terje
	for noticing it!

2007-07-03  Seth Vidal <skvidal@linux.duke.edu>

	* yum/__init__.py, yum/yumRepo.py: check if the .repo file or config
	files are newer than our mirrorlist or cachecookie files. If so,
	then invalidate these files. idea from florian laroche.

2007-07-02  Seth Vidal <skvidal@linux.duke.edu>

	* docs/yum.conf.5, yum/__init__.py, yum/config.py, yum/yumRepo.py: 
	download and save mirrorlists locally when using them expire
	mirrorlist data based on mirrorlist_expire config variable in [main]
	and each repo config deprecate metadataCurrent() and getMirrorList
	from yumRepo.py

2007-07-02  Seth Vidal <skvidal@linux.duke.edu>

	* yum/depsolve.py: fix for rh bug 246078 - when multiple packages
	provide the dep, choose the one with the closest arch to the
	requesting arch as possible. Helps ENDLESS multilib situations.

2007-06-29  Tim Lauridisen <tla@rasmil.dk>

	* yum/__init__.py: make 'yum clean all'  work again, it fails trying
	to get the files in the headers directory there is not used anymore.


2007-06-28  Jeremy Katz <katzj@redhat.com>

	* output.py: more hackery around python encoding disasters.  the
	strings we get back from the rpmdb are just string objects (as
	opposed to unicode) but may have utf8 content.  so if we try to
	encode them, we get errors.  so only encode the unicode objects
	(rh#245445)

2007-06-27  Jeremy Katz <katzj@redhat.com>

	* yum/Errors.py, yum/yumRepo.py: When downloading, it can be useful
	to distinguish between an error due to no more mirrors being
	available and other errors.  Attached patch adds a new error type so
	that if you care, you can catch it instead and then uses it in
	yumRepo._getFile().

2007-06-26  Jeremy Katz <katzj@redhat.com>

	* output.py: if we get a traceback reading the input, just take it
	as a no (rh#245736)

2007-06-26  Seth Vidal <skvidal@linux.duke.edu>

	* yum/depsolve.py: check installed pkgs for conflicts against
	installing pkgs closes bug: 245707

2007-06-26  Seth Vidal <skvidal@linux.duke.edu>

	* yum/packages.py: make sure that parsePackges(casematch=0) returns
	correctly for non-globbed search strings

2007-06-25  Seth Vidal <skvidal@linux.duke.edu>

	* docs/yum.conf.5, yum/__init__.py, yum/config.py, yum/misc.py: 
	merge functionality of 'installonlyn' plugin into yum core. options
	installonly_limit in yum.conf. Setting to 0 disables it. Defaults to
	0.

2007-06-21  Seth Vidal <skvidal@linux.duke.edu>

	* ChangeLog: merge changelog

2007-06-21  Seth Vidal <skvidal@linux.duke.edu>

	* shell.py: make sure we don't pass shlex.split() None or it will
	spin, forever.

2007-06-21  Seth Vidal <skvidal@linux.duke.edu>

	* yum/__init__.py, yum/yumRepo.py: closes bug: 241557 about
	repo.ready() make yum grouplist work again, too

2007-06-21  Seth Vidal <skvidal@linux.duke.edu>

	* ChangeLog: merge in changelog

2007-06-21  Seth Vidal <skvidal@linux.duke.edu>

	* yum.spec, yum/__init__.py: update spec/ver for 3.2.1

2007-06-20  Jeremy Katz <katzj@redhat.com>

	* yum-updatesd.py: fix failure cases (from ffesti)

2007-06-19  Jeremy Katz <katzj@redhat.com>

	* yum/depsolve.py: fix another case where we would do an update and
	break deps

2007-06-18  Jeremy Katz <katzj@redhat.com>

	* yum/depsolve.py: fix a case where we could traceback on not
	finding anything to update to get us out of a conflicts situation
	(rh#244488)

2007-06-18  Jeremy Katz <katzj@redhat.com>

	* docs/yum-updatesd.conf.5: fix to be correct

2007-06-15  Jeremy Katz <katzj@redhat.com>

	* docs/yum-updatesd.conf.5: updated (rh#244401)

2007-06-13  Jeremy Katz <katzj@redhat.com>

	* output.py: encode output to work around python silliness
	(rh#244080)

2007-06-13  Jeremy Katz <katzj@redhat.com>

	* yum/depsolve.py: only set a package as being "seen" if we've
	successfully managed to resolve its deps.  otherwise, the missing
	deps just get lost.  fixes at least rh#244077, and there are a
	number of other potential candidates as dupes...

2007-06-10  James Bowes <jbowes@redhat.com>

	* yum/__init__.py: Save 15% on "list all" commands.  Have "list all"
	only loop through the rpmdb once. Patch by James Antill.

2007-06-07  James Bowes <jbowes@redhat.com>

	* test/alltests.py, yum/__init__.py, yum/depsolve.py: Add unit tests
	for the depsolver

2007-06-06  Jeremy Katz <katzj@redhat.com>

	* yum/transactioninfo.py: minor optimization from Florian Festi

2007-06-05  Seth Vidal <skvidal@linux.duke.edu>

	* yum/__init__.py: - modify searchGenerator() to rank and sort the results so the best
	results for ALL of the terms are returned first - mark
	searchPackages() as deprecated since it is kind of a crappy method
	anyway.

2007-06-05  Jeremy Katz <katzj@redhat.com>

	* yum/depsolve.py: * make depcheck object a bit more private; we don't really want to
	expose   this * reset dcobj.already_seen on each call to
	resolveDeps().  otherwise, there   could have been changes that we
	don't know about

2007-06-05  Tim Lauridisen <tla@rasmil.dk>

	* cli.py, yum/__init__.py, yum/plugins.py: added a
	'--disableplugin=pluginname' option to temporary disable one or more
	plugins

2007-06-04  Jeremy Katz <katzj@redhat.com>

	* yum/depsolve.py: * fix case where we ignore a missing dep on a provide as opposed to
	a package   name. * only do the transformation to prco format once
	for the dep

2007-06-04  Jeremy Katz <katzj@redhat.com>

	* rpmUtils/arch.py: add support for arm arches (Lennert Buytenhek
	<buytenh@wantstofly.org>)

2007-06-04  Tim Lauridisen <tla@rasmil.dk>

	* yum/repos.py: Added logger to RepoStorage, it is needed because
	the repo setup code is moved here now.

2007-06-04  Tim Lauridisen <tla@rasmil.dk>

	* yum/config.py: Fix a Traceback in the config write method, that
	make yumex fail to save its perferences. The issue was introduced in
	config.py 1.120.

2007-06-04  Seth Vidal <skvidal@linux.duke.edu>

	* yum/yumRepo.py: don't create the headers dir anymore. Leave the
	variable stub in place so things like 'yum clean headers' will clean
	out old leftover headers for people. closes rh bug: 242396

2007-06-03  James Bowes <jbowes@redhat.com>

	* yum/packages.py: Apply patch from Terje Røsten to fix indentation
	issues.

2007-06-03  James Bowes <jbowes@redhat.com>

	* yum/packages.py: Fix installing more than one package from a DVD
	repo.  Patch from rhbz #241604

2007-05-30  Seth Vidal <skvidal@linux.duke.edu>

	* yum/sqlitesack.py: add patch from Charlie Brej to improve
	performance with empty repositories.

2007-05-29  Jeremy Katz <katzj@redhat.com>

	* yum/__init__.py, yum/repos.py: Basic idea is that we move the repo
	setup into the RepoStorage object instead of the YumBase object.
	And we end up kicking off the real repo setup when either a) someone
	explicitly calls YumBase.doRepoSetup() b) we go to populate package
	sacks based on the repos.  This fixes things so that the presto
	callbacks continue to work without requiring API changes in presto
	(rh#236512)

2007-05-29  Jeremy Katz <katzj@redhat.com>

	* yum/depsolve.py, yum/packages.py, yum/sqlitesack.py: Much of the
	file information that we ever need is stored in the primary info in
	addition to filelists; add a simple way to get at that information
	and use that instead of the full filelists to see if something has
	gone away; this avoids having to download the (large) filelists
	file.  If we end up having a requirement on something outside of
	this step, we then later get the filelists

2007-05-29  Seth Vidal <skvidal@linux.duke.edu>

	* yum/logginglevels.py: merge trivial log formatting patch from
	terje.

2007-05-24  James Bowes <jbowes@redhat.com>

	* cli.py: Remove unneeded arguments for adding arguments to the
	option parser

2007-05-16  Seth Vidal <skvidal@linux.duke.edu>

	* ChangeLog: check in changelog

2007-05-16  Seth Vidal <skvidal@linux.duke.edu>

	* yum.spec, yum/__init__.py: mark as 3.2.0

2007-05-16  Seth Vidal <skvidal@linux.duke.edu>

	* fix from Christoph Thiel and Jan Matejek "The problem is that when
	precompiling python files, the compiler needs to know their "base
	path" which will be used in debug outputs (such as the backtrace).
	Without this patch, makefile sets $(PYDIR) as the base path, but
	$(PYDIR) isn't defined and the base path stays empty. (some of our
	python builds apparently can't deal with it and use PIL's base path
	instead) The patch replaces $(PYDIR) with correct value, $(PKGDIR)."


